Page MenuHomePhabricator

check and fix some Gerrit revs
Closed, ResolvedPublic

Description

We need to go through some Gerrit patches and check their status / fix them.

These two fixed by script

The list of changes is:

please paste the full url and keep them sorted by repository name

Fixed by script comparing cobalt/gerrit1001

Not affected AFAI(thcipriani)CT

110849c10849
2< 4bcc40d9c280932f186669533b3dc604d57d3eeb commit refs/changes/04/536704/meta
3---
4> e1716c05dc81da15c4dac39d6befa28a8a74b92f commit refs/changes/04/536704/meta
536462c36462
6< 691011f4452a6619a45b030349a56a8b4fb3564f commit refs/changes/16/543916/meta
7---
8> 756aa215178ac6286b4dab9201f652e9c0c048d1 commit refs/changes/16/543916/meta
953536c53536
10< 1a3fda252a7efaba996afe4aa4993597a8e52679 commit refs/changes/24/545024/meta
11---
12> 84ec54c8feba04a9067fcbc5e7e1c3af60d586e1 commit refs/changes/24/545024/meta
13125861a125862
14> ce90fa59c22a5bab630be87af89cb8903e917d7b commit refs/changes/58/540458/7
15134068c134069,134070
16< 9e12ddddcb06e3171300c46b2e2d3c37b3a75899 commit refs/changes/62/540462/meta
17---
18> abdaf378d7617e69ca5dab2cd6b3abe36df0027d commit refs/changes/62/540462/8
19> f7bd372c14428d9157f9ffaf41ce6ce2a11eb889 commit refs/changes/62/540462/meta
20142905a142908
21> dcca79fd8c57fc42dac1ec9adf9a726f0fd3fcbf commit refs/changes/66/535966/5
22142970a142974,142979
23> d6d19ba1a611824c33105ffc4851b5cc8bf30a03 commit refs/changes/66/545066/1
24> 784c5de08b2c8b33c9790eb75166c0d50ea243f5 commit refs/changes/66/545066/2
25> 58af3b9854d189353133aa9249a32cd015352fd0 commit refs/changes/66/545066/3
26> 1d793328948c19b60fb6c9baba2c18c3a0afacea commit refs/changes/66/545066/4
27> 479ac41277cd16a17cd2a29ef67b03bf266e6b6b commit refs/changes/66/545066/5
28> 7fc8239c1008e67fd69f5f119c5d88d853048a7d commit refs/changes/66/545066/meta
29145213a145223,145225
30> 5297f4162b206c51cef7ec9b49b45d47280e4fee commit refs/changes/67/545067/1
31> 8b3b97778a11d30af9d66dd272bf15456828b30e commit refs/changes/67/545067/2
32> 4c7cd500b4ed66844222ae9b498f38ce13d31201 commit refs/changes/67/545067/meta
33155704a155717,155718
34> 2ef7fa7d5b8530b18fbccae2f4f0061fd6ccfb13 commit refs/changes/72/545072/1
35> dcbd79cb264b3545636a69717e39ae64ca73e96b commit refs/changes/72/545072/meta
36168351c168365
37< 150c1bf0c3e1bc8eab161a24d7e3a9fbd7968061 commit refs/changes/78/539978/meta
38---
39> aa80406f80d9ab4502a477da556a3fa2a1dc2010 commit refs/changes/78/539978/meta
40174610a174625,174626
41> 79b7b09c7099cb70f99d3554d9d611442b14cf26 commit refs/changes/81/545081/1
42> 96d4869ced9d4e09b409d7eb045999a1ceebd078 commit refs/changes/81/545081/meta
43176666c176682,176683
44< df8576751959748757c30e15a846735de95ae0aa commit refs/changes/82/541382/meta
45---
46> 8f8916aad505b87afb5389bbf97a5950650c2916 commit refs/changes/82/541382/2
47> df0a62c9fceb5153883728d8f93a58df6002e449 commit refs/changes/82/541382/meta
48180840a180858,180859
49> 1e05d854b0d8bc39ae684b823349b2ff4dc6fcb2 commit refs/changes/84/545084/1
50> 72f5e9dcc2c5eccd59063551f74d743ef76471f2 commit refs/changes/84/545084/meta
51185074c185093
52< 287f72b30ecc10bca05a76788ee541d204e8958a commit refs/changes/86/540486/meta
53---
54> 6f2ee739cd8d4fea50c03873da647f88d546d358 commit refs/changes/86/540486/meta
55214002c214021
56< 6f1117ae52b7db321a775bcc9ac43ab30cb41cd5 commit refs/heads/production
57---
58> 8f8916aad505b87afb5389bbf97a5950650c2916 commit refs/heads/production
59214004c214023
60< 89a75d3d5e336b26f7a389c0673b4992dd7f047d commit refs/notes/review
61---
62> 40e3935c719458e5e8b57669cc3b206071447032 commit refs/notes/review

Details

Related Gerrit Patches:
operations/puppet : productiongerrit: add colordiff package
operations/puppet : productionRevert "gerrit: enable jgit gc"

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMon, Oct 21, 11:40 PM
Dzahn updated the task description. (Show Details)Mon, Oct 21, 11:44 PM
Dzahn updated the task description. (Show Details)Mon, Oct 21, 11:48 PM
thcipriani triaged this task as Normal priority.Mon, Oct 21, 11:58 PM
thcipriani updated the task description. (Show Details)

I've updated all of these to match cobalt unless they had changes that were newer than cobalt's that looked normal.

We should also check other repos that are fairly active.

I generated the lists via git for-each-ref on cobalt and gerrit1001 and diffing the two.

I used git update-ref to restore each meta ref to its rightful commit.

@Paladox pointed me to this ticket since I reopened T234533#5593695 earlier today.
Feel free to close that one and follow up on this task

Thanks!

hashar added subscribers: Joe, hashar.EditedTue, Oct 22, 7:46 AM

More changes have been reported missing T234533#5593695

Has been merged, it is in cobalt and show has merged/reveted etc but on gerrit1001 the change is stall to some previous state.

I can not find any trace of it anywhere on cobalt, not even in refs/notes/review; That has previously been the subject of T234533

awight added a subscriber: awight.Tue, Oct 22, 7:51 AM

Here's another corrupted patch, merged but Gerrit displays as unmerged: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Popups/+/538641/

Marostegui raised the priority of this task from Normal to High.Tue, Oct 22, 11:31 AM

So for https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/540006/ , I looked at the actual git repositories on the server.

The repository is in /srv/gerrit/git/operations/mediawiki-config.git

On gerrit1001 there is a meta file for this change dated Oct 1 04:55

$ stat refs/changes/06/540006/meta 
  File: refs/changes/06/540006/meta
  Size: 41        	Blocks: 8          IO Block: 4096   regular file
Device: fd00h/64768d	Inode: 16385659    Links: 1
Access: (0644/-rw-r--r--)  Uid: (  114/ gerrit2)   Gid: (  119/ gerrit2)
Access: 2019-10-21 21:22:49.717939683 +0000
Modify: 2019-10-01 04:55:19.192599056 +0000
Change: 2019-10-02 21:23:59.594267158 +0000
 Birth: -
$ cat refs/changes/06/540006/meta 
bf7bb6baf43261fafe351ff9889232900d6b1616

And obviously that sha1 is the commit pointed to by that reference:

$ git rev-parse refs/changes/06/540006/meta
bf7bb6baf43261fafe351ff9889232900d6b1616

Which is the state of that change at that date and shows up as:

commit bf7bb6baf43261fafe351ff9889232900d6b1616 (refs/changes/06/540006/meta-back)
Author: Marostegui <3731@e9e9afe9-4712-486d-8885-f54b72dd1951>
Date:   Tue Oct 1 04:55:19 2019 +0000

    Update patch set 1
    
    Patch Set 1: Code-Review-2
    
    Do not depool before 10th October, as es1014 is in B1 and that host needs to be depooled the 10th of October for B1 PDU maintenance
    
    Patch-set: 1
    Reviewer: Marostegui <3731@e9e9afe9-4712-486d-8885-f54b72dd1951>
    Label: Code-Review=-2

  • where antoine shows magic***

Now if I copy that repo under /tmp and then move that meta file to meta-back.

$ git rev-parse refs/changes/06/540006/meta
32ef7569b9bcb36a86125a942311548b016c239d

New commit! It is magic.

And that one reflects the reality, the change got merged and eventually got reverted which shows up as:

$ git show refs/changes/06/540006/meta
commit 32ef7569b9bcb36a86125a942311548b016c239d (refs/changes/06/540006/meta)
Author: Marostegui <3731@e9e9afe9-4712-486d-8885-f54b72dd1951>
Date:   Fri Oct 4 05:02:37 2019 +0000

    Update patch set 2
    
    Created a revert of this change as I6c5171fb6e470aa5d1f726fd048d9f99a7dc64fa
    
    Patch-set: 2
    Tag: autogenerated:gerrit:revert

And that is the same on cobalt.

But I have deleted the refs/changes/06/540006/meta file so how is that possible? Originally git tracked each references in individual files, that is why the changes references are namespaced using the two last digits of the change number. Eg: change 123 is under refs/changes/23/123 . That is to prevent reaching the limit of directory entries.

Nowadays git would happilly pack the references in a single file: .git/packed-refs. When looking for the sha1 of a given reference, git first look up for a file, else fallback to packed-refs.

My suspicion is that after Gerrit got stopped on cobalt, a rsync has been done that DID NOT DELETE FILES. Thus we carried over a lot of metadata file that got prepopulated as part of the migration preparation?

So to me it looks like we should verify all those meta files, find out whether that there is a more recent sha1 pointed at in packed-refs and if so backup the meta file. And that should fix it.

And obviously on cobalt the file refs/changes/06/540006/meta does not exist. It has been packed in .git/packed-refs.

The devil is that we might have a split brain if a change with a meta file on gerrit1001 has been updated when it also has been updated on cobalt after the inital sync :-\

But I guess we can just rename any old meta file to meta-back, then do a git rev-parse to have git retrieve the sha1 from the packed-refs and compare. If they are we are fine, else something is out of sync. At that point we would have to head to cobalt and verify what was the state there (in the meta file if it exists and packed-refs) then compare.

One can list all the meta files and their sha1 using:

(for x in $(find . -path '*/refs/changes/*/*/meta'); do grep -H . $x; done;)|sort

And diffing gives a bunch of various differences :-\

My suspicion is that after Gerrit got stopped on cobalt, a rsync has been done that DID NOT DELETE FILES. Thus we carried over a lot of metadata file that got prepopulated as part of the migration preparation?

We rsynced at some point in preparation for the move. We stopped gerrit on cobalt. We rsync'd again. We started gerrit on gerrit1001. I didn't do the actual rsyncing; however, I would guess you are right: we didn't use the --delete flag.

We run git gc on all repos every Friday, so any refs that got moved from loose ref files to the packed-refs file may still exist. I think this explanation is pretty plausible.

So to me it looks like we should verify all those meta files, find out whether that there is a more recent sha1 pointed at in packed-refs and if so backup the meta file. And that should fix it.

I went with a terrible script:

1#!/usr/bin/env python3
2
3import re
4import unittest
5from collections import defaultdict
6
7def parse_path(path):
8 # Example:
9 # ./eventlogging.git/refs/changes/44/544144/meta:b6950bfe08fd59a63dfbcc4ff3b5ecfa5da43dcd
10 m = re.match('^./(.*)\.git/(.+/meta)$', path)
11 # (repo, ref)
12 return (m[1], m[2])
13
14def parse_file(fname):
15 stuff = defaultdict(dict)
16 with open(fname) as f:
17 print("Reading %s" % fname)
18 for line in f.readlines():
19 (path, sha1) = line.rstrip().split(':')
20 (repo, ref) = parse_path(path)
21 stuff[repo][ref] = sha1
22 return stuff
23
24refs = {}
25repos = set()
26for host in ('cobalt', 'gerrit1001'):
27 refs[host] = parse_file('%s-meta-files.txt' % host)
28 repos = repos.union(set(refs[host].keys()))
29
30print('Found %s repositories.' % len(repos))
31for repo in sorted(repos):
32 testcase = unittest.TestCase()
33 testcase.maxDiff = None
34 try:
35 testcase.assertDictEqual(refs['cobalt'][repo], refs['gerrit1001'][repo])
36 except AssertionError as e:
37 print("FAIL %s: %s" % (repo, e))
38 pass
39 else:
40 print("OK %s" % repo)

Output:

1Reading cobalt-meta-files.txt
2Reading gerrit1001-meta-files.txt
3Found 259 repositories.
4FAIL AhoCorasick: {} != {'refs/changes/86/545086/meta': 'b7f01473a65a0c6520fc381f9372c845b2c281d1'}
5- {}
6+ {'refs/changes/86/545086/meta': 'b7f01473a65a0c6520fc381f9372c845b2c281d1'}
7FAIL CLDRPluralRuleParser: {} != {'refs/changes/87/545087/meta': '80b68b829c145c1db8d579be5be1e85a9e13b92b'}
8- {}
9+ {'refs/changes/87/545087/meta': '80b68b829c145c1db8d579be5be1e85a9e13b92b'}
10FAIL IPSet: {} != {'refs/changes/88/545088/meta': '55bd6c82bc9f77a1df996b491d7693f4aec9dc09'}
11- {}
12+ {'refs/changes/88/545088/meta': '55bd6c82bc9f77a1df996b491d7693f4aec9dc09'}
13FAIL RelPath: {} != {'refs/changes/89/545089/meta': 'caedd045801177a2d332f453314ccd5b6d2ff8ec'}
14- {}
15+ {'refs/changes/89/545089/meta': 'caedd045801177a2d332f453314ccd5b6d2ff8ec'}
16FAIL RunningStat: {} != {'refs/changes/90/545090/meta': 'e673e0b76bd0fdde5b3a2047e066ee814c413d75'}
17- {}
18+ {'refs/changes/90/545090/meta': 'e673e0b76bd0fdde5b3a2047e066ee814c413d75'}
19FAIL VisualEditor/VisualEditor: {'ref[80 chars]nges/25/541825/meta': '5215c502f01ef877affd839[464 chars]437'} != {'ref[80 chars]nges/13/537713/meta': 'cd04307dbb52747b4df6484[1064 chars]e44'}
20 {'refs/changes/12/543912/meta': '5d8a23895c3cd27698c318b95edd44f99f6f7ad7',
21+ 'refs/changes/13/537713/meta': 'cd04307dbb52747b4df6484f520956a341232b4e',
22+ 'refs/changes/17/528417/meta': '490ac977010b821cef678bca29f8bb7b72bf5f9c',
23 'refs/changes/25/541825/meta': '5215c502f01ef877affd8396979ef9bc780ed058',
24+ 'refs/changes/26/537626/meta': '1d3add05643ed39886b057c8454bd80f4059db2f',
25+ 'refs/changes/28/540128/meta': '2531409b773f952d5afb335249679b6e0b4d365e',
26+ 'refs/changes/36/540436/meta': '07487150ac784c0793a1b233ec958d9693f1b8fe',
27+ 'refs/changes/43/539343/meta': 'a352dfc9894f1c78abfb13faf10bd94a42d67693',
28 'refs/changes/46/543146/meta': '57e7f26c8a99b3eb28349cbfbda69b5b1ed947ea',
29 'refs/changes/46/544246/meta': 'fcfc625bd05c0be7ba78e3cc702960b44d64c6f0',
30 'refs/changes/46/544946/meta': 'bc13ddf8550eade02454966b96981e264303750c',
31+ 'refs/changes/64/539964/meta': '24eb31bded0283a86acc1e32d533798f0a2ce64a',
32 'refs/changes/67/544567/meta': '969e3d7ec2ed64d5481e79f94b5e318e01193554',
33 'refs/changes/68/544568/meta': '4726e39aa2692a384d54d1cbdb7a5f669f272186',
34- 'refs/changes/68/544868/meta': '955ca69070713ee680ebed8d3d19427dd0584437'}
35? ^
36
37+ 'refs/changes/68/544868/meta': '955ca69070713ee680ebed8d3d19427dd0584437',
38? ^
39
40+ 'refs/changes/80/539980/meta': '704cf96d04b28c7381f395921c528130afbf4e44'}
41FAIL WrappedString: {} != {'refs/changes/91/545091/meta': 'e3f3b49f516f54b89ce2981a076433f325172527'}
42- {}
43+ {'refs/changes/91/545091/meta': 'e3f3b49f516f54b89ce2981a076433f325172527'}
44FAIL analytics/aqs: {} != {'refs/changes/33/540433/meta': '1591b0ce58dbf868609a01b4f476b18a044ba9c3'}
45- {}
46+ {'refs/changes/33/540433/meta': '1591b0ce58dbf868609a01b4f476b18a044ba9c3'}
47FAIL analytics/refinery: {} != {'refs/changes/13/538613/meta': 'f46e961d6[253 chars]c6d'}
48- {}
49+ {'refs/changes/13/538613/meta': 'f46e961d67686a3f69631951b4435ec733046ea9',
50+ 'refs/changes/24/540124/meta': 'e2c47b80bb7c0fad2b63bfe54d94c674cd0249a2',
51+ 'refs/changes/74/532974/meta': '918a943e4cc4937f4064a036364baa5691de358f',
52+ 'refs/changes/78/530878/meta': '761e3347ac030f80924246d59c0e613e89344c6d'}
53FAIL analytics/reportupdater-queries: {} != {'refs/changes/19/542419/meta': 'ea14fd42d[103 chars]d7e'}
54- {}
55+ {'refs/changes/19/542419/meta': 'ea14fd42d312bdd2933dda2adba73e503733b3f1',
56+ 'refs/changes/59/540159/meta': '03c1e8a17f9e10e084bcadb6d227df3b7c117d7e'}
57FAIL analytics/wikistats2: {} != {'refs/changes/48/531148/meta': '5803d31a79e4e703349b3de07c16e5c4e8f3005f'}
58- {}
59+ {'refs/changes/48/531148/meta': '5803d31a79e4e703349b3de07c16e5c4e8f3005f'}
60FAIL at-ease: {} != {'refs/changes/93/545093/meta': '146da45c08c0a08de20241c54370eee2a6c0e715'}
61- {}
62+ {'refs/changes/93/545093/meta': '146da45c08c0a08de20241c54370eee2a6c0e715'}
63FAIL base-convert: {} != {'refs/changes/95/545095/meta': '5afc2619d956cc7d588d3a6e80381f91597df341'}
64- {}
65+ {'refs/changes/95/545095/meta': '5afc2619d956cc7d588d3a6e80381f91597df341'}
66FAIL cdb: {} != {'refs/changes/96/545096/meta': '75be94ec4c574f854f7417dda54a9acbac4de22e'}
67- {}
68+ {'refs/changes/96/545096/meta': '75be94ec4c574f854f7417dda54a9acbac4de22e'}
69FAIL cloud/toolforge/ingress-admission-controller: {} != {'refs/changes/16/545116/meta': 'd1ea7ac851033513ec3cbde4f4f71aa32d24db5c'}
70- {}
71+ {'refs/changes/16/545116/meta': 'd1ea7ac851033513ec3cbde4f4f71aa32d24db5c'}
72FAIL css-sanitizer: {} != {'refs/changes/97/545097/meta': '782c7d53a84bf3493e367acbe905fa9e31f57331'}
73- {}
74+ {'refs/changes/97/545097/meta': '782c7d53a84bf3493e367acbe905fa9e31f57331'}
75FAIL data-values/value-view: {} != {'refs/changes/89/538889/meta': '6cafa2e629bc698289578a59faabd652ff867000'}
76- {}
77+ {'refs/changes/89/538889/meta': '6cafa2e629bc698289578a59faabd652ff867000'}
78OK eventlogging
79FAIL integration/config: {'ref[23 chars]a': 'a9d9416cc10a9163a1455ff175396c43b1f0b2db'[2621 chars]813'} != {'ref[23 chars]a': '1cee1951181710eddd5689aad2baa7082fd4e2c4'[221 chars]fac'}
80+ {'refs/changes/05/545005/meta': '1cee1951181710eddd5689aad2baa7082fd4e2c4',
81+ 'refs/changes/07/544907/meta': '74de558fd49511380ca795bc66c3196d31d01b9c',
82+ 'refs/changes/15/544815/meta': '04216d37c42a307fb6d628c4cd23ee2d5599eaa2',
83+ 'refs/changes/18/544818/meta': '9680dc2d35569cf226eac12f049a0140be53cfac'}
84- {'refs/changes/05/545005/meta': 'a9d9416cc10a9163a1455ff175396c43b1f0b2db',
85- 'refs/changes/07/544907/meta': '0012d73eb14d65e389246d3982d1723fcba383f8',
86- 'refs/changes/10/544910/meta': '53b8f6cdb145723bf2c1e7a44c485419e4671fcb',
87- 'refs/changes/13/544813/meta': 'a029df190dacc008bf200ea6571ca6df7ade8c83',
88- 'refs/changes/14/544814/meta': 'e188eaf9f6ea6dd7cbc65d2d2e8fe076db2d454b',
89- 'refs/changes/15/544815/meta': '1e93e6364043567d0f9f26d7585565458b0f23ef',
90- 'refs/changes/16/544816/meta': '06ad77d210943894296e0780cb8d437911f96525',
91- 'refs/changes/17/544817/meta': '62ece48083503e2603e26e06fa19329ec9cabdfa',
92- 'refs/changes/18/544818/meta': '6b41c2e05c33d9862bfdfcfa88235a1837db1067',
93- 'refs/changes/19/544819/meta': '6aa6fd22901b3985718af317f0bc1ee21198ecaf',
94- 'refs/changes/20/544820/meta': 'b92e18ed1739eb072394cef56d6ce314a5919691',
95- 'refs/changes/21/544821/meta': '0f2880d236de5cce591765e9e20e8ba8dcfef607',
96- 'refs/changes/22/544822/meta': '5da94a00468e2a522fdbcac68fec6b5eb149d454',
97- 'refs/changes/23/544823/meta': 'bfa509a42568e1b9837a2fa990983f9ffff4d119',
98- 'refs/changes/24/544824/meta': 'abea2949f4785560b6559ff93763690aa393f5e9',
99- 'refs/changes/25/544825/meta': '03fc93e96f9d8717893eb073216335bcfbb2b7ce',
100- 'refs/changes/26/544826/meta': 'b6eb7d7d23fafaa14a93b4c8d46425d3c562d759',
101- 'refs/changes/27/544827/meta': '40cc5622ac9d2a2f1e260ff00db976d2d93d7ae3',
102- 'refs/changes/28/544828/meta': 'fb0e4590e7f1802c3136b73e38f5f9492c9ae3e2',
103- 'refs/changes/30/544830/meta': 'eff73d7e41c662cc0ddc9bf4b9ac05811e524c63',
104- 'refs/changes/31/544831/meta': '4702c59228d6a2417fbc51e8a5b6c5896ba739ec',
105- 'refs/changes/32/544832/meta': '3524677be2c07a73321bed8abf346d98956c53c6',
106- 'refs/changes/33/544833/meta': 'f838030346ee27488e15e0294f3dd2bbeb993073',
107- 'refs/changes/34/544834/meta': '60a184309a3ea06d96330d46f233c4b4b45edb6d',
108- 'refs/changes/35/544835/meta': 'f4e54c8184135be4792adf93ab5fcab9b4c082ad',
109- 'refs/changes/36/544836/meta': '13db212aa2e87dd62c8e5767264f489bb0dc3756',
110- 'refs/changes/37/544837/meta': '7aa979f8e74082a3428499ecf6846dd956409a44',
111- 'refs/changes/38/544838/meta': 'd6cfd2f6565f053fe15436702913815c7629f573',
112- 'refs/changes/39/544839/meta': '4e36e35a838595125f842fa7d6f1289b96c01404',
113- 'refs/changes/40/544840/meta': '29dfc7e36ac09d91340162d97bd10a2fec47943b',
114- 'refs/changes/41/544841/meta': 'f9092c06f7e71054ed8ad40fb7627bca22b67165',
115- 'refs/changes/42/544842/meta': '1414862fc9bbdbf4767e05b620452a018a1463a1',
116- 'refs/changes/43/544843/meta': '2db8d8a29f0bc9a0f77e8f93af8801c273451b3f',
117- 'refs/changes/48/544948/meta': '727b22b7ba8c1ca986d4f6a7760b5a6ed8b12cef',
118- 'refs/changes/52/544952/meta': '2ef9ce875085dd10be4a92e1078c5721ca0bfdeb',
119- 'refs/changes/76/540976/meta': 'be4b3c502cdb99e88aa1a7d9ea398ccc35485813'}
120OK integration/docroot
121FAIL integration/pipelinelib: {} != {'refs/changes/33/518333/meta': '64db8c2d7d70b27653c331e1bca7435d2a44912a'}
122- {}
123+ {'refs/changes/33/518333/meta': '64db8c2d7d70b27653c331e1bca7435d2a44912a'}
124FAIL integration/quibble: {} != {'refs/changes/13/540413/meta': '72112a77a[478 chars]e07'}
125- {}
126+ {'refs/changes/13/540413/meta': '72112a77a40edf52e68d76ca8a750e14952889a5',
127+ 'refs/changes/18/537118/meta': '299b3e9e841053939fceb73f23fc23aca9934ea4',
128+ 'refs/changes/18/540118/meta': '894ee91bb3d25366da97d2fdb578cd44b9e2b593',
129+ 'refs/changes/37/539537/meta': 'ea5861e438d2797c533a25e6c6a94588ef1930ca',
130+ 'refs/changes/39/539539/meta': 'a2d6d83f7b73c18087380fa01dcfaed9b3ebb206',
131+ 'refs/changes/84/438084/meta': '927d63c9fe0519569679ad7d3847c5067929596a',
132+ 'refs/changes/87/540387/meta': '936c42ab80610682ddfec54e69a51c81decbee07'}
133FAIL labs/tools/Isa: {} != {'refs/changes/12/540112/meta': '51f07dfdc2aa11903e57329ca24050a544c5b4f9'}
134- {}
135+ {'refs/changes/12/540112/meta': '51f07dfdc2aa11903e57329ca24050a544c5b4f9'}
136FAIL labs/tools/VideoCutTool: {} != {'refs/changes/42/539442/meta': '6f69e95a0[253 chars]335'}
137- {}
138+ {'refs/changes/42/539442/meta': '6f69e95a008be39f5bd4c7432685e1f60f3e82a8',
139+ 'refs/changes/45/539445/meta': '9367622d1e9dec392a1ef9c652212d052d9fa0fe',
140+ 'refs/changes/49/539449/meta': '790b47b2e2096f911aee8500c73a5e32db996341',
141+ 'refs/changes/99/539299/meta': 'e30bc0ccb7fec8ae086943a6d32a9ca679b69335'}
142FAIL labs/tools/commons-mass-description: {} != {'refs/changes/41/540141/meta': '43699474c9b3d0ec761a11312225befce25c86db'}
143- {}
144+ {'refs/changes/41/540141/meta': '43699474c9b3d0ec761a11312225befce25c86db'}
145OK labs/tools/heritage
146FAIL labs/tools/maintain-kubeusers: {} != {'refs/changes/53/540253/meta': '3f127f520f01607774e3f79ef53e498440fc9fb2'}
147- {}
148+ {'refs/changes/53/540253/meta': '3f127f520f01607774e3f79ef53e498440fc9fb2'}
149FAIL labs/tools/map-of-monuments: {} != {'refs/changes/40/540140/meta': 'ed362b8bd23e666376956b0ed01e1400eb32b162'}
150- {}
151+ {'refs/changes/40/540140/meta': 'ed362b8bd23e666376956b0ed01e1400eb32b162'}
152FAIL labs/tools/registry-admission-webhook: {} != {'refs/changes/18/545118/meta': 'cfc41b3ecf4caf4495dac541d297521076094c98'}
153- {}
154+ {'refs/changes/18/545118/meta': 'cfc41b3ecf4caf4495dac541d297521076094c98'}
155OK labs/tools/watch-translations
156FAIL labs/tools/wikibugs2: {} != {'refs/changes/17/539617/meta': '403be6b28[178 chars]597'}
157- {}
158+ {'refs/changes/17/539617/meta': '403be6b2833bf1ea56853d1af3153a664d12b4c5',
159+ 'refs/changes/20/539620/meta': 'd8fe429101e468430879ccfbd88f470d0fa48f8c',
160+ 'refs/changes/98/525998/meta': 'a89195f9fc678a81987aa1dc20a3ad8bd8658597'}
161FAIL mediawiki/core: {'refs/changes/18/543918/meta': '048e55d7748758922f6d1f0[1439 chars]eaa'} != {'refs/changes/05/545205/meta': '49bd507d818915a6c26c3a4[1814 chars]1e4'}
162- {'refs/changes/18/543918/meta': '048e55d7748758922f6d1f0f24d78ce54a9a0a4c',
163- 'refs/changes/19/399219/meta': 'c68d23aec2f24baec710c6b64687da89c0cb16e8',
164- 'refs/changes/27/542727/meta': '478ed78f0a55ade20957bcbaf618f46181c85b26',
165- 'refs/changes/37/542437/meta': '4dc03ad050d9b5ccef5090edbcf2a6d25f339da2',
166- 'refs/changes/40/544240/meta': 'a3cd4d2e0b1b9e9df3a167e0f2a9b1d19a641e75',
167- 'refs/changes/44/543144/meta': '8028aaadda5748e60ad4ed3acdf224f381c60fac',
168- 'refs/changes/64/543864/meta': '825ec902bed4c817820d818f9af76777a5b06c1d',
169- 'refs/changes/70/544970/meta': '062f2212a099c23044e82d4f0043b28832d335ce',
170- 'refs/changes/73/544873/meta': '17783e67454447318d32dd554248a2fc409289e8',
171- 'refs/changes/74/541774/meta': '95cd380cdecafd93c5bfaf2def230a109932bfde',
172- 'refs/changes/74/544974/meta': 'b797683d3b61140218de99ada6fabcd96cf5b23c',
173- 'refs/changes/75/543875/meta': 'b82a64d723545f8d20ca7d84fdc84c5151403227',
174- 'refs/changes/76/544876/meta': '2d9c45e03a7c2fa011c5966e30f21bc426dfd6c7',
175- 'refs/changes/77/542677/meta': '201c8b7e2476c94c799b075ee6487c32cae0161c',
176- 'refs/changes/78/542678/meta': 'dda9d59a43c42cc12cb9f0cd3c7406a35af642d0',
177- 'refs/changes/78/544978/meta': '2af07050478c64ff6a19a640c5c3a11a7a58b3f2',
178- 'refs/changes/79/469379/meta': '5230387a5808c37bc30c6836b893d510cf0ee2e2',
179- 'refs/changes/82/535682/meta': '9c571fc712950adace96ec44dcf519b456f0b35e',
180- 'refs/changes/93/542693/meta': '7a6b70a701a9cacd0b96f2eead3079353d682219',
181- 'refs/changes/99/542499/meta': '104d50fbb486cd1d756f75a8b1cc2516ab03aeaa'}
182+ {'refs/changes/05/545205/meta': '49bd507d818915a6c26c3a4cdd4eebb779726ce1',
183+ 'refs/changes/07/542007/meta': '14c02937f43875e2efa048d1719e64befef1d342',
184+ 'refs/changes/12/251312/meta': '4e755d88efa571787fdcef22f3caad97d4a507dc',
185+ 'refs/changes/18/543918/meta': '491fbd5eac6741fdb86d344a67db6cae7471c512',
186+ 'refs/changes/21/541821/meta': 'd74ed018b9eaa37f415f795fb841ff361ca3ea1d',
187+ 'refs/changes/27/545227/meta': '27ff57ed4af2c30a77420f179c6b62c316035928',
188+ 'refs/changes/28/545228/meta': 'b75b440fcc893d63fe5e8d422b591bbc721191ec',
189+ 'refs/changes/39/499339/meta': '502091cfc5bcf484fec6c922f2fdbf6d6d0c3618',
190+ 'refs/changes/42/540842/meta': '84b1faeae51787eb0bc6ab9e5e83ddf5499be776',
191+ 'refs/changes/45/540645/meta': '3ae79f31c90f4707d2bc9c974d6a90514ca84dfb',
192+ 'refs/changes/55/544355/meta': 'cd57e3b3edbd01981777dcced7a6f9dd5e96ff18',
193+ 'refs/changes/58/542458/meta': 'f8489b27ab3bedde86d5dc7824ce5eb204c47c1e',
194+ 'refs/changes/64/543864/meta': '11dc3dccbc44958ad5904ea2ff420eb41e5a06a2',
195+ 'refs/changes/64/545164/meta': 'b046c67adb116157757957be4c9e9ac75d6567a1',
196+ 'refs/changes/68/545168/meta': 'a51c612c6e36d9f032be4570f04219d657ce3fb4',
197+ 'refs/changes/70/467770/meta': '374a9f818dfc5ddfd4c059111f9d67daf5c80371',
198+ 'refs/changes/74/541774/meta': '5dfff2e49337922721ee9e2b1ac8d2e8ea73281d',
199+ 'refs/changes/77/542677/meta': 'a6d3fcf1496e10e985258ecf65348a4bc3957840',
200+ 'refs/changes/78/524078/meta': '8055d3dbbdda3c8ba1cf35bf5403001ed1d8e71f',
201+ 'refs/changes/78/542678/meta': '72c613935ca18dd367ddd1f8edd1a10696793065',
202+ 'refs/changes/82/535682/meta': '16dd3cdb1da1c91db2a2daa0677bd95c9485810e',
203+ 'refs/changes/83/535683/meta': '1c8d064c0b9a8d545fb066e77c1eed6970fb62b0',
204+ 'refs/changes/87/540187/meta': 'e9cce0a00d779b23db324a973c2aa70814bffa50',
205+ 'refs/changes/92/540192/meta': '0ebbd0090069feea49cdb12980204f5ba1c54fed',
206+ 'refs/changes/93/542693/meta': '09d9db5b2328c913a4bc1987db0cc31a5cc161e4'}
207FAIL mediawiki/event-schemas: {'ref[23 chars]a': 'e57e42c38da83bc8c6adbac2e6d2b34ffdb23f1f'[71 chars]61c'} != {'ref[23 chars]a': '3a0ccbd0c396f0b3defef02680c8508d6210d345'[71 chars]45c'}
208- {'refs/changes/63/541563/meta': 'e57e42c38da83bc8c6adbac2e6d2b34ffdb23f1f',
209- 'refs/changes/65/544965/meta': 'e999a1e4630e0c8163fc7b43a2e417501759761c'}
210+ {'refs/changes/63/541563/meta': '3a0ccbd0c396f0b3defef02680c8508d6210d345',
211+ 'refs/changes/65/544965/meta': '7e3bd79be3d1803331f68656fb2f5308f12bc45c'}
212FAIL mediawiki/extensions/3D: {} != {'refs/changes/26/539726/meta': 'ef17424b2accae9f07d1e1fc86e81997cdef9931'}
213- {}
214+ {'refs/changes/26/539726/meta': 'ef17424b2accae9f07d1e1fc86e81997cdef9931'}
215FAIL mediawiki/extensions/AbuseFilter: {'refs/changes/29/544329/meta': '9e275c28e0757d03f9fa232[314 chars]15c'} != {'refs/changes/02/539702/meta': '538bd49602efae2443feafb[1964 chars]f4e'}
216+ {'refs/changes/02/539702/meta': '538bd49602efae2443feafb399772fd8373953ea',
217+ 'refs/changes/03/534903/meta': 'a824b673b12cfbb77e5bdd344b68cff2f56c8fa1',
218+ 'refs/changes/03/539703/meta': 'd6318a0d607a55bf2be7fb2691e122ea0a1551f9',
219+ 'refs/changes/04/486804/meta': '7dde73e9643cc3b716e76c5d5c4d3bd5702a87c1',
220+ 'refs/changes/09/539709/meta': 'e805da05f9a00ba9585895a000bef33b7a3a725a',
221+ 'refs/changes/18/459818/meta': 'edc1c334cacfbd1a50aa6d4f55ac298640b1345f',
222+ 'refs/changes/18/482518/meta': 'e04ba99a69ee158a365cfd7ebee275b3f5d384e9',
223+ 'refs/changes/26/538026/meta': '8ee290070b143fa81a6be1b68bcdc8b9ee0d550f',
224- {'refs/changes/29/544329/meta': '9e275c28e0757d03f9fa2326e4ed01cce8c378d4',
225? ^
226
227+ 'refs/changes/29/544329/meta': '9e275c28e0757d03f9fa2326e4ed01cce8c378d4',
228? ^
229
230 'refs/changes/32/544432/meta': '9e85012a7216c7ca9529b577c4e60313926567bf',
231+ 'refs/changes/40/539740/meta': '67f97f7fca85b6e208d8b427fb23d37ed79c0b52',
232+ 'refs/changes/45/539545/meta': 'f8d4c0bd8323e48161a8251bc41f5f6447c55e2b',
233+ 'refs/changes/45/540145/meta': 'e7d35d36aac4e962cd27c755b6e805062a8d40ea',
234 'refs/changes/48/539848/meta': 'f94a52a316d413ecaddde1e147fc193fa8d3b001',
235+ 'refs/changes/64/539664/meta': 'da08bfc0bb0c43aaf5929765659b7ad4fc399a0a',
236+ 'refs/changes/65/540165/meta': '95394a237c1b902fa9929c2d6d88ca869cfab826',
237+ 'refs/changes/65/540265/meta': '4ca83c575e8c852b0c4408e21206473e041bf4e3',
238+ 'refs/changes/66/539666/meta': '0fbb47fdac07c67374dfc6908a4bf486df549f2a',
239+ 'refs/changes/70/545170/meta': 'da010bb3ab3ccc3d4f304c00a50fd360114e780e',
240 'refs/changes/71/544671/meta': '27b60ffa2f07df46129fc1a29cc57d5977adb44b',
241- 'refs/changes/73/541773/meta': '08500ca6a48a95f237e689935f857eb1e063215c'}
242? ^
243
244+ 'refs/changes/73/541773/meta': '08500ca6a48a95f237e689935f857eb1e063215c',
245? ^
246
247+ 'refs/changes/77/539677/meta': 'b6ac3dd050754a81752902245121bdf7c4a6fb97',
248+ 'refs/changes/83/540383/meta': '931c0b0b8fbdf2f5c9b3c24e52527cde7cb55b3e',
249+ 'refs/changes/85/540385/meta': '3984816f9265b6a7537006ad9cbc37e0f6ff81f7',
250+ 'refs/changes/86/489186/meta': '55268462c38c2a382fe198c9f3296b78d043d977',
251+ 'refs/changes/96/539696/meta': 'd950586df478b50f5cabd747ee01d5d147a74c0d',
252+ 'refs/changes/99/537499/meta': 'bb8ce77502108aa16edb3e7fef4438bbfa9d6f4e'}
253FAIL mediawiki/extensions/AdvancedSearch: {'refs/changes/42/544442/meta': '7d2a93d7f4198a63cad0b99[89 chars]abe'} != {'refs/changes/22/540022/meta': 'e654d0f109f40c1a239c45a[314 chars]abe'}
254+ {'refs/changes/22/540022/meta': 'e654d0f109f40c1a239c45a6eb219ae8894dc6fc',
255+ 'refs/changes/42/539742/meta': '845b72445f53c35e54f190338c223d1c0fd349d9',
256- {'refs/changes/42/544442/meta': '7d2a93d7f4198a63cad0b99c2005a2718d2b6329',
257? ^
258
259+ 'refs/changes/42/544442/meta': '7d2a93d7f4198a63cad0b99c2005a2718d2b6329',
260? ^
261
262+ 'refs/changes/63/540263/meta': 'f0082bf3187ed8691cd6298b78653f5120654716',
263 'refs/changes/69/544669/meta': 'c7b353fe7e6abb985dc1ae5fed5d279821d81abe'}
264FAIL mediawiki/extensions/AntiSpoof: {'refs/changes/70/544670/meta': '90c1e61922f036bd22a28e0[14 chars]dbf'} != {'refs/changes/27/539727/meta': '3fcbbbe6644919c05d8b9d8[164 chars]dbf'}
265+ {'refs/changes/27/539727/meta': '3fcbbbe6644919c05d8b9d8c64d442f2405c3a78',
266+ 'refs/changes/64/540264/meta': '7767f213c089814fe78abae68ee66c62e19adbc4',
267- {'refs/changes/70/544670/meta': '90c1e61922f036bd22a28e0b9dd98e1431f7edbf'}
268? ^
269
270+ 'refs/changes/70/544670/meta': '90c1e61922f036bd22a28e0b9dd98e1431f7edbf'}
271? ^
272
273FAIL mediawiki/extensions/ApprovedRevs: {} != {'refs/changes/54/539654/meta': 'f2d6f701e04d14bac45e54950592162f25da806f'}
274- {}
275+ {'refs/changes/54/539654/meta': 'f2d6f701e04d14bac45e54950592162f25da806f'}
276FAIL mediawiki/extensions/Arrays: {} != {'refs/changes/73/539673/meta': '4e7f06a06b4ebb8f98572241b5e29f768482161d'}
277- {}
278+ {'refs/changes/73/539673/meta': '4e7f06a06b4ebb8f98572241b5e29f768482161d'}
279FAIL mediawiki/extensions/ArticleCreationWorkflow: {'refs/changes/49/544449/meta': '6ed3d48373e1963f0a6c10f[14 chars]527'} != {'refs/changes/37/545137/meta': '9514124d7ef09c14c508e06[89 chars]527'}
280+ {'refs/changes/37/545137/meta': '9514124d7ef09c14c508e06cc0a4ba61ea31389e',
281- {'refs/changes/49/544449/meta': '6ed3d48373e1963f0a6c10f23bc50ec3d46ef527'}
282? ^
283
284+ 'refs/changes/49/544449/meta': '6ed3d48373e1963f0a6c10f23bc50ec3d46ef527'}
285? ^
286
287OK mediawiki/extensions/ArticlePlaceholder
288OK mediawiki/extensions/ArticleRatings
289FAIL mediawiki/extensions/AutoProxyBlock: {} != {'refs/changes/05/486805/meta': 'e2c4a3566aa4b2fef8d61b65bc39147d5c50f06d'}
290- {}
291+ {'refs/changes/05/486805/meta': 'e2c4a3566aa4b2fef8d61b65bc39147d5c50f06d'}
292FAIL mediawiki/extensions/Babel: {'refs/changes/60/544460/meta': '25e7bf4c993d38b26d7dc64[164 chars]a45'} != {'refs/changes/23/540023/meta': '71f28e1c82ccc04a6fff7de[389 chars]a45'}
293+ {'refs/changes/23/540023/meta': '71f28e1c82ccc04a6fff7deee1e298d139316345',
294+ 'refs/changes/33/539833/meta': '5ba4aba8ccfd7f15212e612d36bb997a2b8ab726',
295- {'refs/changes/60/544460/meta': '25e7bf4c993d38b26d7dc649ffa81d53fd482d46',
296? ^
297
298+ 'refs/changes/60/544460/meta': '25e7bf4c993d38b26d7dc649ffa81d53fd482d46',
299? ^
300
301+ 'refs/changes/69/540269/meta': '770c2f7d5d207215939d155bfca103376e1cc8b3',
302 'refs/changes/76/544176/meta': '05b01a5657614243b620956f1bbdf5a269045f98',
303 'refs/changes/78/544678/meta': '14e9e4f88704393c6845a2f925a79349e7070a45'}
304FAIL mediawiki/extensions/BatchUserRights: {} != {'refs/changes/29/545229/meta': 'ba23490759759c42d64fb88e282ce90334913312'}
305- {}
306+ {'refs/changes/29/545229/meta': 'ba23490759759c42d64fb88e282ce90334913312'}
307FAIL mediawiki/extensions/BetaFeatures: {'refs/changes/44/544344/meta': '989a9552da214a106cac154[164 chars]9d1'} != {'refs/changes/24/540024/meta': '1f95d3d7733e5b482398af2[314 chars]9d1'}
308+ {'refs/changes/24/540024/meta': '1f95d3d7733e5b482398af2a92ad47c5421bf265',
309- {'refs/changes/44/544344/meta': '989a9552da214a106cac1545c1438fc23b90049a',
310? ^
311
312+ 'refs/changes/44/544344/meta': '989a9552da214a106cac1545c1438fc23b90049a',
313? ^
314
315 'refs/changes/63/544463/meta': 'a6343547381a8ea0f0c0f48bb5dfe5e63f09ddeb',
316+ 'refs/changes/68/540268/meta': '25d277740eb54202a504e3d017f74da7cd35c9ee',
317 'refs/changes/76/544676/meta': 'cb18f1eb315f6408a762a575a7aef795715d59d1'}
318FAIL mediawiki/extensions/BlogPage: {'refs/changes/66/544466/meta': '030ab7ec3cfb769c28f6d72e752c024ecc9e4e5f'} != {}
319- {'refs/changes/66/544466/meta': '030ab7ec3cfb769c28f6d72e752c024ecc9e4e5f'}
320+ {}
321FAIL mediawiki/extensions/BlueSpiceCategoryCheck: {} != {'refs/changes/15/545215/meta': '25ee61e18d004758843b50bd80f1279990f1d32f'}
322- {}
323+ {'refs/changes/15/545215/meta': '25ee61e18d004758843b50bd80f1279990f1d32f'}
324FAIL mediawiki/extensions/BlueSpiceDistributionConnector: {'refs/changes/30/544630/meta': '5dd24c2b3c4624eb51addedd[88 chars]a00'} != {'refs/changes/38/544638/meta': '07679150504a9527f3fad4fa[163 chars]76d'}
325- {'refs/changes/30/544630/meta': '5dd24c2b3c4624eb51addedd9fbdc188f7cce259',
326- 'refs/changes/38/544638/meta': '07679150504a9527f3fad4fa4ff46224b6e72a00'}
327? ^ ^
328
329+ {'refs/changes/38/544638/meta': '07679150504a9527f3fad4fa4ff46224b6e72a00',
330? ^ ^
331
332+ 'refs/changes/52/545252/meta': '85ce7f8df48abddb69d13ac10870ce8e131c3655',
333+ 'refs/changes/59/545259/meta': '2654f859c912fe0d641e74fb53e37bf749d6776d'}
334FAIL mediawiki/extensions/BlueSpiceEditNotifyConnector: {'refs/changes/80/544480/meta': 'aa4df79ad879bf54573334563af418fb92c64504'} != {}
335- {'refs/changes/80/544480/meta': 'aa4df79ad879bf54573334563af418fb92c64504'}
336+ {}
337OK mediawiki/extensions/BlueSpiceExpiry
338FAIL mediawiki/extensions/BlueSpiceExtendedSearch: {} != {'refs/changes/20/540120/meta': 'd51132309[178 chars]bba'}
339- {}
340+ {'refs/changes/20/540120/meta': 'd51132309da5f363db745137642b8e7697d4538b',
341+ 'refs/changes/74/540374/meta': 'b9c2016e951f49058715341ff61aeb8e693a9190',
342+ 'refs/changes/76/540376/meta': 'b31b49725dec89c8ffdeb79f3d9e584f1da60bba'}
343FAIL mediawiki/extensions/BlueSpiceExtendedStatistics: {} != {'refs/changes/92/525092/meta': '6478e453171e9194ace589c08d5133065321b036'}
344- {}
345+ {'refs/changes/92/525092/meta': '6478e453171e9194ace589c08d5133065321b036'}
346OK mediawiki/extensions/BlueSpiceFilterableTables
347FAIL mediawiki/extensions/BlueSpiceFoundation: {} != {'refs/changes/16/539616/meta': 'de8b25f75daf7fe5eac8b406758f81ec1f01879f'}
348- {}
349+ {'refs/changes/16/539616/meta': 'de8b25f75daf7fe5eac8b406758f81ec1f01879f'}
350FAIL mediawiki/extensions/BlueSpiceInsertLink: {'ref[98 chars]a': '9235d199d171279bb611399ca2e4d11f7bf9c8c5'[71 chars]8d1'} != {'ref[98 chars]a': '5ea3df3fc40f80e929daa8c979d8c933a6e939d9'}
351 {'refs/changes/75/542875/meta': '5127843def5d45cc731e0d155b25855ba8e561a4',
352+ 'refs/changes/89/544489/meta': '5ea3df3fc40f80e929daa8c979d8c933a6e939d9'}
353- 'refs/changes/89/544489/meta': '9235d199d171279bb611399ca2e4d11f7bf9c8c5',
354- 'refs/changes/92/544592/meta': '12939bb2d91075da0d74b1c85440e419846538d1'}
355FAIL mediawiki/extensions/BlueSpicePageAccess: {'refs/changes/09/544909/meta': '0de1ca32833a813776493983376f3aa656a81ee5'} != {}
356- {'refs/changes/09/544909/meta': '0de1ca32833a813776493983376f3aa656a81ee5'}
357+ {}
358FAIL mediawiki/extensions/BlueSpicePageAssignments: {} != {'refs/changes/46/534446/meta': '680adf0156bf4eecccfd7648669fc406ec37899c'}
359- {}
360+ {'refs/changes/46/534446/meta': '680adf0156bf4eecccfd7648669fc406ec37899c'}
361OK mediawiki/extensions/BlueSpicePagesVisited
362OK mediawiki/extensions/BlueSpicePrivacy
363FAIL mediawiki/extensions/BlueSpiceReminder: {'refs/changes/31/544631/meta': '0a6fa952e3f784533fc524e[89 chars]3a0'} != {'refs/changes/87/544187/meta': 'a08fdd309f0149f437b3206[14 chars]3a0'}
364- {'refs/changes/31/544631/meta': '0a6fa952e3f784533fc524e2c4595a17f3412526',
365- 'refs/changes/87/544187/meta': 'a08fdd309f0149f437b32068e9b91be379b853a0'}
366? ^
367
368+ {'refs/changes/87/544187/meta': 'a08fdd309f0149f437b32068e9b91be379b853a0'}
369? ^
370
371OK mediawiki/extensions/BlueSpiceUEModuleHTML
372FAIL mediawiki/extensions/BlueSpiceWhoIsOnline: {} != {'refs/changes/47/529947/meta': '202ae87792f4526a5d1805f78a6b6e1c5a2ad74d'}
373- {}
374+ {'refs/changes/47/529947/meta': '202ae87792f4526a5d1805f78a6b6e1c5a2ad74d'}
375OK mediawiki/extensions/BounceHandler
376FAIL mediawiki/extensions/Capiunto: {'ref[64 chars]94f8'} != {'ref[64 chars]94f8', 'refs/changes/29/540029/meta': '0088856[30 chars]4eb'}
377- {'refs/changes/26/544526/meta': '0467a34c7b4fd03517441f9dae0ee838af0994f8'}
378? ^
379
380+ {'refs/changes/26/544526/meta': '0467a34c7b4fd03517441f9dae0ee838af0994f8',
381? ^
382
383+ 'refs/changes/29/540029/meta': '0088856e607789b135bd38c69ab25c515b6ba4eb'}
384FAIL mediawiki/extensions/Cargo: {} != {'refs/changes/30/540030/meta': '78a91f584[253 chars]0c4'}
385- {}
386+ {'refs/changes/30/540030/meta': '78a91f584578583332693bf6bc7e7dfb3d2a7d69',
387+ 'refs/changes/38/540438/meta': 'b4e5299862e18325bf1c03291ab1cab68b1a879c',
388+ 'refs/changes/41/539941/meta': '98be5802d18044d978fe9e77c17d22a3c29666ec',
389+ 'refs/changes/76/539776/meta': '9e59794a4c82178371f83db7685d4ba3ef0c60c4'}
390OK mediawiki/extensions/CategoryTree
391FAIL mediawiki/extensions/CentralAuth: {'refs/changes/33/544533/meta': '8c7b07e7716ccde6560f31a[164 chars]f99'} != {'refs/changes/03/372803/meta': '8366e4edb0ec5b4a9cd3acd[689 chars]f99'}
392+ {'refs/changes/03/372803/meta': '8366e4edb0ec5b4a9cd3acd1bdcc2324a0a0df68',
393+ 'refs/changes/11/540411/meta': '2cddb0bc0b647d5ca7bd0a044b510a69cc5a30ea',
394- {'refs/changes/33/544533/meta': '8c7b07e7716ccde6560f31a1af6a753e4c79d226',
395? ^
396
397+ 'refs/changes/33/544533/meta': '8c7b07e7716ccde6560f31a1af6a753e4c79d226',
398? ^
399
400+ 'refs/changes/51/539651/meta': '11998c88d72a27fdce66faddb0b89cb14143e776',
401 'refs/changes/55/528155/meta': '97cece36631c1a8aa99b05a1a7047d9a9e36f383',
402+ 'refs/changes/78/539778/meta': 'ee66627a1ac34a9d2d8b3b1b6f6bf4ae371c40ef',
403+ 'refs/changes/78/540278/meta': '78d70be2f466d608a1c05cf42d259847a2a8f5fb',
404+ 'refs/changes/80/545180/meta': 'b78dddc45a2144d16642b753d549056f2fe70f31',
405+ 'refs/changes/82/388682/meta': '03fccc6ab6c998bf95ecea523b98173132710491',
406 'refs/changes/97/544697/meta': 'f080b7e7d6a53935ae1eddc10158e503abe43f99'}
407FAIL mediawiki/extensions/CentralNotice: {'ref[23 chars]a': '8eb6479a1cae507709448c4e7a96df13545b644b'[146 chars]f8b'} != {'ref[23 chars]a': '75fa57cdcaf6fcd57443e32b1124d9211c4eba0c'[746 chars]f8b'}
408- {'refs/changes/03/543203/meta': '8eb6479a1cae507709448c4e7a96df13545b644b',
409- 'refs/changes/23/545023/meta': '399592fc5d16aca552eee89334aa6edf673276e5',
410+ {'refs/changes/03/543203/meta': '75fa57cdcaf6fcd57443e32b1124d9211c4eba0c',
411+ 'refs/changes/23/545023/meta': '1d267305da1076215e081f3f47e2e2729a09ac6b',
412+ 'refs/changes/31/517931/meta': 'fbd2d43479b751450503e647fd6c1aadb7f01a97',
413+ 'refs/changes/31/545131/meta': '12da1833e1dcf5999081e6a81131ce9ad81cca83',
414+ 'refs/changes/32/540032/meta': '0586ee404d18349c3d06e776537f71c178321017',
415+ 'refs/changes/67/538967/meta': '68243be947eefaf0896e8efb34f46dc1a648c4d9',
416+ 'refs/changes/77/540277/meta': '0d5a371388ac6ea7b6ae2b48075f91e6665ff531',
417+ 'refs/changes/79/539779/meta': '502acb4ad601c6f1d556c67a3fa9fc59080e193c',
418+ 'refs/changes/82/545082/meta': '01988920c298be7c92ec782637d8e989cd0ee7be',
419+ 'refs/changes/90/539990/meta': 'c2fe67cfc9e102ae3a999ff0fb454374c902ab28',
420 'refs/changes/98/544698/meta': '310620be8c5ae2edf7c8ac4803ba62eca2200f8b'}
421FAIL mediawiki/extensions/CheckUser: {'refs/changes/30/544330/meta': '2454c99ace0b5edf1c4cbbc[89 chars]144'} != {'refs/changes/14/539914/meta': '3e865befe99e30c4da2ac71[1139 chars]144'}
422+ {'refs/changes/14/539914/meta': '3e865befe99e30c4da2ac71f305d42f265075f2e',
423+ 'refs/changes/15/539915/meta': '1c6feb1abf9ff238fb8150d84f76f13e083a7130',
424+ 'refs/changes/18/539918/meta': '4f930594e776e7dd5059984a0f1f3463238e2a42',
425+ 'refs/changes/19/539919/meta': 'ebd47241b82e1bd0c9c47717dac244d5718d80a9',
426+ 'refs/changes/20/539920/meta': '5f3ee231c439b047076da61da63f10d21295d466',
427- {'refs/changes/30/544330/meta': '2454c99ace0b5edf1c4cbbc2147a0c5acf2507db',
428? ^
429
430+ 'refs/changes/30/544330/meta': '2454c99ace0b5edf1c4cbbc2147a0c5acf2507db',
431? ^
432
433+ 'refs/changes/43/539643/meta': '368789d558b806a2966be96eb8e14b51df2d6191',
434+ 'refs/changes/44/539644/meta': 'e6a3c7557ebb15455f05641bc344aceb20fd9d4d',
435+ 'refs/changes/45/539645/meta': '10f400fedc134a071333cc29c30245cffcb6f94e',
436+ 'refs/changes/46/539646/meta': '3b4080929495dd5bfda1563d6b3d0230ca4506a3',
437+ 'refs/changes/56/537256/meta': '6ba70bc8a42688b32631c7bc84dd614f4e7cd779',
438+ 'refs/changes/59/474459/meta': '65fdfa4f19116f47d9cedb76e9c78f2c0b560ed5',
439+ 'refs/changes/63/545163/meta': '663ff47939d2dffea76b7c2a418e4fb0c8a8a866',
440+ 'refs/changes/80/539780/meta': 'a66cc8dfb333ddfc1eef43f25ec340e3f7a5ba36',
441+ 'refs/changes/81/540281/meta': '41f5a03e656a091ef712f6c456b95150f958b5f7',
442 'refs/changes/99/544699/meta': '1ea86583223f59d91631bd7d2f09b06dc69f7144'}
443FAIL mediawiki/extensions/CirrusSearch: {'ref[64 chars]c4af'} != {'ref[64 chars]c4af', 'refs/changes/03/536203/meta': '52afede[405 chars]7cf'}
444- {'refs/changes/00/544700/meta': '2cda5ba071d00fa1f867dbea07091f218a0fc4af'}
445? ^
446
447+ {'refs/changes/00/544700/meta': '2cda5ba071d00fa1f867dbea07091f218a0fc4af',
448? ^
449
450+ 'refs/changes/03/536203/meta': '52afede470dcbeddbe3c74f366a79d9bfe44dfa7',
451+ 'refs/changes/18/540418/meta': '5360b85e6115478440e0a2611f3b6df68a7c2d40',
452+ 'refs/changes/61/540461/meta': '140255d5095bb3ebd2166c017314bc787168c6fa',
453+ 'refs/changes/79/540279/meta': 'cdade228d2b11ea2c3183476bd6a2028e054235e',
454+ 'refs/changes/79/545179/meta': '27862a633f994d8b1239c6887f0570be56ce69cb',
455+ 'refs/changes/88/540088/meta': '6f0e4d74070677c577c6e0d08de9ef8dbffef7cf'}
456FAIL mediawiki/extensions/Cite: {} != {'refs/changes/61/538261/meta': 'c011e7c5e978f2fd0d261b97650e225c1d8f81ea'}
457- {}
458+ {'refs/changes/61/538261/meta': 'c011e7c5e978f2fd0d261b97650e225c1d8f81ea'}
459OK mediawiki/extensions/Citoid
460FAIL mediawiki/extensions/CodeMirror: {} != {'refs/changes/78/545178/meta': '1e716f5af[103 chars]3d9'}
461- {}
462+ {'refs/changes/78/545178/meta': '1e716f5afbc9ae9dc6ca90ad3edf4959b6bcce6b',
463+ 'refs/changes/83/540283/meta': '9b52c3fd4ba9ce29de4ffe8c10b3e69dac03f3d9'}
464FAIL mediawiki/extensions/CodeReview: {} != {'refs/changes/33/540033/meta': 'f5a7c862d7097fc24e15dd1f1c4365d26434d95b'}
465- {}
466+ {'refs/changes/33/540033/meta': 'f5a7c862d7097fc24e15dd1f1c4365d26434d95b'}
467OK mediawiki/extensions/CollaborationKit
468FAIL mediawiki/extensions/Collection: {'ref[64 chars]5f7b'} != {'ref[64 chars]5f7b', 'refs/changes/34/540034/meta': '69b19e5[180 chars]01d'}
469- {'refs/changes/06/544706/meta': 'd0dbd1359a0dd6f9899db38aeda9504956a15f7b'}
470? ^
471
472+ {'refs/changes/06/544706/meta': 'd0dbd1359a0dd6f9899db38aeda9504956a15f7b',
473? ^
474
475+ 'refs/changes/34/540034/meta': '69b19e53294175758ced287a939d67fc8665048b',
476+ 'refs/changes/85/540285/meta': '75c5c507002078d08ee0e3be5fbf108a1e98bff2',
477+ 'refs/changes/86/539786/meta': 'd1f08422cfe96009d0212b82cb84916ed7c5901d'}
478FAIL mediawiki/extensions/ConfirmEdit: {'ref[80 chars]nges/48/544548/meta': '2678b1ce5e01f06b1da1259[14 chars]34d'} != {'ref[80 chars]nges/24/447924/meta': '98b390fd7825a0b2be01287[539 chars]ae9'}
479 {'refs/changes/07/544707/meta': 'dbf0cd4c93ce2d3617480ba364ebbb3fa633f193',
480+ 'refs/changes/24/447924/meta': '98b390fd7825a0b2be01287713c764b2aa8739d0',
481+ 'refs/changes/38/540038/meta': 'b0352fb5db03ddc6e0665fe36bdfb828d5eecbf0',
482+ 'refs/changes/40/545140/meta': '601359b8f62e597e6933c82068e2031cb7331761',
483- 'refs/changes/48/544548/meta': '2678b1ce5e01f06b1da1259acbc950cba396134d'}
484? ^
485
486+ 'refs/changes/48/544548/meta': '2678b1ce5e01f06b1da1259acbc950cba396134d',
487? ^
488
489+ 'refs/changes/57/539657/meta': 'e76419bbe916d7724f92549981d1ba33e310ed3c',
490+ 'refs/changes/79/539679/meta': '8a5e651780b605570c387f4c4ac4789e457c2351',
491+ 'refs/changes/82/545182/meta': '5da85ad736e4170ac4639f142988b6ab88588198',
492+ 'refs/changes/87/540287/meta': 'f6b1fcf597f4f137fcb9b94e077c1952a948fae9'}
493FAIL mediawiki/extensions/ContentTranslation: {'refs/changes/08/518708/meta': 'ddb322bed8d844a175b2d88a[238 chars]ea1'} != {'refs/changes/02/527102/meta': 'a5719bb490b14967da937fcd[1138 chars]d70'}
494+ {'refs/changes/02/527102/meta': 'a5719bb490b14967da937fcdc8531335edec95d2',
495+ 'refs/changes/07/534207/meta': '0fda1dc1f843a0d666b64c1a8fe0e15c9a23281e',
496- {'refs/changes/08/518708/meta': 'ddb322bed8d844a175b2d88ac35e7ba7a677d1fc',
497? ^
498
499+ 'refs/changes/08/518708/meta': 'ddb322bed8d844a175b2d88ac35e7ba7a677d1fc',
500? ^
501
502+ 'refs/changes/08/534208/meta': 'bac361cb79bdc4dbd2b802cc18a4f16d949c1c37',
503 'refs/changes/08/544708/meta': 'f9add3767faff6d44ecd7df020b1ebca25dbae94',
504+ 'refs/changes/22/539222/meta': '48b6f3b07adfbd837e15a829655c7838e62490c8',
505+ 'refs/changes/37/540037/meta': '46d4d94fdda9303dd578f13a3186bcde2dbf7feb',
506+ 'refs/changes/46/528746/meta': '8bcff38d62d338aefb5d9e4e87a6568c5e7ab01a',
507+ 'refs/changes/55/539855/meta': '4f78d3a2ecc25e14749a68a41ebef456b859a62d',
508+ 'refs/changes/66/487366/meta': 'f45408de273fbdf45fe3cc51f3b35f4ee481f6c6',
509+ 'refs/changes/66/545166/meta': '545f25d69595f31f64c4860f40a3a90997ca07b7',
510 'refs/changes/81/537781/meta': '6a0b753f8c249c68fd1bb34db289f0fa36fdc953',
511+ 'refs/changes/81/545181/meta': '96776f833708859ac693c2545394c300833ccca3',
512+ 'refs/changes/86/540286/meta': '711392c99643696f60129ad9e0999177007ced2c',
513- 'refs/changes/87/544987/meta': 'e82b86c6d2a8ca92c535937486c35651b9d3aea1'}
514? ^
515
516+ 'refs/changes/87/544987/meta': 'e82b86c6d2a8ca92c535937486c35651b9d3aea1',
517? ^
518
519+ 'refs/changes/88/539788/meta': 'cc74f623fca07abc8964b3444c2e3a5473871d70'}
520OK mediawiki/extensions/CookieWarning
521FAIL mediawiki/extensions/DeleteBatch: {} != {'refs/changes/33/545233/meta': 'c3b7eee0eb5154c52889d5f073c325e35fdfe4df'}
522- {}
523+ {'refs/changes/33/545233/meta': 'c3b7eee0eb5154c52889d5f073c325e35fdfe4df'}
524FAIL mediawiki/extensions/DiscussionTools: {'ref[23 chars]a': '4348735e62d1a1387a1b0c439d936cfa00040cbe'[446 chars]334'} != {'ref[23 chars]a': '2dddad8b7bd97f546bd755b0fc00877a8e3186b7'[446 chars]334'}
525- {'refs/changes/01/544401/meta': '4348735e62d1a1387a1b0c439d936cfa00040cbe',
526- 'refs/changes/02/544402/meta': 'd32e71d288af6b37ee7179d139eecbfb7491e2b5',
527- 'refs/changes/03/544403/meta': 'bee0ccf69ccfd38283b3ed1e0c4e95e4a4571753',
528- 'refs/changes/04/544404/meta': 'd0be7f4232b9c0b4637e1bb563776dc93d23b163',
529- 'refs/changes/16/544216/meta': 'e5b5733de6b216175f083c1ffd8f85302c6f8662',
530+ {'refs/changes/01/544401/meta': '2dddad8b7bd97f546bd755b0fc00877a8e3186b7',
531+ 'refs/changes/02/544402/meta': 'a60eea13a75c3fd6e1e330fa7ef9c904d42fbf4c',
532+ 'refs/changes/03/544403/meta': 'd32cbe4a76cc47f732052d57ab20caac79389d9b',
533+ 'refs/changes/04/544404/meta': '81069e3a2e3b4abf2047053ecc4b5ba6bca76e1b',
534+ 'refs/changes/16/544216/meta': '5bc224475c7d46f7ef1af8fe5f2bb0f2239e7535',
535 'refs/changes/39/543839/meta': '7ecd28cf7ef91531b1ad927b1b7ce56731dcf22d',
536 'refs/changes/93/542993/meta': 'e266e7c48ca69458fcd342b4a0e7d95d1eb6d334'}
537OK mediawiki/extensions/DisplayTitle
538FAIL mediawiki/extensions/DonationInterface: {'refs/changes/10/544710/meta': '8553eb81888edf08dc5ed8b[164 chars]9a5'} != {'refs/changes/01/539401/meta': '91680d867f7a7d01442b1db[464 chars]a9b'}
539+ {'refs/changes/01/539401/meta': '91680d867f7a7d01442b1db196b211057134e163',
540+ 'refs/changes/01/540201/meta': 'f797227915f9db4576d32a65bf0fd56049db1891',
541- {'refs/changes/10/544710/meta': '8553eb81888edf08dc5ed8b715b9767a3c67bdf9',
542? ^
543
544+ 'refs/changes/10/544710/meta': '8553eb81888edf08dc5ed8b715b9767a3c67bdf9',
545? ^
546
547- 'refs/changes/36/544436/meta': '82412a4ae4e39f25930611dd0eebf5e61ebb95d7',
548+ 'refs/changes/22/536722/meta': '7050105c086868e7c09fc01c04ff367f6609a49f',
549+ 'refs/changes/36/544436/meta': 'b0f81db18e21e7ca5ab5ebded53270d5994bebd1',
550- 'refs/changes/39/544239/meta': '5d6211ae6e369f09bca73fa15a19432df05e49a5'}
551? ^
552
553+ 'refs/changes/39/544239/meta': '5d6211ae6e369f09bca73fa15a19432df05e49a5',
554? ^
555
556+ 'refs/changes/56/539356/meta': '299ee7adb73ab9a6e556ff778cf1912d94c8da9b'}
557FAIL mediawiki/extensions/Echo: {'ref[155 chars]nges/70/544570/meta': '500ac3620e170aae92303b8[14 chars]71e'} != {'ref[155 chars]nges/24/530224/meta': 'af023b5cb035ff7f80c0e2a[389 chars]0ad'}
558 {'refs/changes/04/531304/meta': '7256ba214f661487c2b270919f26d28bb660e9fb',
559 'refs/changes/11/544711/meta': '2d91d266ddb82751122573f46197e3bb694974cd',
560+ 'refs/changes/24/530224/meta': 'af023b5cb035ff7f80c0e2a38f1aded289302031',
561+ 'refs/changes/24/540224/meta': 'f5560bf632842610cf2bd9a34ec196152f9cab95',
562- 'refs/changes/70/544570/meta': '500ac3620e170aae92303b8680553116bdbaf71e'}
563? ^
564
565+ 'refs/changes/70/544570/meta': '500ac3620e170aae92303b8680553116bdbaf71e',
566? ^
567
568+ 'refs/changes/83/545183/meta': '7bfcf477d1c956a2b97eb3af5079cc37bb8d2321',
569+ 'refs/changes/90/540290/meta': 'cb86a32638b794b738b925fd52aea457d2c0ddb1',
570+ 'refs/changes/91/539791/meta': 'b008888fa5b09708f52c8a3d39164d743b7800ad'}
571FAIL mediawiki/extensions/ElectronPdfService: {} != {'refs/changes/03/527203/meta': '7a8fe3069ec2250ced81f2b44eb9f73873deca27'}
572- {}
573+ {'refs/changes/03/527203/meta': '7a8fe3069ec2250ced81f2b44eb9f73873deca27'}
574OK mediawiki/extensions/EmailAuth
575FAIL mediawiki/extensions/EntitySchema: {'refs/changes/39/544339/meta': 'dc6f455a8c99dc76a60eaba[14 chars]7f8'} != {'refs/changes/15/544115/meta': 'ddfb50b90dce4988d99428c[314 chars]ff6'}
576+ {'refs/changes/15/544115/meta': 'ddfb50b90dce4988d99428c0b3db32faac94851d',
577- {'refs/changes/39/544339/meta': 'dc6f455a8c99dc76a60eaba2ab1a5192b91bd7f8'}
578? ^ ^
579
580+ 'refs/changes/39/544339/meta': 'dc6f455a8c99dc76a60eaba2ab1a5192b91bd7f8',
581? ^ ^
582
583+ 'refs/changes/40/540040/meta': '99fa62a2bfdacf0163109c094892215b1a9e5e71',
584+ 'refs/changes/89/540289/meta': 'f917844882df56ca5ad81cdc817d4eeaf5e22afb',
585+ 'refs/changes/94/539794/meta': '85849d2c9e16a68b6222fa36f28505535b291ff6'}
586OK mediawiki/extensions/EventBus
587FAIL mediawiki/extensions/EventLogging: {'refs/changes/76/544576/meta': '71abceffcb3f7eb11c768fa[14 chars]e2b'} != {'refs/changes/46/545146/meta': '739bb08357d59deedd6a43a[314 chars]3e2'}
588+ {'refs/changes/46/545146/meta': '739bb08357d59deedd6a43ad8f4119de4e7f3d1e',
589+ 'refs/changes/75/524575/meta': '4e85c4789efc3b0387f374696f00d64ebc2b538b',
590- {'refs/changes/76/544576/meta': '71abceffcb3f7eb11c768fa62cb9f74a05ba5e2b'}
591? ^ ^
592
593+ 'refs/changes/76/544576/meta': '71abceffcb3f7eb11c768fa62cb9f74a05ba5e2b',
594? ^ ^
595
596+ 'refs/changes/84/540084/meta': 'f7a83c03b8f2471153b176d42f70f27818d9c999',
597+ 'refs/changes/95/539795/meta': '6e12f1b06f226a5337104bc46df777751e3473e2'}
598OK mediawiki/extensions/ExtensionDistributor
599OK mediawiki/extensions/ExternalGuidance
600FAIL mediawiki/extensions/FanBoxes: {'refs/changes/81/544581/meta': '96ae75ca49b66047b204d93ccb58cd5b5e57f298'} != {}
601- {'refs/changes/81/544581/meta': '96ae75ca49b66047b204d93ccb58cd5b5e57f298'}
602+ {}
603FAIL mediawiki/extensions/FileExporter: {} != {'refs/changes/85/535185/meta': '94bbb97eef8ca79234b10b0309833f38597e7cac'}
604- {}
605+ {'refs/changes/85/535185/meta': '94bbb97eef8ca79234b10b0309833f38597e7cac'}
606FAIL mediawiki/extensions/FileImporter: {'refs/changes/68/509768/meta': 'c36a3d5cc732fb48308b03c[89 chars]4bb'} != {'refs/changes/42/540042/meta': 'b8a5c024f3952ca7dcceb12[614 chars]eee'}
607- {'refs/changes/68/509768/meta': 'c36a3d5cc732fb48308b03c6380e1c7b77c87570',
608+ {'refs/changes/42/540042/meta': 'b8a5c024f3952ca7dcceb12cd0cb9fb44e8ba369',
609+ 'refs/changes/48/545148/meta': '0a6d8ae17215e2dece6736dbf251a7c3a0d64d79',
610+ 'refs/changes/61/540361/meta': 'b9b3b3df380a643acd2adc638c06b25e6ea092f8',
611+ 'refs/changes/68/509768/meta': 'a50a225bf3854e1f6f0906baf960afbed249f3a4',
612+ 'refs/changes/84/539884/meta': 'f1d4fea2da94b17d8ecc749b776f2679ccd8aae7',
613+ 'refs/changes/84/540384/meta': '3385d44d4b5a7af50079d06664b7044147b0ea9d',
614- 'refs/changes/84/544584/meta': '74c05e09969fe6fa2c023ab599055fcc6e5114bb'}
615? ^
616
617+ 'refs/changes/84/544584/meta': '74c05e09969fe6fa2c023ab599055fcc6e5114bb',
618? ^
619
620+ 'refs/changes/93/540293/meta': '3f879ac5d9f5837a1c0614579226fa7d2f541486',
621+ 'refs/changes/98/539798/meta': 'b91c3ef116143567c157359f056f73a02f66eeee'}
622FAIL mediawiki/extensions/FlaggedRevs: {'refs/changes/56/509156/meta': '24382af72e14e8c17598992c[13 chars]e66'} != {'refs/changes/52/467452/meta': '3e25308f319977cfed762611[163 chars]deb'}
623+ {'refs/changes/52/467452/meta': '3e25308f319977cfed762611d06897d3ec05efc8',
624- {'refs/changes/56/509156/meta': '24382af72e14e8c17598992c028abbacc9ee4e66'}
625? ^ ^
626
627+ 'refs/changes/56/509156/meta': '24382af72e14e8c17598992c028abbacc9ee4e66',
628? ^ ^
629
630+ 'refs/changes/58/539658/meta': '92c45fc9c5fa4058f2c577f3fdf116ac0575bdeb'}
631FAIL mediawiki/extensions/Flow: {'ref[156 chars]ges/44/425744/meta': '9bea1c9fc5b6880f3375e526[88 chars]90b'} != {'ref[156 chars]ges/43/540043/meta': '26cbb011426cec71dfe0cd7a[388 chars]3ce'}
632 {'refs/changes/16/544716/meta': 'c8ef42c8f4dc6a8fcae015892db7cea928e94c62',
633 'refs/changes/42/544342/meta': '9ffa4010d32e04252376e25059485e967d8e85a9',
634+ 'refs/changes/43/540043/meta': '26cbb011426cec71dfe0cd7aad4bc6faae249a36',
635 'refs/changes/44/425744/meta': '9bea1c9fc5b6880f3375e526f62e20b2837a0b5c',
636+ 'refs/changes/54/533754/meta': '2167a708b110ff8d75f16fee3ae6a2fcd1fcddb4',
637+ 'refs/changes/58/539958/meta': 'e55f66205f425275afe728096e20f10629953de0',
638- 'refs/changes/83/430083/meta': '2b0f849dcab1b5fa18a826519c5fa4155eca690b'}
639? ^
640
641+ 'refs/changes/83/430083/meta': '2b0f849dcab1b5fa18a826519c5fa4155eca690b',
642? ^
643
644+ 'refs/changes/94/540294/meta': '002158c002201308dad5bf0b5af904a0bdfd33ce'}
645OK mediawiki/extensions/FundraiserLandingPage
646FAIL mediawiki/extensions/GWToolset: {'ref[64 chars]7fd9'} != {'ref[64 chars]7fd9', 'refs/changes/99/539799/meta': 'c024713[30 chars]8a3'}
647- {'refs/changes/90/544590/meta': '4f6a9da15e3f7083a51daace0507a8cc54577fd9'}
648? ^
649
650+ {'refs/changes/90/544590/meta': '4f6a9da15e3f7083a51daace0507a8cc54577fd9',
651? ^
652
653+ 'refs/changes/99/539799/meta': 'c024713c952320a190cb31055453bc9abbf738a3'}
654FAIL mediawiki/extensions/Gadgets: {'refs/changes/19/544719/meta': '43f4482722ba94e009764d1[14 chars]e80'} != {'refs/changes/05/449005/meta': 'd0c6cb843c19de36236e8fb[164 chars]0fc'}
655+ {'refs/changes/05/449005/meta': 'd0c6cb843c19de36236e8fbf46163c190e04aaa6',
656- {'refs/changes/19/544719/meta': '43f4482722ba94e009764d1e09f8cab0a1064e80'}
657? ^ ^
658
659+ 'refs/changes/19/544719/meta': '43f4482722ba94e009764d1e09f8cab0a1064e80',
660? ^ ^
661
662+ 'refs/changes/96/540296/meta': '97180bd53277cd1c02bd581cf1ae70759c4490fc'}
663FAIL mediawiki/extensions/Genealogy: {'refs/changes/91/544591/meta': '0c8f2b005794b31cf565e66[14 chars]f7f'} != {'refs/changes/37/529337/meta': '47aac3fa8bb48cd53ed4f97[164 chars]f7f'}
664+ {'refs/changes/37/529337/meta': '47aac3fa8bb48cd53ed4f97c78f78298060eff42',
665+ 'refs/changes/60/539660/meta': '94f461f481c4476da602e0d71d7aaa864b26b58b',
666- {'refs/changes/91/544591/meta': '0c8f2b005794b31cf565e6621dfad146a6fa6f7f'}
667? ^
668
669+ 'refs/changes/91/544591/meta': '0c8f2b005794b31cf565e6621dfad146a6fa6f7f'}
670? ^
671
672OK mediawiki/extensions/GeoData
673OK mediawiki/extensions/GettingStarted
674OK mediawiki/extensions/GlobalCheckUser
675FAIL mediawiki/extensions/GlobalCssJs: {} != {'refs/changes/97/540297/meta': '80d0777a852f9da448b99fbbea70a524c7471023'}
676- {}
677+ {'refs/changes/97/540297/meta': '80d0777a852f9da448b99fbbea70a524c7471023'}
678FAIL mediawiki/extensions/GlobalPreferences: {'refs/changes/20/544720/meta': '0d71d91d74a5c8b26469319[89 chars]b1d'} != {'refs/changes/01/539801/meta': '36e833a4a81346fcff8b5bb[239 chars]8e9'}
679+ {'refs/changes/01/539801/meta': '36e833a4a81346fcff8b5bb198dc6e45b2e9c89f',
680- {'refs/changes/20/544720/meta': '0d71d91d74a5c8b26469319b69c8bd6f4a5da854',
681? ^
682
683+ 'refs/changes/20/544720/meta': '0d71d91d74a5c8b26469319b69c8bd6f4a5da854',
684? ^
685
686- 'refs/changes/96/544596/meta': '6cb6da81ca161b5b0ec5a8e902d429235f04ab1d'}
687? ^
688
689+ 'refs/changes/96/544596/meta': '6cb6da81ca161b5b0ec5a8e902d429235f04ab1d',
690? ^
691
692+ 'refs/changes/99/540299/meta': 'a5cfc173f9c1cc96cc2502661b281ce731f138e9'}
693FAIL mediawiki/extensions/GoogleLogin: {} != {'refs/changes/81/536781/meta': '80aa7128ea1631f76eff8fe5eafb8d285820d5d0'}
694- {}
695+ {'refs/changes/81/536781/meta': '80aa7128ea1631f76eff8fe5eafb8d285820d5d0'}
696FAIL mediawiki/extensions/Graph: {'ref[64 chars]19a7'} != {'ref[64 chars]19a7', 'refs/changes/04/539804/meta': '3d1fde9[30 chars]c3c'}
697- {'refs/changes/00/544600/meta': '7322e9e25e683d48ce304b24cc919757789e19a7'}
698? ^
699
700+ {'refs/changes/00/544600/meta': '7322e9e25e683d48ce304b24cc919757789e19a7',
701? ^
702
703+ 'refs/changes/04/539804/meta': '3d1fde9fa6738f0b637729b8847f2d80e0e79c3c'}
704OK mediawiki/extensions/GraphViz
705FAIL mediawiki/extensions/GrowthExperiments: {'ref[23 chars]a': '2398c43170f096350e7a4f613f50bfb02fe12b31'[446 chars]e52'} != {'ref[23 chars]a': '5950aceb770d90c0c2975c227bdb3254cc1f6472'[671 chars]207'}
706- {'refs/changes/00/543000/meta': '2398c43170f096350e7a4f613f50bfb02fe12b31',
707+ {'refs/changes/00/543000/meta': '5950aceb770d90c0c2975c227bdb3254cc1f6472',
708 'refs/changes/04/541404/meta': 'e56ac3af58c2f7507d3e78ff680f987abe23d4f2',
709- 'refs/changes/05/530105/meta': 'f8fda749d31506b9795479c58b57a6add9a829de',
710+ 'refs/changes/05/530105/meta': '3146c1a525c323633b26509b6400a61c2fe59926',
711+ 'refs/changes/16/545216/meta': 'b1e2bcdeeab457ba2bd4eff8f9da140cc6ddbd4c',
712 'refs/changes/22/544722/meta': 'a5d26f5d3a52ff3695cdc8e310cd1577e1a7fe69',
713+ 'refs/changes/49/540449/meta': '007bc9eff529215828617287477ba2146e2a22e5',
714 'refs/changes/62/543962/meta': '2bf363c790d2ce53b6d0c54251def821a6518ce3',
715 'refs/changes/77/541277/meta': '90954861678c70a86cc8a26353d0e8bca0cdda14',
716- 'refs/changes/81/530681/meta': '591f040707bfdc68a092eacea7459e34b46a9e52'}
717? ^
718
719+ 'refs/changes/81/530681/meta': '591f040707bfdc68a092eacea7459e34b46a9e52',
720? ^
721
722+ 'refs/changes/84/545184/meta': 'ee32f876f85dfd75609171c5ed914aed3e3d8207'}
723OK mediawiki/extensions/GuidedTour
724FAIL mediawiki/extensions/HelpPages: {'refs/changes/06/544606/meta': 'e4d0d8db4b35355a1633fcbb610fb55827c76141'} != {}
725- {'refs/changes/06/544606/meta': 'e4d0d8db4b35355a1633fcbb610fb55827c76141'}
726+ {}
727FAIL mediawiki/extensions/HitCounters: {} != {'refs/changes/73/260173/meta': '27aab18730bccec74d4356b63b71c5647033cb45'}
728- {}
729+ {'refs/changes/73/260173/meta': '27aab18730bccec74d4356b63b71c5647033cb45'}
730FAIL mediawiki/extensions/ImageRating: {} != {'refs/changes/35/545235/meta': '95b435b15dfc576ae422104fb362069d0dbad8d0'}
731- {}
732+ {'refs/changes/35/545235/meta': '95b435b15dfc576ae422104fb362069d0dbad8d0'}
733FAIL mediawiki/extensions/Jade: {} != {'refs/changes/59/536659/meta': 'aa8104eb65ea4ae934c2c71f727b9816363b5eca'}
734- {}
735+ {'refs/changes/59/536659/meta': 'aa8104eb65ea4ae934c2c71f727b9816363b5eca'}
736FAIL mediawiki/extensions/JsonConfig: {'refs/changes/32/544632/meta': '9cabecbbf26d309923866cf[14 chars]307'} != {'refs/changes/04/540304/meta': 'ab30340be67038a5df1d316[164 chars]8f6'}
737+ {'refs/changes/04/540304/meta': 'ab30340be67038a5df1d31671f4e35dcea4530cc',
738- {'refs/changes/32/544632/meta': '9cabecbbf26d309923866cfc42e824bf88466307'}
739? ^ ^
740
741+ 'refs/changes/32/544632/meta': '9cabecbbf26d309923866cfc42e824bf88466307',
742? ^ ^
743
744+ 'refs/changes/86/545186/meta': 'e592e2ac9e6654ddb17890ddaabad43a9ee2b8f6'}
745FAIL mediawiki/extensions/Kartographer: {'refs/changes/26/544726/meta': 'e09b446c260cbe3100ec176[14 chars]ea4'} != {'refs/changes/07/540307/meta': 'afdd0476a1c30b64ece2050[239 chars]3c9'}
746+ {'refs/changes/07/540307/meta': 'afdd0476a1c30b64ece20500e8578f84c83dabd8',
747- {'refs/changes/26/544726/meta': 'e09b446c260cbe3100ec1763cb13be6043510ea4'}
748? ^ ^
749
750+ 'refs/changes/26/544726/meta': 'e09b446c260cbe3100ec1763cb13be6043510ea4',
751? ^ ^
752
753+ 'refs/changes/46/540046/meta': 'c6ce173c907c73e98731e555743d589c03eeebb4',
754+ 'refs/changes/78/539878/meta': 'da84f68e0d6e9731719707cd566647f6aa2293c9'}
755FAIL mediawiki/extensions/LifeWeb: {} != {'refs/changes/68/538668/meta': '353cd18ac417ba67afeeb7dbf362dbf4fc6919d2'}
756- {}
757+ {'refs/changes/68/538668/meta': '353cd18ac417ba67afeeb7dbf362dbf4fc6919d2'}
758FAIL mediawiki/extensions/Lingo: {'ref[139 chars]aeba'} != {'ref[139 chars]aeba', 'refs/changes/41/545141/meta': 'bfb2e98[30 chars]9d2'}
759 {'refs/changes/31/544931/meta': '5760edcba66d50e2d67e7fe05830591fc18c4f8d',
760- 'refs/changes/40/544640/meta': '93b290d3ea5e84f75dc74f30376a1d355aa8aeba'}
761? ^
762
763+ 'refs/changes/40/544640/meta': '93b290d3ea5e84f75dc74f30376a1d355aa8aeba',
764? ^
765
766+ 'refs/changes/41/545141/meta': 'bfb2e98a735f914b92512f7dcef86654651069d2'}
767FAIL mediawiki/extensions/Linter: {'refs/changes/25/544725/meta': '5054487807f0f1dfda14b0a[89 chars]abb'} != {'refs/changes/06/540306/meta': '9a13085175b97c737d8af31[314 chars]abb'}
768+ {'refs/changes/06/540306/meta': '9a13085175b97c737d8af31ed9282f6147cd1aa9',
769- {'refs/changes/25/544725/meta': '5054487807f0f1dfda14b0af5413394026fc5ec7',
770? ^
771
772+ 'refs/changes/25/544725/meta': '5054487807f0f1dfda14b0af5413394026fc5ec7',
773? ^
774
775+ 'refs/changes/45/545145/meta': 'eca357eeda1c4009544e093839d9f1018ede4011',
776+ 'refs/changes/49/545149/meta': '1ae91ac8c41ef09c612563eefd7bf41fe693683b',
777 'refs/changes/80/544380/meta': '1c08c83bb313b502c940f63eb52ce53b02695abb'}
778FAIL mediawiki/extensions/LiquidThreads: {} != {'refs/changes/75/539675/meta': 'da115eda16477d313b1b9f0c8e4db9769379bcfc'}
779- {}
780+ {'refs/changes/75/539675/meta': 'da115eda16477d313b1b9f0c8e4db9769379bcfc'}
781FAIL mediawiki/extensions/LoginNotify: {'refs/changes/28/544728/meta': '64494e729043935d6330525[14 chars]e6c'} != {'refs/changes/08/540308/meta': '0ef2f54ef75df2e0525fee5[89 chars]e6c'}
782+ {'refs/changes/08/540308/meta': '0ef2f54ef75df2e0525fee592b0ad61f33cab1de',
783- {'refs/changes/28/544728/meta': '64494e729043935d6330525fece7d4e6c44d6e6c'}
784? ^
785
786+ 'refs/changes/28/544728/meta': '64494e729043935d6330525fece7d4e6c44d6e6c'}
787? ^
788
789FAIL mediawiki/extensions/MachineVision: {'refs/changes/27/544027/meta': 'cf2c1e94553780fdf83438f[239 chars]b62'} != {'refs/changes/17/540417/meta': '0b27dc3103c738ccbc002cd[1064 chars]d02'}
790+ {'refs/changes/17/540417/meta': '0b27dc3103c738ccbc002cd87e0f24a077d47e97',
791+ 'refs/changes/17/545117/meta': 'ff3da7bb9e47bd2a8e47cabe831d0f7a04933362',
792+ 'refs/changes/24/545124/meta': 'd1875af53a32e856603c56472077ec6f0e74e6ab',
793- {'refs/changes/27/544027/meta': 'cf2c1e94553780fdf83438f1049b675955350ba2',
794? ^
795
796+ 'refs/changes/27/544027/meta': 'cf2c1e94553780fdf83438f1049b675955350ba2',
797? ^
798
799 'refs/changes/28/544928/meta': '8db4a4072731adc53f3180745a82890c13ba8ae0',
800 'refs/changes/30/543930/meta': '1a14d5c588950f25e53ac64f420da9e6d7d380c7',
801+ 'refs/changes/34/538334/meta': '1f334b2ad59be189f91ed772af8ef2b371402cad',
802+ 'refs/changes/39/538339/meta': '363c4b02e695331b5670ec1847bf841d92c9da52',
803+ 'refs/changes/39/540439/meta': 'ea874dd77c44afce35ef27ac1615b5decf1002ec',
804+ 'refs/changes/52/540452/meta': '5342b71947d67d840345abd3b7862e0ebd3f5124',
805- 'refs/changes/55/543855/meta': '13c83b32e181d44e9be9b899328c784877ab6b62'}
806? ^
807
808+ 'refs/changes/55/543855/meta': '13c83b32e181d44e9be9b899328c784877ab6b62',
809? ^
810
811+ 'refs/changes/66/540466/meta': '3e353f035bf4e5495abe6beffe1359d2248a9989',
812+ 'refs/changes/81/539981/meta': '9bfac6859c030909307f0b37bc1fa19a7f8fe253',
813+ 'refs/changes/97/538297/meta': '9226b2e131c2e5b3a81abb51da76755a3e2a067b',
814+ 'refs/changes/98/538298/meta': '7daeadd5e00f18041fdccca618239ef03933ad02'}
815OK mediawiki/extensions/Mailgun
816FAIL mediawiki/extensions/MassMessage: {'refs/changes/14/544314/meta': 'c37784e98037a68c29ff8c9d[238 chars]1d8'} != {'refs/changes/10/539810/meta': 'bf8101731e87bd68752518bf[538 chars]1d8'}
817+ {'refs/changes/10/539810/meta': 'bf8101731e87bd68752518bf366b696ef2a03712',
818+ 'refs/changes/12/540312/meta': '58740232b06ca822e09554f47ffb00036238e17b',
819- {'refs/changes/14/544314/meta': 'c37784e98037a68c29ff8c9d7d3884532d8e93bc',
820? ^
821
822+ 'refs/changes/14/544314/meta': 'c37784e98037a68c29ff8c9d7d3884532d8e93bc',
823? ^
824
825+ 'refs/changes/28/539728/meta': '9fc95cf680c08277458ffbd7029c43729b8c0baf',
826+ 'refs/changes/52/545152/meta': '4242bca59644d928e827f2eae252dd5e1e51ae31',
827 'refs/changes/54/544654/meta': 'a20d65dac20a3af2e23516176ea806591ab75aae',
828 'refs/changes/81/544381/meta': 'b077a0f0af022a8c64b3e7ac07c1bccfed07960a',
829 'refs/changes/94/116094/meta': 'a96a24e5304eb3285f3ab80e1cd7e1d67034c1d8'}
830FAIL mediawiki/extensions/Math: {'refs/changes/26/544426/meta': 'fac002ed2bfab6919f4678f[239 chars]a34'} != {'refs/changes/11/539811/meta': '169971bec8b867b2ed25db1[314 chars]a34'}
831+ {'refs/changes/11/539811/meta': '169971bec8b867b2ed25db177041e7c2bd2bdc1b',
832- {'refs/changes/26/544426/meta': 'fac002ed2bfab6919f4678f9ac99cee8e40a27d8',
833? ^
834
835+ 'refs/changes/26/544426/meta': 'fac002ed2bfab6919f4678f9ac99cee8e40a27d8',
836? ^
837
838 'refs/changes/31/482231/meta': '2d111d75e73274aff6ee0bd34bf41389d0716113',
839 'refs/changes/32/544732/meta': '31fa961ecdb1dbbf5a28253662905f5a1324899d',
840 'refs/changes/56/527556/meta': '367b94776661c8b847d29d90393e7eee4ae6da34'}
841FAIL mediawiki/extensions/MediaWikiFarm: {'ref[139 chars]d9d2'} != {'ref[139 chars]d9d2', 'refs/changes/53/545253/meta': '0c4d8f0[105 chars]17d'}
842 {'refs/changes/23/544423/meta': '7d0df4f60476a1df62072dbe5db3f2a3053b4f82',
843- 'refs/changes/24/544424/meta': '364913ef5b683186a26a4bf1c5918d59e8d9d9d2'}
844? ^
845
846+ 'refs/changes/24/544424/meta': '364913ef5b683186a26a4bf1c5918d59e8d9d9d2',
847? ^
848
849+ 'refs/changes/53/545253/meta': '0c4d8f0ab096257b5cee1250d04185c35a79c300',
850+ 'refs/changes/55/545255/meta': 'd546f80db22ea5f097512caeb423104010f1417d'}
851FAIL mediawiki/extensions/MiniInvite: {} != {'refs/changes/38/545238/meta': 'd4c9582947d932b43375488843e33ea542002ebb'}
852- {}
853+ {'refs/changes/38/545238/meta': 'd4c9582947d932b43375488843e33ea542002ebb'}
854FAIL mediawiki/extensions/MobileFrontend: {'refs/changes/03/521303/meta': '7907f2824fa884f591e9c028[763 chars]82b'} != {'refs/changes/08/545008/meta': '64f7cd3eb10de5d88c345a6c[313 chars]74a'}
855+ {'refs/changes/08/545008/meta': '64f7cd3eb10de5d88c345a6c2992e4b82e8ba195',
856+ 'refs/changes/60/545160/meta': '032127a7f74baedf127f16acfdf892a08c364c1c',
857+ 'refs/changes/70/545070/meta': '6ce480388f6e37a71089f2425075c2b1d73a137c',
858+ 'refs/changes/89/545189/meta': '81315c9f0c37cd35400195617edfbe2aa488fe16',
859+ 'refs/changes/97/544997/meta': '360489a22110951cd489a8c8fe90fce1faf6d74a'}
860- {'refs/changes/03/521303/meta': '7907f2824fa884f591e9c028740128c9c9f5800d',
861- 'refs/changes/08/545008/meta': '29d428c1249afef5365419186b659b60e1acac4c',
862- 'refs/changes/09/545009/meta': '31dc26411053fcef9d247ea54a448a58254187a3',
863- 'refs/changes/12/545012/meta': '077690fbf178abc54e79eca3b74971130a6d9dd1',
864- 'refs/changes/34/544734/meta': '42b8c8e69c42cf034bbed00c3c5cd9bde8d9a950',
865- 'refs/changes/38/527838/meta': '845e2607bfc59a1640d22ac9902a2b86003aa148',
866- 'refs/changes/50/540950/meta': '52bdcb1413539a43f976e64fc3b5168045804e26',
867- 'refs/changes/64/544764/meta': 'e9d73a3b0a6c5472e9a18124d441a4c378452812',
868- 'refs/changes/69/540169/meta': '5d9e08793762d1afc10cad609f8f660bdf818120',
869- 'refs/changes/72/544872/meta': '8302581fa594156d618ca5ef0b969fe31277d9ef',
870- 'refs/changes/97/544997/meta': '15ee201517838e0461c8d1ca6e3b4c99b073e82b'}
871FAIL mediawiki/extensions/MultiMaps: {'refs/changes/77/544777/meta': 'cfd5f56f9aa467750171c32[164 chars]eac'} != {'refs/changes/17/539817/meta': '8bb811b2b063ce6e11e8994[314 chars]eac'}
872+ {'refs/changes/17/539817/meta': '8bb811b2b063ce6e11e8994f72ccb63167132dff',
873+ 'refs/changes/51/540051/meta': '4a70b6430d7e77bd89baa771a04d16986203f107',
874- {'refs/changes/77/544777/meta': 'cfd5f56f9aa467750171c329d1d1403e4b45a684',
875? ^
876
877+ 'refs/changes/77/544777/meta': 'cfd5f56f9aa467750171c329d1d1403e4b45a684',
878? ^
879
880 'refs/changes/83/544983/meta': '7547ac4df7a6c9a65dfba3e4a3420a25384f8ef4',
881 'refs/changes/91/544991/meta': 'd26233f9a029761f2d1025a10f64459216e45eac'}
882FAIL mediawiki/extensions/MultimediaViewer: {} != {'refs/changes/16/540316/meta': 'd4faa7cc8[178 chars]cad'}
883- {}
884+ {'refs/changes/16/540316/meta': 'd4faa7cc880aa7e5a888cddce6667a4d1fcefd00',
885+ 'refs/changes/52/538252/meta': '21cff115c376df14e38cef912f87d638496ce3cc',
886+ 'refs/changes/53/538253/meta': '3ef4e858a45e7781df1c7d4c08d2fb14df2a2cad'}
887OK mediawiki/extensions/Newsletter
888FAIL mediawiki/extensions/OATHAuth: {} != {'refs/changes/54/538154/meta': '53404e8e0[103 chars]e06'}
889- {}
890+ {'refs/changes/54/538154/meta': '53404e8e0a5391090d374ea9e9fda4af7521f9a7',
891+ 'refs/changes/93/535793/meta': 'cbb2c8558016e20ddcc8afbb10584a7f14115e06'}
892FAIL mediawiki/extensions/OAuth: {'ref[85 chars]19/544919/meta': '9ff6080fcfc8d29d1e9d657f8fba[309 chars]bd6'} != {'ref[85 chars]19/540319/meta': 'b448feadcb2cbb602ec8e82c7f4b[609 chars]8c7'}
893 {'refs/changes/15/544315/meta': 'e869365077e6412ae00b4c4ad78a8015012d09ff',
894+ 'refs/changes/19/540319/meta': 'b448feadcb2cbb602ec8e82c7f4b08003305a21d',
895 'refs/changes/19/544919/meta': '9ff6080fcfc8d29d1e9d657f8fbad3ddd1032e51',
896+ 'refs/changes/23/539823/meta': '4c3cdac2a04ebfd236435de82ef2e352ed0530ce',
897 'refs/changes/35/544735/meta': '7b1d5b09bb6c3a81b2f21b043494e55b77be76bd',
898+ 'refs/changes/52/540052/meta': '077cacb408eeaadade9a972cbbf2874db3c3fbee',
899 'refs/changes/53/543853/meta': '0b388514065420736898e7c4336effc930fea8e3',
900 'refs/changes/74/542774/meta': '4b6044f719e5661427e4feb34fca8fcf4ac24ba3',
901- 'refs/changes/80/544880/meta': 'c7198d291feeca643de646ee6b5bd9f48c2f6bd6'}
902? ^
903
904+ 'refs/changes/80/544880/meta': 'c7198d291feeca643de646ee6b5bd9f48c2f6bd6',
905? ^
906
907+ 'refs/changes/90/543490/meta': 'c71f2c8b1abd22f83f4fc39ded32b3ab0cdd08c7'}
908FAIL mediawiki/extensions/OAuth2: {} != {'refs/changes/14/532714/meta': '8b6b50e101fac4624bf0b2842bd20bb0ca73d69b'}
909- {}
910+ {'refs/changes/14/532714/meta': '8b6b50e101fac4624bf0b2842bd20bb0ca73d69b'}
911OK mediawiki/extensions/OOJsUIAjaxLogin
912FAIL mediawiki/extensions/ORES: {'refs/changes/89/544889/meta': '123ee8f6fd1e21edb31bf5a[14 chars]80e'} != {'refs/changes/21/540321/meta': 'd6c904d98f2ffff511b8b63[164 chars]80e'}
913+ {'refs/changes/21/540321/meta': 'd6c904d98f2ffff511b8b6379546b30dcd12d986',
914+ 'refs/changes/32/536632/meta': '3e20e7f7eea093566aae3be3fd167d0050c9c442',
915- {'refs/changes/89/544889/meta': '123ee8f6fd1e21edb31bf5a2df632816e934480e'}
916? ^
917
918+ 'refs/changes/89/544889/meta': '123ee8f6fd1e21edb31bf5a2df632816e934480e'}
919? ^
920
921FAIL mediawiki/extensions/OpenGraphMeta: {} != {'refs/changes/32/446532/meta': '5c2d6fe82f03324bc2fa91f9de1fb3ff37ec2a92'}
922- {}
923+ {'refs/changes/32/446532/meta': '5c2d6fe82f03324bc2fa91f9de1fb3ff37ec2a92'}
924FAIL mediawiki/extensions/PageForms: {'refs/changes/38/544738/meta': 'cbdd9c0f764446b2ea0cd7f[14 chars]b15'} != {'refs/changes/10/540410/meta': 'e2ff42769abe928ed22aca4[389 chars]70d'}
925+ {'refs/changes/10/540410/meta': 'e2ff42769abe928ed22aca49ddce1df245746d16',
926+ 'refs/changes/14/540414/meta': '09e87d0cc860c7a372c1dce40c206048dd5effc0',
927+ 'refs/changes/25/540325/meta': 'c54e85266fe3d020377b5f106c65bd91dde16d5e',
928+ 'refs/changes/27/540227/meta': 'c13a78f91dae63c33f69f0fda36c7ef1e1e131ab',
929- {'refs/changes/38/544738/meta': 'cbdd9c0f764446b2ea0cd7faf9396f0da3864b15'}
930? ^ ^
931
932+ 'refs/changes/38/544738/meta': 'cbdd9c0f764446b2ea0cd7faf9396f0da3864b15',
933? ^ ^
934
935+ 'refs/changes/57/540057/meta': '2886e2fa49f14ed2e6a1d4da64204ba9ded6070d'}
936FAIL mediawiki/extensions/PageTriage: {'refs/changes/08/544308/meta': '603e3804ea6c88ac62bb0e1d[163 chars]cc2'} != {'refs/changes/06/539606/meta': '558ac34006908d047fe0c91d[613 chars]fbc'}
937+ {'refs/changes/06/539606/meta': '558ac34006908d047fe0c91d3d1556a3346f45bf',
938- {'refs/changes/08/544308/meta': '603e3804ea6c88ac62bb0e1d8c252141c628a890',
939? ^
940
941+ 'refs/changes/08/544308/meta': '603e3804ea6c88ac62bb0e1d8c252141c628a890',
942? ^
943
944+ 'refs/changes/24/539624/meta': 'eb42e4bdff53c76a3e0e999a1034509d76dac830',
945+ 'refs/changes/24/539824/meta': '96e76a031df89c65887130d864bc02c2b55855f4',
946 'refs/changes/39/544739/meta': 'e200ef2a186931c0d4a216b88108b8c7f8394947',
947+ 'refs/changes/44/541844/meta': '42bbeef4fb7fd3b2dffde10eb5a8768d9694efe2',
948+ 'refs/changes/56/540056/meta': '15e4609c5d16438622b8812777b4d4c44fee4d47',
949- 'refs/changes/77/544277/meta': 'defda6b5b077862d58612285efd8e6ff8ffa4cc2'}
950? ^
951
952+ 'refs/changes/77/544277/meta': 'defda6b5b077862d58612285efd8e6ff8ffa4cc2',
953? ^
954
955+ 'refs/changes/91/545191/meta': '214dcc47c1f37affefcb870bdcf8e11c42e4ffbc'}
956FAIL mediawiki/extensions/PageViewInfo: {} != {'refs/changes/24/540324/meta': 'ee9c005c4575e0488bac758910da97a26452e1f6'}
957- {}
958+ {'refs/changes/24/540324/meta': 'ee9c005c4575e0488bac758910da97a26452e1f6'}
959FAIL mediawiki/extensions/ParserFunctions: {'refs/changes/40/544740/meta': '1b69641ae89856e97aed214[14 chars]37b'} != {'refs/changes/25/539825/meta': '7216089bc80efb4d814ddf0[164 chars]37b'}
960+ {'refs/changes/25/539825/meta': '7216089bc80efb4d814ddf0b4c8ab7ed139a98c9',
961+ 'refs/changes/37/327737/meta': 'e27afb6f5ee94e32912cfc83bcfc081430e8447a',
962- {'refs/changes/40/544740/meta': '1b69641ae89856e97aed214103c609126df7537b'}
963? ^
964
965+ 'refs/changes/40/544740/meta': '1b69641ae89856e97aed214103c609126df7537b'}
966? ^
967
968OK mediawiki/extensions/PhpTagsMaps
969FAIL mediawiki/extensions/PollNY: {'refs/changes/85/544985/meta': '781fadf4fbbe73e09064eb16547d897c1996622f'} != {}
970- {'refs/changes/85/544985/meta': '781fadf4fbbe73e09064eb16547d897c1996622f'}
971+ {}
972FAIL mediawiki/extensions/Popups: {'refs/changes/30/542130/meta': '5ea372503d9e37b61611939[239 chars]338'} != {'refs/changes/00/543800/meta': '16f66e820625b2f1b40a59b[989 chars]338'}
973- {'refs/changes/30/542130/meta': '5ea372503d9e37b61611939a57b6a0ec04dfcfb6',
974+ {'refs/changes/00/543800/meta': '16f66e820625b2f1b40a59b6cb059ca9a8d9665c',
975+ 'refs/changes/19/545219/meta': 'd0ad66c3f22f8035dd4d5de9aefc2beed8a0dfcd',
976+ 'refs/changes/22/542322/meta': '449ab6820e292607bfe468c3512748e8794b8a3f',
977+ 'refs/changes/27/540327/meta': 'cba0f88441fffa73127954e497cee3f7e0815532',
978+ 'refs/changes/27/542127/meta': 'f3243128697d311074a0d067bd3a36fc42ad1d42',
979+ 'refs/changes/30/542130/meta': '94819ac610595c1a1e496b79197c1a542e32e8dc',
980+ 'refs/changes/41/538641/meta': '469bd89a0a52b43f61e3cef25bcad5db2f95bf3a',
981 'refs/changes/42/544742/meta': '8513f7e299b789db4a616ec5f801278d2f9af59f',
982- 'refs/changes/68/544768/meta': '6e09aa5baf0db3b8c793f4c18c33485ccff62864',
983+ 'refs/changes/50/542150/meta': '6d751bbdd4e9c283c682ca67ae300494933555f9',
984+ 'refs/changes/65/543765/meta': '356ef5e542d4f41785ed09b8fb1fba34a5893f26',
985+ 'refs/changes/68/544768/meta': '821cf7c26bfe9b778885f168694d63523cc9609b',
986+ 'refs/changes/69/545069/meta': 'd8fa9362288abf88bfc7d0353c2bc669cf942107',
987+ 'refs/changes/92/545192/meta': 'ef368e41c0ac4e7c475170fe45e3f496ad06b6a8',
988 'refs/changes/93/523793/meta': '1968e3b6764a01e249de1ca7b0e0630620744338'}
989FAIL mediawiki/extensions/PronunciationRecording: {} != {'refs/changes/39/545239/meta': '123a98cc6e57f0bfedaacd44de262b11367e5347'}
990- {}
991+ {'refs/changes/39/545239/meta': '123a98cc6e57f0bfedaacd44de262b11367e5347'}
992FAIL mediawiki/extensions/ProofreadPage: {'ref[80 chars]nges/44/544744/meta': 'ff42513da90b2519540fa9f[14 chars]ea6'} != {'ref[80 chars]nges/27/539827/meta': '922da4cef5da11c3e043bb9[314 chars]c3c'}
993 {'refs/changes/17/544317/meta': '9ac5725e695440f3615b5f4bd250bc5b93cff43a',
994+ 'refs/changes/27/539827/meta': '922da4cef5da11c3e043bb9362b72662164529ef',
995+ 'refs/changes/28/540328/meta': 'c8e679725def5b7d00472504a44a524e15ab8717',
996- 'refs/changes/44/544744/meta': 'ff42513da90b2519540fa9f160a836dfaa09cea6'}
997? ^
998
999+ 'refs/changes/44/544744/meta': 'ff42513da90b2519540fa9f160a836dfaa09cea6',
1000? ^
1001
1002+ 'refs/changes/60/539560/meta': 'c6f5ba4124dcdf9c02cf7c0504187655af3dca1f',
1003+ 'refs/changes/89/539689/meta': 'fbda14ad4c2fc479642f8384eae27b2a80918c3c'}
1004FAIL mediawiki/extensions/ProtectSite: {} != {'refs/changes/40/545240/meta': '8c83e1203f3282c50635c2c4132f56108c7eb072'}
1005- {}
1006+ {'refs/changes/40/545240/meta': '8c83e1203f3282c50635c2c4132f56108c7eb072'}
1007OK mediawiki/extensions/QuickSurveys
1008FAIL mediawiki/extensions/RandomGameUnit: {'refs/changes/99/544999/meta': '64d2c2a8f451570973e56ec04ab15972509f245b'} != {}
1009- {'refs/changes/99/544999/meta': '64d2c2a8f451570973e56ec04ab15972509f245b'}
1010+ {}
1011OK mediawiki/extensions/RandomSelection
1012FAIL mediawiki/extensions/ReassignEdits: {} != {'refs/changes/43/545243/meta': '4f8e56f3c35364504b2d4e0de04d2f87bfc99144'}
1013- {}
1014+ {'refs/changes/43/545243/meta': '4f8e56f3c35364504b2d4e0de04d2f87bfc99144'}
1015FAIL mediawiki/extensions/RegexFunctions: {} != {'refs/changes/03/539303/meta': 'fa063e10b[178 chars]cc5'}
1016- {}
1017+ {'refs/changes/03/539303/meta': 'fa063e10b029d2342704ae88655a7108a6efbb23',
1018+ 'refs/changes/06/539306/meta': 'b60a56f7814351085d82988a96b1639bb5192914',
1019+ 'refs/changes/07/539307/meta': '41eced4179074a35e4dbc6068ed1da40d058bcc5'}
1020OK mediawiki/extensions/RevisionSlider
1021FAIL mediawiki/extensions/Scribunto: {'refs/changes/20/544320/meta': '6cf5c9251bf17c52668d65d[164 chars]b58'} != {'refs/changes/11/540211/meta': '1d79bf567b7cac3bd5e420f[539 chars]cc3'}
1022+ {'refs/changes/11/540211/meta': '1d79bf567b7cac3bd5e420fe4501c2b02d063126',
1023+ 'refs/changes/19/392419/meta': '52b17c4aca7da5b5aa5bafced5f9cdb281994be1',
1024- {'refs/changes/20/544320/meta': '6cf5c9251bf17c52668d65d5fdd7de409d584cd7',
1025? ^
1026
1027+ 'refs/changes/20/544320/meta': '6cf5c9251bf17c52668d65d5fdd7de409d584cd7',
1028? ^
1029
1030+ 'refs/changes/26/545226/meta': '19976340dbd1f814cbbee9e0236b61a8119bc7b5',
1031+ 'refs/changes/29/539829/meta': '7cff43546bf26dccb15fbc82e83ffa9699140c32',
1032+ 'refs/changes/33/540333/meta': '8d307966b34efd6356c3fe55bc5b19bbe7e358af',
1033 'refs/changes/47/544747/meta': '3c6abc73b959a866f37cd1969b70f1c46244848d',
1034- 'refs/changes/57/544657/meta': '7e3ecda11a9d9bf7b7eb255b22ba43db4e621b58'}
1035+ 'refs/changes/57/544657/meta': '1be3261f14338d19b4e7fb06c46d6f0faae0ccc3'}
1036FAIL mediawiki/extensions/SecureLinkFixer: {'ref[64 chars]b308'} != {'ref[64 chars]b308', 'refs/changes/88/539688/meta': 'abaa805[30 chars]2eb'}
1037- {'refs/changes/33/544333/meta': '1fcad996a4a38f62c79af2cb77c711641ac1b308'}
1038? ^
1039
1040+ {'refs/changes/33/544333/meta': '1fcad996a4a38f62c79af2cb77c711641ac1b308',
1041? ^
1042
1043+ 'refs/changes/88/539688/meta': 'abaa8051f624e7c672d98fe3c8a74f3d7f0332eb'}
1044FAIL mediawiki/extensions/SendGrid: {} != {'refs/changes/20/545020/meta': '6885bd5c0650d9a89b74da839ac2f7c46ddfed5d'}
1045- {}
1046+ {'refs/changes/20/545020/meta': '6885bd5c0650d9a89b74da839ac2f7c46ddfed5d'}
1047FAIL mediawiki/extensions/SiteMetrics: {'refs/changes/25/545025/meta': 'f4b2a16df0280256277c4d236d4cbd0ce13e8f24'} != {}
1048- {'refs/changes/25/545025/meta': 'f4b2a16df0280256277c4d236d4cbd0ce13e8f24'}
1049+ {}
1050FAIL mediawiki/extensions/SocialProfile: {'refs/changes/03/545003/meta': '60a518465[103 chars]ec5'} != {}
1051+ {}
1052- {'refs/changes/03/545003/meta': '60a518465fb538ea32e018df19fe2d24b46d41f2',
1053- 'refs/changes/29/545029/meta': '99618e74be7df7e1a3c04ff90b03ec30afc5fec5'}
1054FAIL mediawiki/extensions/SpamBlacklist: {} != {'refs/changes/36/540336/meta': '60358d9a48a1bf66861c5a8f4aaf892f21e3ff72'}
1055- {}
1056+ {'refs/changes/36/540336/meta': '60358d9a48a1bf66861c5a8f4aaf892f21e3ff72'}
1057FAIL mediawiki/extensions/SpamRegex: {} != {'refs/changes/45/545245/meta': '3bc487328630fab73dfc4b50c01af5b44bfe0a0e'}
1058- {}
1059+ {'refs/changes/45/545245/meta': '3bc487328630fab73dfc4b50c01af5b44bfe0a0e'}
1060FAIL mediawiki/extensions/StopForumSpam: {} != {'refs/changes/34/545034/meta': '20b93982de3baa4ffda9a615a668c3fcced8eecc'}
1061- {}
1062+ {'refs/changes/34/545034/meta': '20b93982de3baa4ffda9a615a668c3fcced8eecc'}
1063FAIL mediawiki/extensions/SyntaxHighlight_GeSHi: {} != {'refs/changes/04/538404/meta': '00b2f609426089743718854e50d83aa1a960471f'}
1064- {}
1065+ {'refs/changes/04/538404/meta': '00b2f609426089743718854e50d83aa1a960471f'}
1066FAIL mediawiki/extensions/TemplateData: {} != {'refs/changes/60/540060/meta': '3b4ce4267[103 chars]c23'}
1067- {}
1068+ {'refs/changes/60/540060/meta': '3b4ce4267be93ac2407267b17fd4e2805025437e',
1069+ 'refs/changes/93/521193/meta': '45b56b39f1f08d4c756fb88f332c88e4abd9ec23'}
1070FAIL mediawiki/extensions/TemplateStyles: {} != {'refs/changes/35/540335/meta': '46e5c795e4e2a375487ea36aed426df24c8537c9'}
1071- {}
1072+ {'refs/changes/35/540335/meta': '46e5c795e4e2a375487ea36aed426df24c8537c9'}
1073FAIL mediawiki/extensions/Theme: {} != {'refs/changes/99/521799/meta': '0445c8737c60632f56a2c443bc675e3637c87121'}
1074- {}
1075+ {'refs/changes/99/521799/meta': '0445c8737c60632f56a2c443bc675e3637c87121'}
1076FAIL mediawiki/extensions/TimedMediaHandler: {} != {'refs/changes/19/529819/meta': '37e8db5eed71b0a7337cacd547a7c4dc2ded4299'}
1077- {}
1078+ {'refs/changes/19/529819/meta': '37e8db5eed71b0a7337cacd547a7c4dc2ded4299'}
1079FAIL mediawiki/extensions/TinyMCE: {'ref[80 chars]nges/98/544298/meta': '6323bc32ea767ec5d4a7118[14 chars]66e'} != {'ref[80 chars]nges/74/538674/meta': 'd3badf2da97c0e0cffe86af[89 chars]66e'}
1080 {'refs/changes/20/544420/meta': '0518c7069fabd62e44d3fc9f2766e8e5d42cddba',
1081+ 'refs/changes/74/538674/meta': 'd3badf2da97c0e0cffe86afaaadd8c6653f618d1',
1082 'refs/changes/98/544298/meta': '6323bc32ea767ec5d4a711836ee58308dbda366e'}
1083FAIL mediawiki/extensions/TitleBlacklist: {'refs/changes/51/544751/meta': '1986c6075c5517f78b6e1e8[14 chars]d28'} != {'refs/changes/42/540342/meta': 'ebf81ce436e16e8c206cba3[89 chars]d28'}
1084+ {'refs/changes/42/540342/meta': 'ebf81ce436e16e8c206cba36e87bcf239aaa2b60',
1085- {'refs/changes/51/544751/meta': '1986c6075c5517f78b6e1e8d96e03c7b4e67dd28'}
1086? ^
1087
1088+ 'refs/changes/51/544751/meta': '1986c6075c5517f78b6e1e8d96e03c7b4e67dd28'}
1089? ^
1090
1091FAIL mediawiki/extensions/TorBlock: {} != {'refs/changes/06/486806/meta': 'a684353df48b374406f01fffc0761895353dd43e'}
1092- {}
1093+ {'refs/changes/06/486806/meta': 'a684353df48b374406f01fffc0761895353dd43e'}
1094FAIL mediawiki/extensions/Translate: {'refs/changes/13/542713/meta': '25140f53a05c24d0c6c6d8b[764 chars]585'} != {'refs/changes/07/486807/meta': 'd2027d4bf60918af2125004[1514 chars]91c'}
1095+ {'refs/changes/07/486807/meta': 'd2027d4bf60918af2125004cb6b622aecdcf7bdb',
1096- {'refs/changes/13/542713/meta': '25140f53a05c24d0c6c6d8bdd6e6b6f03835ecd4',
1097? ^
1098
1099+ 'refs/changes/13/542713/meta': '25140f53a05c24d0c6c6d8bdd6e6b6f03835ecd4',
1100? ^
1101
1102- 'refs/changes/34/519634/meta': 'd6db0a6d2b50d3143b5efd1f85fba6e9acd2f9c4',
1103+ 'refs/changes/32/539832/meta': 'ffcbcef26854cbe0786d92435ff25ba2bd4ac93e',
1104+ 'refs/changes/34/519634/meta': '2e3837ac9fb7208fa7d36e75669b196bbb4482a2',
1105+ 'refs/changes/37/536237/meta': 'b3124145dbc7e3fcf58e15f5633c02b4f3ca9aef',
1106+ 'refs/changes/41/540341/meta': '822eb493633d70a663ded9075ef8e253cead9f82',
1107 'refs/changes/41/544541/meta': 'd2dd685011436d9c317f74816ff73ed789ed11f3',
1108- 'refs/changes/49/519649/meta': 'ebd7ca4e8b8d9187b7f5bb20aa7273f1f1afedbd',
1109- 'refs/changes/51/519651/meta': 'c0f8ec8b8c8a99c12b18ed89da4c69c8c961064a',
1110+ 'refs/changes/44/539544/meta': 'e2543a36d4ecab443c212423fb1a1ce736f8a397',
1111+ 'refs/changes/49/519649/meta': 'c3dbb14bf69255c5ef4d6850f1046db5fa3a1e1f',
1112+ 'refs/changes/51/519651/meta': 'd4e562d398c1381f477c651f45c924c502b2c729',
1113 'refs/changes/52/544752/meta': 'b387a59fb2516ef4027edd2335681a7a7781b551',
1114+ 'refs/changes/61/539461/meta': '90cbf3fe329738b215d903b3cc22911f457d62c5',
1115+ 'refs/changes/63/540063/meta': 'e4868a80738ac1f23675cb3e5a06266fdbe7517b',
1116 'refs/changes/70/544270/meta': '271326210f9d26f518c7398e2cc8cfad3bbfb1a9',
1117 'refs/changes/73/543673/meta': '4085867e54f5492273aa6a0d560220a15a155e14',
1118+ 'refs/changes/76/545076/meta': '886a0e6c3a9d4d870feb33e42e6999d080378c54',
1119+ 'refs/changes/80/539380/meta': 'f9c5d92a269bf168c5e174490291cc0ed393e3b0',
1120 'refs/changes/81/540081/meta': '86abbec96b61b1977286f3f31474ade5e6fe5c6e',
1121+ 'refs/changes/93/545193/meta': '32fe09b7dac5abc068f7869b155dd11fc67e4784',
1122 'refs/changes/97/544397/meta': 'a972fa9a14400aa1ebd3ed147fb32cc96af070a7',
1123- 'refs/changes/98/544398/meta': 'ad0b9cfd746efa20d42e5e37eae66ce7ab4d3585'}
1124+ 'refs/changes/98/544398/meta': '32973600937dbc8f0a6c51756c681594e955791c'}
1125FAIL mediawiki/extensions/TranslateSvg: {} != {'refs/changes/43/545043/meta': 'ceda8b0e5323eb2af73b8a881f6fe8f0f083ce47'}
1126- {}
1127+ {'refs/changes/43/545043/meta': 'ceda8b0e5323eb2af73b8a881f6fe8f0f083ce47'}
1128OK mediawiki/extensions/TranslationNotifications
1129FAIL mediawiki/extensions/TwoColConflict: {} != {'refs/changes/04/540104/meta': '28a9bf73b[403 chars]e8b'}
1130- {}
1131+ {'refs/changes/04/540104/meta': '28a9bf73b3acf0ff12d3b0f2b085509568fba604',
1132+ 'refs/changes/05/540105/meta': 'b46f20574236e3cc8a47172d91e844fe122d7b81',
1133+ 'refs/changes/25/540425/meta': '51681a4eae6d468855589994cadc69bcf82a20da',
1134+ 'refs/changes/59/540359/meta': '4f5150bd42389e4623561d5f0089e75b5bc461ee',
1135+ 'refs/changes/67/540067/meta': 'ac090017b53af8ed723a8af558a60dbffaa81928',
1136+ 'refs/changes/97/540097/meta': 'e3de2a482c26dd4532eb5db6f1ed54f3e0f85e8b'}
1137FAIL mediawiki/extensions/UILangCode: {'refs/changes/46/545046/meta': '1eec6f8fc1884e550273c9943496e17c24fa7c0f'} != {}
1138- {'refs/changes/46/545046/meta': '1eec6f8fc1884e550273c9943496e17c24fa7c0f'}
1139+ {}
1140FAIL mediawiki/extensions/UniversalLanguageSelector: {'ref[64 chars]ecaa'} != {'ref[64 chars]ecaa', 'refs/changes/94/545194/meta': 'f39197a[30 chars]927'}
1141- {'refs/changes/53/544753/meta': 'eb5f330517c72eaa30160b19ab0e237e0492ecaa'}
1142? ^
1143
1144+ {'refs/changes/53/544753/meta': 'eb5f330517c72eaa30160b19ab0e237e0492ecaa',
1145? ^
1146
1147+ 'refs/changes/94/545194/meta': 'f39197ac609ef615747cf7d5b14897030e179927'}
1148FAIL mediawiki/extensions/UploadWizard: {'refs/changes/54/544754/meta': '603ffb26852fc6aae232584[14 chars]b98'} != {'refs/changes/43/540343/meta': '35e982a2c54b1c948252555[164 chars]121'}
1149+ {'refs/changes/43/540343/meta': '35e982a2c54b1c948252555db51c737d6a0b5623',
1150- {'refs/changes/54/544754/meta': '603ffb26852fc6aae232584c9c276b739e206b98'}
1151? ^ ^
1152
1153+ 'refs/changes/54/544754/meta': '603ffb26852fc6aae232584c9c276b739e206b98',
1154? ^ ^
1155
1156+ 'refs/changes/82/540382/meta': 'eaa81726fb3f643b416d66b2545a6cc603b55121'}
1157FAIL mediawiki/extensions/UserAgreement: {} != {'refs/changes/69/538469/meta': 'f811e4bb9d8fbd1d881e3158e29b35d513c47d4d'}
1158- {}
1159+ {'refs/changes/69/538469/meta': 'f811e4bb9d8fbd1d881e3158e29b35d513c47d4d'}
1160FAIL mediawiki/extensions/UserMerge: {} != {'refs/changes/69/540069/meta': '06de5c41bb6a2f78b09323000842cb7735565c45'}
1161- {}
1162+ {'refs/changes/69/540069/meta': '06de5c41bb6a2f78b09323000842cb7735565c45'}
1163FAIL mediawiki/extensions/VisualEditor: {'ref[81 chars]ges/01/545001/meta': '148743a4382bd3b947aaa75b[538 chars]4e9'} != {'ref[81 chars]ges/07/545007/meta': '37d4cca1fa7a9ae246901046[1813 chars]98e'}
1164 {'refs/changes/00/545000/meta': 'bb95ea162f26c1274ba040850dd1ea151b7b4610',
1165- 'refs/changes/01/545001/meta': '148743a4382bd3b947aaa75b0840e6dac0871433',
1166 'refs/changes/07/545007/meta': '37d4cca1fa7a9ae246901046f98d0ba759c1e2a2',
1167- 'refs/changes/15/545015/meta': 'e79e5a536a900b1f37dd0468035f1fb3967d3c8d',
1168- 'refs/changes/41/544941/meta': 'fe18a69838a7060ca4b7deea3fe56cb63ce9d6e8',
1169+ 'refs/changes/15/545015/meta': '2dff4fa2d7934c540ad5c7743333d7579c33b00d',
1170+ 'refs/changes/18/540218/meta': '7a7c175255f25204661388761ee5d94ecdd04403',
1171+ 'refs/changes/23/536223/meta': 'fb597a59ac0c06e385f5283de26ebf6c3dfef17c',
1172+ 'refs/changes/27/540427/meta': 'fe7aae24ccf1f9dead1ef8632c90a9fc5a49570c',
1173+ 'refs/changes/28/540428/meta': 'f27566d6e449a4c012399e566a8e70e11d7712b3',
1174+ 'refs/changes/29/540429/meta': '8269d3d3786afe1832a759f5b44815d055a75375',
1175+ 'refs/changes/33/540233/meta': '1dc3872ae8b20473ce3cdd68d1d769cd1f1d0a4e',
1176+ 'refs/changes/37/540437/meta': '4bdbe35e30a76f1ffcc04e77a28868dbefdbef0f',
1177+ 'refs/changes/41/538941/meta': 'ae2e85d26747da3909580daff3433269ea97fe6e',
1178+ 'refs/changes/41/544941/meta': 'd77f8179bab56a920c57fd8c05f63bdf770e6ee3',
1179+ 'refs/changes/44/540344/meta': '602256dfa587a13001549bc354e76e30d95adbf2',
1180+ 'refs/changes/45/540245/meta': '10cff2ca51ec7dcdd8532119b0e1ebacafafe6c4',
1181+ 'refs/changes/54/540254/meta': '02db889aeee0bbf115fcaa77f851d9a6676f5757',
1182 'refs/changes/58/544758/meta': '0053299267f140fcb60418e996e039d47dd82d62',
1183+ 'refs/changes/61/545261/meta': '53476af50f06d1d95fa3884d1fc9a8f788db418c',
1184+ 'refs/changes/64/540464/meta': '61413ba71a370e095de0f4179e56982cdebf495c',
1185 'refs/changes/66/536766/meta': '71cc289307f7ac64df5e62500c279673ce947025',
1186+ 'refs/changes/71/540071/meta': 'c4912e91220ac267530334a5cb433c58e4421143',
1187 'refs/changes/82/544382/meta': 'ba6e42c92433fd1cd0b82c48036cc73644becafc',
1188- 'refs/changes/85/543685/meta': '0c61827a323c0a0ad28906fb2a345878a54dc4e9'}
1189? ^
1190
1191+ 'refs/changes/85/543685/meta': '0c61827a323c0a0ad28906fb2a345878a54dc4e9',
1192? ^
1193
1194+ 'refs/changes/86/539886/meta': 'b5f7feee35ce6a41872638c19a7d8568745e0c05',
1195+ 'refs/changes/87/540487/meta': 'b499de11fa83190c2d470ace504e86ea29c4105b',
1196+ 'refs/changes/96/545196/meta': '8394f341fecfa6c3ec609da66b9a6a6e0c26c556',
1197+ 'refs/changes/99/539999/meta': '3794f9433e5a6989aae9ad2e9abb50e15f7ca98e'}
1198FAIL mediawiki/extensions/WebAuthn: {} != {'refs/changes/72/539672/meta': '8754a3e82cb353ea23c5d0fe657877a9319651da'}
1199- {}
1200+ {'refs/changes/72/539672/meta': '8754a3e82cb353ea23c5d0fe657877a9319651da'}
1201FAIL mediawiki/extensions/WikiSEO: {'refs/changes/38/545038/meta': '411a5a0f31036a2dd27c105ac36e3255df186c18'} != {'refs/changes/38/545038/meta': '41d8df5e0a77579e40d3d82415a32cb01261c9fb'}
1202- {'refs/changes/38/545038/meta': '411a5a0f31036a2dd27c105ac36e3255df186c18'}
1203+ {'refs/changes/38/545038/meta': '41d8df5e0a77579e40d3d82415a32cb01261c9fb'}
1204FAIL mediawiki/extensions/Wikibase: {'refs/changes/01/543701/meta': '40a6086f3b6612cdac6ea835080f[2559 chars]3c0'} != {'refs/changes/01/545201/meta': '544d2f1270a9839bb9f4dfec9916[684 chars]2aa'}
1205+ {'refs/changes/01/545201/meta': '544d2f1270a9839bb9f4dfec99160ab8df54c355',
1206+ 'refs/changes/02/543702/meta': '30ed978a18b0b35d8e929eaf830b0d98ed78132d',
1207+ 'refs/changes/11/545211/meta': '42938659d5fd1fb6f3a7968b73c43a179f5c6e3d',
1208+ 'refs/changes/13/544913/meta': 'ee7796a75cbb8f3b061afda52d2a3e5626bbc6e8',
1209+ 'refs/changes/65/545265/meta': '4701a5b3085a4617136b12885d0fbf0e5c086e76',
1210+ 'refs/changes/68/544968/meta': 'b9550487d7cbe2e6e8c46d1b01748d75e688c0a9',
1211+ 'refs/changes/71/544971/meta': 'acaf2b6cbfeb09550614edb085a5c296552e2a64',
1212+ 'refs/changes/72/544972/meta': '9f69beffb8845cd9f9ad3b84b0d6c3d0756c7fe3',
1213+ 'refs/changes/73/545173/meta': '10a3a02bf95fa3e99366193ee67f9143bc8a101a',
1214+ 'refs/changes/97/545197/meta': 'dcc1a6280dd0ef2c875686f2bcdb961f901752aa'}
1215- {'refs/changes/01/543701/meta': '40a6086f3b6612cdac6ea835080f2965fb3612b9',
1216- 'refs/changes/02/543702/meta': 'bf01480971daeedd6051a9c8e6a6ca648bb49e7f',
1217- 'refs/changes/04/544204/meta': '867d8a149f0dc7b7e81bd3dabf915c9d6bc8d897',
1218- 'refs/changes/05/543905/meta': 'e86a5482e72ffb7de6dd9ff6c8ff9df880533bb0',
1219- 'refs/changes/07/544307/meta': '174c33fa08b3220e471d9cb8abb7ece94bfefd59',
1220- 'refs/changes/08/544908/meta': '716330b06f5a32ed2111b3d574b34282f07ce307',
1221- 'refs/changes/10/544210/meta': 'be6f840bc5e8b66cc0d9eab3f8060ce66ff9d5b6',
1222- 'refs/changes/13/544913/meta': '3e5796eac54e31a66baa6a8577b8f58f187290c5',
1223- 'refs/changes/23/544323/meta': '2b57cb69219aaba7af2ac8c8bc72f1f24c69d834',
1224- 'refs/changes/32/544932/meta': 'b99de0e317005974627904688d15ad51c115e3ab',
1225- 'refs/changes/36/534536/meta': '7ed6b1d1846124e50cb7b6afc10f8535a3077b92',
1226- 'refs/changes/37/542737/meta': 'ba69b52762107dcfb98341603a666a6d470848a8',
1227- 'refs/changes/40/544940/meta': 'a5dcd4a9c0813330232bbc917c8adf2ba17e8edf',
1228- 'refs/changes/44/533944/meta': '90b4d3be66f19c01cba7f22a78ab8d0a939095f7',
1229- 'refs/changes/45/544945/meta': 'df29e0faa078280119bc3ec3d2084efcec20b9cc',
1230- 'refs/changes/46/544846/meta': '5727c90d6f32d0b0b0cba83f3ce06e6fafdcf57d',
1231- 'refs/changes/49/544849/meta': '725c242fe8a23dba1c64c7f3b891232eb582cb5a',
1232- 'refs/changes/50/544350/meta': '038a18c1bac96d8bb97cff5a9fbd28d1e6feeff3',
1233- 'refs/changes/58/544558/meta': 'a591c5910c4d1ad65fbb1cb1f40153914f65c21a',
1234- 'refs/changes/58/544858/meta': '163c5e9173d2ec1e3337c2ccd4a9e3c3cd9c3ab4',
1235- 'refs/changes/59/544859/meta': '440801645df25c4af4ada03a950246edf56c636a',
1236- 'refs/changes/60/543860/meta': '47bd22d66a836670575e34a1d4f868e13079e7b5',
1237- 'refs/changes/60/544760/meta': '357164206919604d2ca47824b968da0199a0fab5',
1238- 'refs/changes/62/544862/meta': 'e1fec0f5818f28706f32bc52d5fc38f6f8924350',
1239- 'refs/changes/64/544364/meta': 'accca4d64b5fa40c15721491d5ff83ac9e57fd98',
1240- 'refs/changes/68/543868/meta': 'd852fee5949085a9748098bad1e2a00bbcf8e4e8',
1241- 'refs/changes/68/544968/meta': 'e2b38076c7752c3ebc43d96f794ed0cbaecfc510',
1242- 'refs/changes/70/544370/meta': '62bb5a051b29dba62b7d52fe88e297773d4e966b',
1243- 'refs/changes/71/544871/meta': 'f0b2fac31b1366f87f888d34b9c7c1c1ee7ba1b2',
1244- 'refs/changes/71/544971/meta': '2d7f56f6922307dc06644394927671c0a7d50b1a',
1245- 'refs/changes/72/544972/meta': 'c79acff11d8d887f935655de2e4993b85e4e7c1a',
1246- 'refs/changes/78/543878/meta': 'b552201711a70d82efc4dd6593a079d3ad8cb962',
1247- 'refs/changes/88/543488/meta': '1299fd37f988272f596c4c5db22591729fba5596',
1248- 'refs/changes/97/544897/meta': 'dab12bed2db937284e81acd4b3ea27b9bbf0c38a',
1249- 'refs/changes/98/543498/meta': 'a81afb230e1d033f5637f56c2829a85e667f63c0'}
1250FAIL mediawiki/extensions/WikibaseLexeme: {'refs/changes/05/544205/meta': '7d18755f7d603639798dd9aa[313 chars]5c5'} != {'refs/changes/01/539501/meta': 'ed590326bec0f1a3f27200a4[1288 chars]ced'}
1251+ {'refs/changes/01/539501/meta': 'ed590326bec0f1a3f27200a4749604db624f59b4',
1252+ 'refs/changes/05/540405/meta': 'ea408a8f7087ae2792cdffd4ff72491109912583',
1253- {'refs/changes/05/544205/meta': '7d18755f7d603639798dd9aa7588a67139294ede',
1254? ^
1255
1256+ 'refs/changes/05/544205/meta': '7d18755f7d603639798dd9aa7588a67139294ede',
1257? ^
1258
1259+ 'refs/changes/16/540116/meta': 'e76289579d5c18f677cf0edc0506a87a24877437',
1260 'refs/changes/19/544419/meta': '3530486df2e5e85f5e9afd69e9a64c710dcffa85',
1261 'refs/changes/21/544321/meta': '55b9fadc8800a1d24c185c9e60e7638cadf3fe0e',
1262 'refs/changes/26/544226/meta': '70ed991e561dab7c08c8b8cc66fbf8f0b5536de7',
1263+ 'refs/changes/27/539327/meta': 'a7705a709fa9b3534d1b24064e5e8c56768d9f69',
1264+ 'refs/changes/36/539736/meta': '456b1eeea379e7bedbcaf4dfdc4841fbef3499c0',
1265+ 'refs/changes/44/540844/meta': 'b9788148afe465689b280a73d349e39f8ea74e5e',
1266+ 'refs/changes/51/539851/meta': '64c39eb1855fcb05a271c6775d1223fc3396bbfb',
1267+ 'refs/changes/51/540351/meta': '2671e7310ca381db77c89e178ef0741305678e25',
1268- 'refs/changes/52/543852/meta': 'f1c4b21f313acb03dee43f749bebb0ca0f7a15c5'}
1269? ^
1270
1271+ 'refs/changes/52/543852/meta': 'f1c4b21f313acb03dee43f749bebb0ca0f7a15c5',
1272? ^
1273
1274+ 'refs/changes/57/539857/meta': '1dd62fde73f910f5ea5839e10942ebbe81e323d0',
1275+ 'refs/changes/58/538058/meta': 'df08dedd795cba4685d0f0b5c7da09a147c5cf75',
1276+ 'refs/changes/74/540074/meta': '5ee3fe1a2fd4eb0761c415be8ff313c770ea43a1',
1277+ 'refs/changes/89/540089/meta': 'c8dbcc1ad891888ae70e6591b8ea631f26cbbb1a',
1278+ 'refs/changes/98/540398/meta': '15e8a784a86e97fd0fb919fcf149ee397c05fced'}
1279FAIL mediawiki/extensions/WikibaseMediaInfo: {'refs/changes/46/544346/meta': '037ff2edce8cea3978614c5[239 chars]e65'} != {'refs/changes/03/540403/meta': '69b5b85b6e27d719c1c2689[914 chars]1d1'}
1280+ {'refs/changes/03/540403/meta': '69b5b85b6e27d719c1c2689933a2830a84702e52',
1281+ 'refs/changes/06/540406/meta': '72231f1d3d02eb436a50ab5de2877c6935481d49',
1282+ 'refs/changes/08/537208/meta': 'eefabe48ec191d0df0c11bd7d72309392774f723',
1283+ 'refs/changes/22/540122/meta': 'ac7f1b6dd37a7e6a86354825fca361ee9429410f',
1284+ 'refs/changes/25/528825/meta': '603405f01bd1c7741c2660078c5e05c5d2517f70',
1285- {'refs/changes/46/544346/meta': '037ff2edce8cea3978614c521661a55b2de5b46d',
1286? ^
1287
1288+ 'refs/changes/46/544346/meta': '037ff2edce8cea3978614c521661a55b2de5b46d',
1289? ^
1290
1291- 'refs/changes/51/544951/meta': '84e15274941901893b183a32c98b3ad996982039',
1292+ 'refs/changes/51/544951/meta': '2cab14f95afb26cd415875645d832916c16dbeee',
1293+ 'refs/changes/60/538060/meta': '31f58c7fb7ff93b201d585458820182fd05d8754',
1294 'refs/changes/72/543872/meta': '80b3416d174b82c45b21e815dc32964c48573234',
1295- 'refs/changes/73/544973/meta': '570f0de94186283742d8ae96680b4a9cc113de65'}
1296? ^
1297
1298+ 'refs/changes/73/544973/meta': '570f0de94186283742d8ae96680b4a9cc113de65',
1299? ^
1300
1301+ 'refs/changes/75/539275/meta': '7a7a2ef3d661be0d5934f3fcbec69284f9a5f901',
1302+ 'refs/changes/75/540075/meta': '60a6c961f54226845d5a99d51141ddbe15144575',
1303+ 'refs/changes/98/545198/meta': '4f067380347e0a1179cf1a3be3f84f92e04381d1'}
1304FAIL mediawiki/extensions/WikibaseQualityConstraints: {'ref[139 chars]c823'} != {'ref[139 chars]c823', 'refs/changes/76/540076/meta': '1245b80[105 chars]4aa'}
1305 {'refs/changes/48/541848/meta': '9b5be4a20b08c2f9303799dd1442cd5f626af2f8',
1306- 'refs/changes/59/544759/meta': 'a73059bc1d61190b0e45be52fcb3b15eb171c823'}
1307? ^
1308
1309+ 'refs/changes/59/544759/meta': 'a73059bc1d61190b0e45be52fcb3b15eb171c823',
1310? ^
1311
1312+ 'refs/changes/76/540076/meta': '1245b8094e6ed265e103c7c97bc7d895fe10a279',
1313+ 'refs/changes/85/539585/meta': '7a60ae74c872e7f7540f18bc51c87967c80724aa'}
1314FAIL mediawiki/extensions/WikidataPageBanner: {'ref[64 chars]7c26'} != {'ref[64 chars]7c26', 'refs/changes/61/545161/meta': '6f94c88[30 chars]a6f'}
1315- {'refs/changes/51/544351/meta': '944cd0546616895223c73c5e98460397f2337c26'}
1316? ^
1317
1318+ {'refs/changes/51/544351/meta': '944cd0546616895223c73c5e98460397f2337c26',
1319? ^
1320
1321+ 'refs/changes/61/545161/meta': '6f94c88c1fa6c8b414c88b65ca050ffd3ef2fa6f'}
1322FAIL mediawiki/extensions/WikimediaEvents: {'refs/changes/77/544877/meta': '866c96143285e259eb0f8e9[14 chars]86f'} != {'refs/changes/39/537639/meta': 'bd4d746a17988421c80a29e[314 chars]cc7'}
1323- {'refs/changes/77/544877/meta': '866c96143285e259eb0f8e9568c658db0d1cc86f'}
1324+ {'refs/changes/39/537639/meta': 'bd4d746a17988421c80a29ed9da984d16ddcc88a',
1325+ 'refs/changes/42/540242/meta': '752051f0c7c0934a62145d6feebd8b5c3e372e3a',
1326+ 'refs/changes/43/540243/meta': '62e2aee764885f4fe6ac649bbdfed7c621aa7170',
1327+ 'refs/changes/77/544877/meta': 'b2da65d0dc47821bfc59f5feabbcf786965cba28',
1328+ 'refs/changes/78/540078/meta': 'f76cbc1344282953f7638f9f67b815d7adc46cc7'}
1329FAIL mediawiki/extensions/WikimediaMaintenance: {} != {'refs/changes/02/540202/meta': 'c2b176dc5[403 chars]92e'}
1330- {}
1331+ {'refs/changes/02/540202/meta': 'c2b176dc522b7e2bfa077e43c1fee9f48c124716',
1332+ 'refs/changes/08/539908/meta': '6b0a928cc3ca9d238a5df7e3b8110776fa4acdde',
1333+ 'refs/changes/50/539950/meta': '0a0d2ba03a3e19dd3fbc607116067190723befaa',
1334+ 'refs/changes/58/545258/meta': 'fd7e2fae2287d7104f9a0b4968c26d3a8abecbfc',
1335+ 'refs/changes/82/539682/meta': '475fca4e9f9d3b190bab91f9f857f5aa2ef7ac38',
1336+ 'refs/changes/84/539684/meta': '4e9681fac88f775ee049dfabf6ca37b9da5d192e'}
1337OK mediawiki/extensions/Wikispeech
1338FAIL mediawiki/extensions/examples: {'refs/changes/12/544212/meta': '952e44b61e7240deecde3e06[238 chars]95b'} != {'refs/changes/10/540010/meta': '1df8346ce1be8ca1edfbcbaf[313 chars]95b'}
1339+ {'refs/changes/10/540010/meta': '1df8346ce1be8ca1edfbcbaf3b3697770309685d',
1340- {'refs/changes/12/544212/meta': '952e44b61e7240deecde3e062880ad86bd583df2',
1341? ^
1342
1343+ 'refs/changes/12/544212/meta': '952e44b61e7240deecde3e062880ad86bd583df2',
1344? ^
1345
1346 'refs/changes/18/544318/meta': '563dd163dbd22e908bd5b9f86a76820f39ef1791',
1347 'refs/changes/91/544391/meta': '144e130a06e998d4953e75d7f895ddef59112072',
1348 'refs/changes/92/544292/meta': 'ed954b963769828d5e17542ab722089baee4995b'}
1349OK mediawiki/extensions/timeline
1350FAIL mediawiki/libs/Assert: {} != {'refs/changes/00/545100/meta': '941b35d7294877b5b5aa69615fa2713d62bcedf8'}
1351- {}
1352+ {'refs/changes/00/545100/meta': '941b35d7294877b5b5aa69615fa2713d62bcedf8'}
1353FAIL mediawiki/libs/Equivset: {} != {'refs/changes/01/545101/meta': 'ddca19f7614a42823d42fc7529aced11edfef2d0'}
1354- {}
1355+ {'refs/changes/01/545101/meta': 'ddca19f7614a42823d42fc7529aced11edfef2d0'}
1356FAIL mediawiki/libs/IPUtils: {} != {'refs/changes/02/545102/meta': 'e3c5494ca[103 chars]4b2'}
1357- {}
1358+ {'refs/changes/02/545102/meta': 'e3c5494cafd58f7683f32df421aa02c33c43845f',
1359+ 'refs/changes/89/522989/meta': 'ed18845c9f4b71553ef083e8a4d6c034441f84b2'}
1360FAIL mediawiki/libs/LangConv: {} != {'refs/changes/04/545104/meta': 'c89e4a113ed28070603a96a76c939fb260805b63'}
1361- {}
1362+ {'refs/changes/04/545104/meta': 'c89e4a113ed28070603a96a76c939fb260805b63'}
1363FAIL mediawiki/libs/PasswordBlacklist: {} != {'refs/changes/05/545105/meta': '6da45245e1e1a4b250ddbbe38a63a28cdf5e3130'}
1364- {}
1365+ {'refs/changes/05/545105/meta': '6da45245e1e1a4b250ddbbe38a63a28cdf5e3130'}
1366FAIL mediawiki/libs/RemexHtml: {} != {'refs/changes/06/545106/meta': 'cfe75f69924a9836f56c667323a3aa3773ae6f6f'}
1367- {}
1368+ {'refs/changes/06/545106/meta': 'cfe75f69924a9836f56c667323a3aa3773ae6f6f'}
1369FAIL mediawiki/libs/ScopedCallback: {} != {'refs/changes/07/545107/meta': 'd708a55c5175cfc52e00bde5fb2a19e3d28149b4'}
1370- {}
1371+ {'refs/changes/07/545107/meta': 'd708a55c5175cfc52e00bde5fb2a19e3d28149b4'}
1372FAIL mediawiki/libs/Services: {} != {'refs/changes/08/545108/meta': '3c80c2cd85fc430e1617ffed8e007d1b3a1eb4ab'}
1373- {}
1374+ {'refs/changes/08/545108/meta': '3c80c2cd85fc430e1617ffed8e007d1b3a1eb4ab'}
1375FAIL mediawiki/libs/WaitConditionLoop: {} != {'refs/changes/10/545110/meta': '1760ef28e7cd06d94f087a7b263ba33f1e3e9319'}
1376- {}
1377+ {'refs/changes/10/545110/meta': '1760ef28e7cd06d94f087a7b263ba33f1e3e9319'}
1378FAIL mediawiki/libs/alea: {} != {'refs/changes/13/545113/meta': '142f1dfdfd7ac7e8191a675b5a905d23ac4077f6'}
1379- {}
1380+ {'refs/changes/13/545113/meta': '142f1dfdfd7ac7e8191a675b5a905d23ac4077f6'}
1381FAIL mediawiki/php/wikidiff2: {} != {'refs/changes/06/539906/meta': '811153053[103 chars]9a0'}
1382- {}
1383+ {'refs/changes/06/539906/meta': '811153053d018a887d2b943afbda8924742150b2',
1384+ 'refs/changes/83/541383/meta': 'ec7b3f092bd00edc14979587eecaf50b730369a0'}
1385FAIL mediawiki/services/change-propagation: {} != {'refs/changes/99/539899/meta': 'a7b3546fb3ca88645df7005a367c1554db6a5536'}
1386- {}
1387+ {'refs/changes/99/539899/meta': 'a7b3546fb3ca88645df7005a367c1554db6a5536'}
1388FAIL mediawiki/services/cxserver: {'ref[23 chars]a': '1a8fad2fd1d81c51f9c3c1bc13ca655f3c26c3d7'} != {'ref[23 chars]a': '2d314457cd501394c7877198e753733d51b1b561'[71 chars]de7'}
1389- {'refs/changes/29/543029/meta': '1a8fad2fd1d81c51f9c3c1bc13ca655f3c26c3d7'}
1390+ {'refs/changes/29/543029/meta': '2d314457cd501394c7877198e753733d51b1b561',
1391+ 'refs/changes/63/544163/meta': 'b0e385d1909169a15add24fb4c534b7bf0b11de7'}
1392FAIL mediawiki/services/kartotherian: {} != {'refs/changes/09/539209/meta': 'ec94e018acb9143e10e5c761f8224234384fed62'}
1393- {}
1394+ {'refs/changes/09/539209/meta': 'ec94e018acb9143e10e5c761f8224234384fed62'}
1395FAIL mediawiki/services/kask: {} != {'refs/changes/81/540481/meta': 'b88c5e241785a6ff4130b2c49f3eb15b542eeba6'}
1396- {}
1397+ {'refs/changes/81/540481/meta': 'b88c5e241785a6ff4130b2c49f3eb15b542eeba6'}
1398FAIL mediawiki/services/mathoid: {} != {'refs/changes/59/540459/meta': '752f98202769bd1e5231c0f2faa899dcee811c8a'}
1399- {}
1400+ {'refs/changes/59/540459/meta': '752f98202769bd1e5231c0f2faa899dcee811c8a'}
1401FAIL mediawiki/services/mobileapps: {'refs/changes/36/544936/meta': '914b636244c3226a73f0f15[239 chars]486'} != {'refs/changes/05/539905/meta': '998d45f662b2c03c77d5741[689 chars]6c8'}
1402+ {'refs/changes/05/539905/meta': '998d45f662b2c03c77d574184a64dfe2be3b26e7',
1403+ 'refs/changes/10/539910/meta': 'd0795fa07ad50f502bedf6064e2e0d14113c80e9',
1404- {'refs/changes/36/544936/meta': '914b636244c3226a73f0f15ee1e92f67fb5f9e2a',
1405? ^
1406
1407+ 'refs/changes/36/544936/meta': '914b636244c3226a73f0f15ee1e92f67fb5f9e2a',
1408? ^
1409
1410 'refs/changes/37/544237/meta': 'c8a5ab1986ea6efc27f5adc455845e8d01d118d7',
1411 'refs/changes/54/544854/meta': 'd9a90e3b65fea2d15decfe88367909c50070be48',
1412+ 'refs/changes/67/539867/meta': 'a36fcf189e950f1a38e8fc6dcb86e744a0fac42a',
1413+ 'refs/changes/76/539976/meta': 'd97182653b44675f30601d8303c8b9af5b93aadd',
1414- 'refs/changes/79/544879/meta': '9c2d3552cc7ce04c55dfa475b2145c9f262aa486'}
1415? ^
1416
1417+ 'refs/changes/79/544879/meta': '9c2d3552cc7ce04c55dfa475b2145c9f262aa486',
1418? ^
1419
1420+ 'refs/changes/85/538385/meta': '953b59167a26ab15682cdc50e8ccd0fd5ff39906',
1421+ 'refs/changes/88/539288/meta': 'f5eff294f9fa4ff4b67ff971e00d6737d23496c8'}
1422FAIL mediawiki/services/parsoid: {'ref[80 chars]nges/64/544264/meta': 'cb12db2791bf6eadd32259c[89 chars]80d'} != {'ref[80 chars]nges/28/539628/meta': '7f0634a969b621b14204f37[1139 chars]ece'}
1423 {'refs/changes/26/545026/meta': 'bf025a21b84c7308e8a6fa9efd3ab74cd4cd4227',
1424+ 'refs/changes/28/539628/meta': '7f0634a969b621b14204f37d24acbd1b381e8b12',
1425+ 'refs/changes/29/539629/meta': '9fbf8fb542c3a7fecaab40bbaaa2280912616fe3',
1426+ 'refs/changes/31/539631/meta': '21a8862d64ef068549034e77fa3b2852cb31ec91',
1427+ 'refs/changes/40/540440/meta': 'ec37832772088ffeee676312e973c6724d3016e4',
1428+ 'refs/changes/43/523343/meta': '18cb03592d1634e379ee3a5dabd9d9e161034ffe',
1429+ 'refs/changes/43/540443/meta': '44859caac119c53f705a01b3c00c347418cf386f',
1430+ 'refs/changes/53/540453/meta': 'a09f6d871077c761a4cd6d18e729b08534f2fa61',
1431+ 'refs/changes/55/539955/meta': '75f8595913727106a2678a3c3c946b66c464709b',
1432 'refs/changes/64/544264/meta': 'cb12db2791bf6eadd32259caa11b3a581b6f5872',
1433- 'refs/changes/67/544967/meta': 'e258213d2d8001534a12ffe2b4eeccb5c391280d'}
1434? ^
1435
1436+ 'refs/changes/67/544967/meta': 'e258213d2d8001534a12ffe2b4eeccb5c391280d',
1437? ^
1438
1439+ 'refs/changes/70/539970/meta': '167c70b1d48bd6d26371c97c4454833eb851381e',
1440+ 'refs/changes/71/540171/meta': '827f09cb147506dd87ecd03a45c2425cd3426be1',
1441+ 'refs/changes/77/523777/meta': 'a7e0947f4bbdefec98358a8733754bd9b574853c',
1442+ 'refs/changes/81/539581/meta': '737ab8c6ca4b708d1eaf4204f98cadd1457f1bea',
1443+ 'refs/changes/86/540186/meta': 'c1061c5f83b006542ca517f6ba9faeb9ce5a633c',
1444+ 'refs/changes/91/539991/meta': '2f8d53efd8825f04ce2371b756467c0147395ece'}
1445FAIL mediawiki/services/parsoid/deploy: {} != {'refs/changes/79/540379/meta': '0fa690c53ee421f407e9a4576c43e64d5a93caa6'}
1446- {}
1447+ {'refs/changes/79/540379/meta': '0fa690c53ee421f407e9a4576c43e64d5a93caa6'}
1448FAIL mediawiki/services/wikifeeds: {} != {'refs/changes/42/539642/meta': 'dd1f5d2e9[103 chars]890'}
1449- {}
1450+ {'refs/changes/42/539642/meta': 'dd1f5d2e95966e89931a985b68d2886e441671d9',
1451+ 'refs/changes/71/545071/meta': '4eea50f2966463ca7f750ddb328172f24fd2a890'}
1452FAIL mediawiki/skins/BlueSpiceCalumma: {} != {'refs/changes/78/538578/meta': 'a2dca13935ccf4b22f683ee433ea1e711d9303e5'}
1453- {}
1454+ {'refs/changes/78/538578/meta': 'a2dca13935ccf4b22f683ee433ea1e711d9303e5'}
1455FAIL mediawiki/skins/MinervaNeue: {'refs/changes/35/544235/meta': 'db115218babd2a3650f921e[89 chars]942'} != {'refs/changes/01/540001/meta': '2ba1d41f31ca33eaacea6ea[1739 chars]404'}
1456+ {'refs/changes/01/540001/meta': '2ba1d41f31ca33eaacea6ea0cd632da270f1c4ac',
1457+ 'refs/changes/05/539605/meta': 'a0cf4185047c9a7b5b1670952f73dc9625192b68',
1458+ 'refs/changes/08/540208/meta': 'c2f6d1da3ace811eb68a3e73ea04aab08fef1945',
1459+ 'refs/changes/10/538710/meta': '20c2f3a1461442d56f0acc666884ab66891e3894',
1460+ 'refs/changes/13/540013/meta': '90e93575a8e6f43fa423c753011e1dd8ee640105',
1461+ 'refs/changes/25/540225/meta': 'e65e73760188813d4b3eddfda26a7b0ad26ed172',
1462+ 'refs/changes/26/539926/meta': '0d2c6890ee37a9ac9721d93039365270a72a2041',
1463+ 'refs/changes/26/540226/meta': '66d02590db3f843c1eb09944c0d073e7e8fd8742',
1464+ 'refs/changes/28/539928/meta': '9b0397b2de653778a94dcf232224b2fa325de500',
1465+ 'refs/changes/32/539732/meta': '6356856c4e9734ecb213880e035527345086a47a',
1466- {'refs/changes/35/544235/meta': 'db115218babd2a3650f921eb599ed4f71d9d45ed',
1467? ^
1468
1469+ 'refs/changes/35/544235/meta': 'db115218babd2a3650f921eb599ed4f71d9d45ed',
1470? ^
1471
1472- 'refs/changes/40/544340/meta': '8a0c7b8d131fb6a50605b8178050db30f9e5b942'}
1473? ^
1474
1475+ 'refs/changes/40/544340/meta': '8a0c7b8d131fb6a50605b8178050db30f9e5b942',
1476? ^
1477
1478+ 'refs/changes/41/540441/meta': '54c60e2802c9a8096582a6fc6632d49986a95eba',
1479+ 'refs/changes/60/540260/meta': '1fe847691e51af688ebaa62bed533043db542a24',
1480+ 'refs/changes/62/538062/meta': 'fb5fda1b78f644c90b0a9a7f0435d9caf9c7e6c5',
1481+ 'refs/changes/62/539962/meta': 'e95cc8c1123ebe5936d3306170f6f27f34aeaeff',
1482+ 'refs/changes/65/537165/meta': 'cbb552c10ee517cdbbbefe7069409c1025473894',
1483+ 'refs/changes/65/545165/meta': 'e686e857f5dd2b7a0f2c489d3e59c8d4c9c3da93',
1484+ 'refs/changes/66/537666/meta': 'ecdbb28f581933e9d5af16046ff5096c551c14ae',
1485+ 'refs/changes/72/539972/meta': '1de0bbf53b3b317b153681d24332e62ddb3fb995',
1486+ 'refs/changes/74/539974/meta': 'f4ffaada5f988d3ddb5764b2a586bc04c0b76057',
1487+ 'refs/changes/79/539979/meta': '9a10e504905569e026bff9d8fb1438bd681e92a0',
1488+ 'refs/changes/79/540479/meta': '9ea61eae58cdfe09380f1b337a59702e1ae2fa68',
1489+ 'refs/changes/88/534888/meta': '2420fad4825fcea4d984599eb4dda64358cc6404'}
1490FAIL mediawiki/skins/Vector: {} != {'refs/changes/25/539725/meta': '4a4944e3d[253 chars]b9d'}
1491- {}
1492+ {'refs/changes/25/539725/meta': '4a4944e3def8bd958db904ab5578ed890d831b7d',
1493+ 'refs/changes/47/540247/meta': 'd88193532b1164ba13a4e3c4e78cb81289fbb77d',
1494+ 'refs/changes/68/537768/meta': '1984ad9e93015f0ca9c89c9449a5981bc8afb84b',
1495+ 'refs/changes/70/537770/meta': '27c793a9af171901b82253a067ab7fb7f1b3fb9d'}
1496FAIL mediawiki/tools/api-testing: {'refs/changes/35/544335/meta': '630622b9210c4ba6cfe7962[89 chars]8b3'} != {'refs/changes/12/535712/meta': '366bedd60261277d00816df[164 chars]8b3'}
1497- {'refs/changes/35/544335/meta': '630622b9210c4ba6cfe796283446be380962d37e',
1498+ {'refs/changes/12/535712/meta': '366bedd60261277d00816dfd27471ba7e141e96d',
1499+ 'refs/changes/31/530631/meta': 'f5ed06c2755ff861d4a5114bd7c5db06c1be6e34',
1500 'refs/changes/62/544262/meta': '80fc63513fbd318efc7200ab1d950b8b26b558b3'}
1501FAIL mediawiki/tools/codesniffer: {} != {'refs/changes/29/539529/meta': '36568e602[478 chars]b33'}
1502- {}
1503+ {'refs/changes/29/539529/meta': '36568e602e3b700416c7853d9d943e7eda8bb8b8',
1504+ 'refs/changes/34/492634/meta': '2ba7dfc062048d1c6cdace85a1dff2eb213fc2c1',
1505+ 'refs/changes/56/493656/meta': '2f8f0cfac66052f68407361ce631b05966c3f324',
1506+ 'refs/changes/63/539663/meta': '5f9fad58eb4d9269fd0d46144c4b93e9f18c2911',
1507+ 'refs/changes/64/539564/meta': '7d2b427093a52ef760a629453c743391dd5738d4',
1508+ 'refs/changes/77/539177/meta': '4ea3225a6e07646221c5f6151f2d10bac7c463e9',
1509+ 'refs/changes/80/528280/meta': 'fd7a010aa0d838560cb8264049711d1095e72b33'}
1510FAIL mediawiki/tools/phan: {} != {'refs/changes/51/536651/meta': 'cb43f62742320402ef8fb6187dc411a485a94a2d'}
1511- {}
1512+ {'refs/changes/51/536651/meta': 'cb43f62742320402ef8fb6187dc411a485a94a2d'}
1513FAIL mediawiki/tools/phan/SecurityCheckPlugin: {'ref[530 chars]nges/30/521030/meta': '417bab745a05bbcb82d8020[539 chars]f31'} != {'ref[530 chars]nges/22/522522/meta': '7f132c40f70d6b468d99f96[839 chars]f31'}
1514 {'refs/changes/00/544300/meta': '0092d9f3a4988df8968edcd36e4c41026d4a8c88',
1515 'refs/changes/01/539701/meta': '007b9ea946ec882f58d7e83ba895eb62a25892a4',
1516 'refs/changes/02/544302/meta': '3964a0f6b3a1e0f219fc147cd7243eeddb748da7',
1517 'refs/changes/06/522606/meta': '89bd2682f38c99b9f83411a847c8a653cb10b607',
1518 'refs/changes/08/523108/meta': '442de4fac1ec2b66218c7aaa6207c1ed512ce1a7',
1519 'refs/changes/15/544215/meta': 'dafcb1efe83cb81c73944e28f9d78d3aff43431f',
1520 'refs/changes/20/543120/meta': '1f8e4850348a549022bb1ed33e7e581ee12c657f',
1521+ 'refs/changes/22/522522/meta': '7f132c40f70d6b468d99f96405262c8e776c9ce5',
1522 'refs/changes/30/521030/meta': '417bab745a05bbcb82d8020b1bc9ab52a6c82ad3',
1523 'refs/changes/53/542953/meta': '72ba5f37cb9943532e9e5519f00ae7f74eccf8d0',
1524 'refs/changes/57/542757/meta': '71ec102fbc322eb05a9183bdeadd95331a376a1f',
1525 'refs/changes/66/542766/meta': '9cf09a6e0dec74df5fad772c9fb95c00357d41e5',
1526+ 'refs/changes/81/507981/meta': 'c35bf33a8e4f64b101e4205fe3255a112d57b125',
1527+ 'refs/changes/86/522486/meta': '39dc85c65331839dd2ca266323143ffdfe42c3c5',
1528+ 'refs/changes/88/539888/meta': '4b83735e9ae3c99773e5fd3b4338207079d1b0d7',
1529 'refs/changes/92/544392/meta': '73d5000d19f3bc0a49957ed9b07ef5f8e558e3b9',
1530 'refs/changes/95/544295/meta': '125eea2d61e1efe1f71dfa286b1d7a969cbc2d34',
1531 'refs/changes/97/542997/meta': '674dc85486fea18784dc6f21d37f5884be1bf136',
1532 'refs/changes/97/544297/meta': 'f811a3e26b75e665108ec6ac6b93214b4c6e7f31'}
1533FAIL mediawiki/tools/phpunit-patch-coverage: {} != {'refs/changes/20/545120/meta': 'c3ba3149d3c5b977ec8e4247208edf44b8a5bdfe'}
1534- {}
1535+ {'refs/changes/20/545120/meta': 'c3ba3149d3c5b977ec8e4247208edf44b8a5bdfe'}
1536FAIL mediawiki/tools/release: {} != {'refs/changes/48/543248/meta': 'e59a88135[103 chars]081'}
1537- {}
1538+ {'refs/changes/48/543248/meta': 'e59a88135afe3983842eb3fd92b3a46215ba70fe',
1539+ 'refs/changes/99/544899/meta': '3378e6bbdea86c58155d3c39be7e69254673a081'}
1540FAIL mediawiki/vagrant: {'refs/changes/24/544324/meta': '31967698009a0df5a12262b[14 chars]080'} != {'refs/changes/14/539214/meta': '64d8f664095db32a70ab48e[314 chars]0ea'}
1541+ {'refs/changes/14/539214/meta': '64d8f664095db32a70ab48e1878f0a1df28c3f66',
1542+ 'refs/changes/21/540221/meta': '0e9a80d1068b0dc12708fd6d11240141d1016be0',
1543- {'refs/changes/24/544324/meta': '31967698009a0df5a12262b41a04157c0ddfd080'}
1544? ^ ^
1545
1546+ 'refs/changes/24/544324/meta': '31967698009a0df5a12262b41a04157c0ddfd080',
1547? ^ ^
1548
1549+ 'refs/changes/63/540463/meta': '4cb8e2203aa56007bae6b536d8c51ff99594c987',
1550+ 'refs/changes/90/539690/meta': 'b3e90e43684a15e6daa1747e15009c31b8c930ea'}
1551OK mediawiki/vendor
1552FAIL oojs/ui: {'refs/changes/47/544947/meta': 'acf66474e5d7726fb84ff3c[314 chars]612'} != {'refs/changes/00/539700/meta': '7ccd07d18eba58e028cb6ad[539 chars]612'}
1553+ {'refs/changes/00/539700/meta': '7ccd07d18eba58e028cb6ad30440192bd7c61fa7',
1554+ 'refs/changes/27/540127/meta': '8cfcd1a70e684b22fb797f42babfaef354a8948d',
1555- {'refs/changes/47/544947/meta': 'acf66474e5d7726fb84ff3c897db0c86e55c3e72',
1556? ^
1557
1558+ 'refs/changes/47/544947/meta': 'acf66474e5d7726fb84ff3c897db0c86e55c3e72',
1559? ^
1560
1561+ 'refs/changes/61/539861/meta': '55dc42b64d21b78cde7debed6846e48b10693a70',
1562 'refs/changes/65/544365/meta': '665bef23e85a671092b77d785490153f11d99d66',
1563 'refs/changes/84/544384/meta': '8a436402fd8198ad14c0befdd4307fde4d797d7c',
1564 'refs/changes/89/544089/meta': '1032ebcba21ab3d32728d881504833c8b62354f0',
1565 'refs/changes/94/544894/meta': '71a63f52e64a2eef98bb4d00390bd7cfb48b5612'}
1566FAIL operations/cookbooks: {'ref[64 chars]dc35'} != {'ref[64 chars]dc35', 'refs/changes/67/545167/meta': '022ec00[30 chars]cda'}
1567- {'refs/changes/53/540153/meta': '248e5802c43e26fc8466579c7d939156fbdfdc35'}
1568? ^
1569
1570+ {'refs/changes/53/540153/meta': '248e5802c43e26fc8466579c7d939156fbdfdc35',
1571? ^
1572
1573+ 'refs/changes/67/545167/meta': '022ec00aa9976e543e3b0be3062a3950d830ccda'}
1574FAIL operations/debs/trafficserver: {} != {'refs/changes/71/543271/meta': '954452cf8e63cc520feb870de06646dfc8226e45'}
1575- {}
1576+ {'refs/changes/71/543271/meta': '954452cf8e63cc520feb870de06646dfc8226e45'}
1577FAIL operations/deployment-charts: {'refs/changes/29/544629/meta': '5830741f7e7d8ff7f8bfc292[163 chars]179'} != {'refs/changes/20/539220/meta': 'c991bf2572b3a63a6c7d660f[463 chars]ca8'}
1578- {'refs/changes/29/544629/meta': '5830741f7e7d8ff7f8bfc292d0c1c956cde4869d',
1579- 'refs/changes/54/543854/meta': 'b713f82c60a79cd1dd481949abbe09367b7b44ac',
1580- 'refs/changes/74/544774/meta': 'cef598a41c6bd9fdffc5836e0f2219027f768179'}
1581+ {'refs/changes/20/539220/meta': 'c991bf2572b3a63a6c7d660f256860270880c5b0',
1582+ 'refs/changes/29/544629/meta': '1618b8d45bb714876abfbfe52869dcb14d304b8f',
1583+ 'refs/changes/42/535342/meta': '8d950fc8197abfc504dcf1f5c25e90d6bf3d4437',
1584+ 'refs/changes/54/543854/meta': 'ae68076c1fadee176df6aa4146e40a559c369662',
1585+ 'refs/changes/57/517557/meta': 'a24d63fe6867ca3b8089b275407747c551b9e89f',
1586+ 'refs/changes/65/540365/meta': '930b1236d7c9f5744cffb124c577fa884b7ebecf',
1587+ 'refs/changes/74/544774/meta': '51002c04184903ba6c65147103572334d6210ca8'}
1588FAIL operations/dns: {'ref[80 chars]nges/75/544175/meta': '45688f82d2fb865b3784e71[14 chars]e79'} != {'ref[80 chars]nges/48/540148/meta': '1f10b11d49ecc0b08309d14[89 chars]63c'}
1589 {'refs/changes/25/544325/meta': '8ff06c308dd9244bd926741f0fbb8ffa7882acd9',
1590- 'refs/changes/75/544175/meta': '45688f82d2fb865b3784e71591c4d936362dde79'}
1591+ 'refs/changes/48/540148/meta': '1f10b11d49ecc0b08309d14030b9bf1c892e0ce1',
1592+ 'refs/changes/93/541393/meta': '0e06147472721cf5f4ab4acf1c6b63051832e63c'}
1593FAIL operations/docker-images/toollabs-images: {'ref[64 chars]6f28'} != {'ref[64 chars]6f28', 'refs/changes/92/536692/meta': '122e739[30 chars]59d'}
1594- {'refs/changes/24/543124/meta': '1a5fff61711c73a851d027d306509c7b82256f28'}
1595? ^
1596
1597+ {'refs/changes/24/543124/meta': '1a5fff61711c73a851d027d306509c7b82256f28',
1598? ^
1599
1600+ 'refs/changes/92/536692/meta': '122e73993d9c4d48675c8166bec9ff7705d3a59d'}
1601FAIL operations/mediawiki-config: {'ref[156 chars]ges/06/415506/meta': '2d1c2245f3a656fcc9f9c438[1138 chars]662'} != {'ref[156 chars]ges/03/540103/meta': '558eb3ec16cd7d34cd18a3f9[3538 chars]c1d'}
1602 {'refs/changes/00/544400/meta': '83b0ca39761d2b801a221410abb49c7e2ce3dc9e',
1603 'refs/changes/01/544001/meta': '446b958dfc6eeff8129288f011180fd43a1861e7',
1604+ 'refs/changes/03/540103/meta': '558eb3ec16cd7d34cd18a3f9e967d6176d12fbb3',
1605+ 'refs/changes/04/540404/meta': '88c1840fd1a5ebd690afe5e6cf854f0fc852c797',
1606 'refs/changes/06/415506/meta': '2d1c2245f3a656fcc9f9c438a934421bdd271b9e',
1607+ 'refs/changes/06/540006/meta': 'bf7bb6baf43261fafe351ff9889232900d6b1616',
1608 'refs/changes/06/542506/meta': '39201f968e1b0b70b710b52009baad45b89cbb82',
1609+ 'refs/changes/07/540107/meta': 'fba118b6fb24f62ca3c6a0b1b6bba0ba7db3a237',
1610+ 'refs/changes/16/539916/meta': 'c1aae7ca16338d17903264de751ae469e76174f7',
1611+ 'refs/changes/17/539517/meta': 'eb29b2e67c0bade0aa53a081533cf0f5d816d8cd',
1612+ 'refs/changes/23/540123/meta': 'bc63018abe253e1325a4fc0b1e22fc317fef0feb',
1613 'refs/changes/27/545027/meta': '6222b91c8b40f1380170873a7dd4a00ccfd55497',
1614 'refs/changes/30/544930/meta': '8ba8b2d3be969bfb98ff50aad9550ff49b479dae',
1615+ 'refs/changes/33/484633/meta': '5d47b3f1ddf463f7464becd18e2579ab137419d6',
1616+ 'refs/changes/35/540235/meta': '74867fcd18396d5c2b33c1984523e39aa650384c',
1617+ 'refs/changes/37/537637/meta': '8d2225c8542145f93bb5e94b89e01cfcfc5cd887',
1618 'refs/changes/43/543943/meta': 'bcfcb19d3f53f40f6b18e788e19dcd413dc3af4e',
1619 'refs/changes/43/544343/meta': 'c4848e8b2e896f70eb8c2ddb9edc69c3df77004d',
1620+ 'refs/changes/47/529047/meta': '563f918bf2820802e5d62238c345255c039c6568',
1621+ 'refs/changes/49/539849/meta': 'b4f66e1461bccd92ce970b290aa167853707f436',
1622+ 'refs/changes/50/539850/meta': '428ec2512b95aaddff63c278cd9e2161bcb806ae',
1623 'refs/changes/53/544853/meta': '33db7dbab96c593459f3e2565c0cf6bf2f6bcd44',
1624+ 'refs/changes/55/542755/meta': 'd5605584cd771428791cf47816cedffb933b6d2d',
1625 'refs/changes/55/544855/meta': '8d43801f7e60583eb282fa1b62f88788f05a7c6d',
1626+ 'refs/changes/55/545155/meta': '459442fa4f459c03dd68f0f8a262075f130ca4f8',
1627+ 'refs/changes/59/545159/meta': '4a77b53c1e93afadaede697f39fa6d50ef2d62e7',
1628+ 'refs/changes/60/545260/meta': 'c68c2cd019fd7baf046c7b7a260a80d498e9453b',
1629+ 'refs/changes/61/539661/meta': '93197f88876f66927f9cda0cfbc1a9e1b5be77d5',
1630 'refs/changes/64/543664/meta': '236ed2e26ed8d796cf4e673131db36e6796fd934',
1631 'refs/changes/64/543764/meta': 'e8b954f84e48c635eda9c97e45c2550c3112f8e5',
1632- 'refs/changes/78/544878/meta': '203dc4c8a72aa14fe925e7fc90f50474b36bbb9c',
1633+ 'refs/changes/64/545264/meta': 'ddafe2fef8116e3bbb61ac7866095e09f17efe7e',
1634+ 'refs/changes/67/521967/meta': 'b2bbcb0c3940183bbbaa6bad5c4444cb483f45a7',
1635+ 'refs/changes/70/535770/meta': '9afbf68518cc0db4d241fecec7cfbfc5752409c6',
1636+ 'refs/changes/71/358171/meta': '16be28a910cab65f52719821a7e387c4e238b61a',
1637+ 'refs/changes/71/530871/meta': '06bbfaa4ca5c2dc88cf03a86a989c82fedf60c66',
1638+ 'refs/changes/71/540471/meta': '9270499eeedceae112b97c1aee9bb3ecef0fc79e',
1639+ 'refs/changes/74/539674/meta': 'cf62d62ac7c6fb8a7a66b35d7bd2b4c0552c9bdb',
1640+ 'refs/changes/76/508476/meta': '68038cbb665096ac3ec553476b50e954089435a3',
1641+ 'refs/changes/77/540377/meta': 'af326e9cb21aa8e82f63eb433b1b024bbe0a6ce3',
1642+ 'refs/changes/78/544878/meta': '4f452d1e035d40cf43c8ed4eb23c68dbe0447c03',
1643+ 'refs/changes/80/540380/meta': '1ca0c56f751ad8e786b6dd28c4f26bdaa9a9f0f2',
1644 'refs/changes/82/544882/meta': '3146cf4b6b654fa156c432f6aa91e9d6e605b2d4',
1645- 'refs/changes/82/544982/meta': '7e151fdd27a1a79564915297078c2c7d00821d12',
1646- 'refs/changes/90/542890/meta': '3ea59789c4139ed2a3b8b45fe48af3d4cc75bd9d',
1647+ 'refs/changes/82/544982/meta': '207138790867d7c08fbdcca9ca893e5f0dca9052',
1648+ 'refs/changes/83/540083/meta': '71d5d5507e0b27d3576157813a4c52f2ae030e93',
1649+ 'refs/changes/85/539985/meta': '5c337c35d8c81817581203649983f0099cf4de5a',
1650+ 'refs/changes/91/540191/meta': '092e3a6edde7c411ce20fe38f676d7db80e57f91',
1651+ 'refs/changes/93/540193/meta': '032f1abecc30e4ab32916a46c2238c2e833a9525',
1652 'refs/changes/93/544193/meta': '7941eb0646780f870c35c309f92635159cc6e79e',
1653- 'refs/changes/95/544995/meta': 'c2569ab5ee53b9249e96039104e329dd9df32662'}
1654+ 'refs/changes/95/544995/meta': '1f016594af192632cb2f7aecfbbb78922ceec5cf',
1655+ 'refs/changes/96/538296/meta': '32d52c2dc30a46ae4e179b6ecab67adbd12bec1d'}
1656FAIL operations/puppet: {'refs/changes/11/544911/meta': 'fa5c3a2d8ebe66965907789[1514 chars]4f3'} != {'refs/changes/04/526104/meta': '176c4ba5965616d8027bf9f[1439 chars]f39'}
1657+ {'refs/changes/04/526104/meta': '176c4ba5965616d8027bf9fe0155af3efe7ce954',
1658+ 'refs/changes/04/543904/meta': '6ecdbcabe98762dbdf6adae1e03e023386852efb',
1659+ 'refs/changes/08/545208/meta': '2e04a0491ff1813f01dd44244b803a0033bf4bdd',
1660+ 'refs/changes/16/543916/meta': '2cb2f223203d219d417471b66face41a79f5a29b',
1661+ 'refs/changes/20/544220/meta': '1f43efb3a070651b9b67fe6c526a6e8784488693',
1662+ 'refs/changes/22/545122/meta': '06c8674c6fc992a95cebdd80e579aceaf86df5ce',
1663+ 'refs/changes/23/545123/meta': 'ea358d14cdad42737c92caf19330e1ba55bb31ce',
1664+ 'refs/changes/24/528624/meta': 'b206465f1f6174bc8422729a80639597d7043c53',
1665+ 'refs/changes/36/545236/meta': 'c6f1916801bc84a8d689c8428acd4543948587f2',
1666+ 'refs/changes/43/543243/meta': '3d4c7b85dee514b08db8e8a0208e3cc49894f90a',
1667+ 'refs/changes/52/543252/meta': '020851dfd8b11350a88333766a47acd7e48d3491',
1668+ 'refs/changes/62/545262/meta': '96e70acede2bc858529cad5cc47c62fad03b91d7',
1669+ 'refs/changes/64/544864/meta': 'b6cd2d7647340fc5d2fa801bae93a27cb5c6f1b1',
1670+ 'refs/changes/64/544964/meta': '2a1f977a71c1fe845d3946111c30647e376475c8',
1671+ 'refs/changes/66/544966/meta': 'db2248fd10736d6de765b2cdef952c0cdda1e38b',
1672+ 'refs/changes/72/545072/meta': '0083ab5eae612a005b5d256653bc009a5e5475c0',
1673+ 'refs/changes/89/544989/meta': '8797fbc9ac4e48f3d011db0c5b0d926899837d98',
1674+ 'refs/changes/90/544990/meta': '0d75dd940b3686e8a854e2fb2b0b5422b11e55dc',
1675+ 'refs/changes/94/545094/meta': '2c5b7f385ecab1727d1fe01b3f1059473290e590',
1676+ 'refs/changes/96/533896/meta': 'cb74867e81b8c12afb1710dc39f16d5f7ad2af39'}
1677- {'refs/changes/11/544911/meta': 'fa5c3a2d8ebe669659077894a356e5bd6643fbd8',
1678- 'refs/changes/13/545013/meta': '33d7a8dd2af290a9d21748ce553bdb152f18d6a3',
1679- 'refs/changes/14/544214/meta': '3a033869488cbc8631249bf7edccb82497f16e78',
1680- 'refs/changes/16/545016/meta': 'f21dcd73bf3e8d16e8dfea2372838f452b6a59cd',
1681- 'refs/changes/18/544218/meta': '8aefe39c21583ff062e2039bfcf1bc98e514ef73',
1682- 'refs/changes/19/541619/meta': '90fd2ec182ef7d23e8f027db21ef38495279d6a6',
1683- 'refs/changes/20/544220/meta': '146014ce26951cff5c3b7fc4cf3820948767d0e4',
1684- 'refs/changes/22/544922/meta': 'b011b6c3e7278d2514a6bc5defd59a268c19be40',
1685- 'refs/changes/43/544943/meta': 'd3ae3973dc4827d100961a952d445dd2a564666b',
1686- 'refs/changes/44/544844/meta': '4162499d9d62ab9568b46201702e6f357e0e9dc2',
1687- 'refs/changes/44/544944/meta': 'e8404c3c79f5e4356f60b3350d44fca9e9d70278',
1688- 'refs/changes/47/544847/meta': 'd25415f362b77ba9e81e872f4f823de8393b77b3',
1689- 'refs/changes/64/544864/meta': '386c1cea15713db6c4f93fc16aea6f34d1004668',
1690- 'refs/changes/64/544964/meta': 'c9e6214f680329a9bc448fae8f63256adb53709a',
1691- 'refs/changes/65/544665/meta': '5c3cd543a2ad564230be26ce908ef6d3de2c4730',
1692- 'refs/changes/66/544966/meta': 'dc5c0352213b20dd5ee65f4204f173c1e1d4a503',
1693- 'refs/changes/72/542472/meta': 'dab449235db8016f9ca85f2274db9bb5644cc389',
1694- 'refs/changes/81/544881/meta': 'f99d54ebbeae60bed6143258e56809b09cef45d0',
1695- 'refs/changes/89/544989/meta': '70ea80275513ba6cad780d6dd1626eabafe0f617',
1696- 'refs/changes/90/544990/meta': 'ebbb142596475056a8034b8311960102fe3e1973',
1697- 'refs/changes/96/544996/meta': '32f03e5bb1da0b641428e72fd563a2158fa284f3'}
1698FAIL operations/software/cumin: {} != {'refs/changes/40/514840/meta': '7e656b23d[103 chars]20f'}
1699- {}
1700+ {'refs/changes/40/514840/meta': '7e656b23df5b7bb03cc58ade55104b58ebd5991b',
1701+ 'refs/changes/95/539695/meta': '74ded8ea04bcd34042e4cac284ac05ebc2c4620f'}
1702FAIL operations/software/elasticsearch/plugins: {} != {'refs/changes/87/543187/meta': 'bf5a5c8b6[103 chars]044'}
1703- {}
1704+ {'refs/changes/87/543187/meta': 'bf5a5c8b643394f7dfea7df84d437a5748a2c21f',
1705+ 'refs/changes/88/543188/meta': '4131a09ae3c15cf0bf124147e8e0a1bcc225d044'}
1706FAIL operations/software/fifo-log-demux: {} != {'refs/changes/12/539312/meta': 'da668f3331993d71cfd23916f7fb9f3652c32501'}
1707- {}
1708+ {'refs/changes/12/539312/meta': 'da668f3331993d71cfd23916f7fb9f3652c32501'}
1709FAIL operations/software/gerrit/plugins/barricade: {} != {'refs/changes/79/539179/meta': '53c7cddd01b51ccebe30532ea9cab84374c477db'}
1710- {}
1711+ {'refs/changes/79/539179/meta': '53c7cddd01b51ccebe30532ea9cab84374c477db'}
1712FAIL operations/software/homer: {'refs/changes/65/543965/meta': '1e5e81756b2cf92525dfa16[389 chars]d23'} != {'refs/changes/51/539551/meta': 'abec1aa062684ab346807a3[464 chars]d23'}
1713+ {'refs/changes/51/539551/meta': 'abec1aa062684ab346807a3f2c372abbed1c6d59',
1714- {'refs/changes/65/543965/meta': '1e5e81756b2cf92525dfa164fec873ce87496a92',
1715? ^
1716
1717+ 'refs/changes/65/543965/meta': '1e5e81756b2cf92525dfa164fec873ce87496a92',
1718? ^
1719
1720 'refs/changes/86/543886/meta': '26aa8c4ac1d0c91975fd99f5fe1cd0b7c7d8ac1d',
1721 'refs/changes/87/543887/meta': 'cc6d5d38a353542bc1419c6e6f96b149e233ef8d',
1722 'refs/changes/88/543888/meta': 'f6fedebd075047a661948d253f7b1b50396f7a2a',
1723 'refs/changes/89/543889/meta': '30297c55f7777c871fed686c74e6bdd37e241a40',
1724 'refs/changes/90/543890/meta': 'c0bd2769a5790ed030f9e4130a0160a138ce3d23'}
1725FAIL operations/software/netbox-deploy: {} != {'refs/changes/77/529977/meta': '7752113e5ba171232b4fe82096953d4c8fd9f940'}
1726- {}
1727+ {'refs/changes/77/529977/meta': '7752113e5ba171232b4fe82096953d4c8fd9f940'}
1728FAIL operations/software/netbox-reports: {'refs/changes/89/544389/meta': '52e0a8ab01069df0ce58f19[89 chars]b5d'} != {'refs/changes/32/545132/meta': '7040ed1e9fd45aa22abd28c[389 chars]b5d'}
1729+ {'refs/changes/32/545132/meta': '7040ed1e9fd45aa22abd28c3442f27fe05e93064',
1730+ 'refs/changes/42/537242/meta': '9cf803f42fe729c46734df25465dd3791d21738a',
1731+ 'refs/changes/66/540166/meta': '225553c1381733998422e00b0ba3da7f30470fe0',
1732- {'refs/changes/89/544389/meta': '52e0a8ab01069df0ce58f19af4974cf5c9126ef0',
1733? ^
1734
1735+ 'refs/changes/89/544389/meta': '52e0a8ab01069df0ce58f19af4974cf5c9126ef0',
1736? ^
1737
1738+ 'refs/changes/92/539192/meta': '54431ac67fc2f30201a6477d5d596a8af861e97f',
1739 'refs/changes/99/544399/meta': '8eabb4ffcc946b555c5f68f05f01fb0eb12b1b5d'}
1740OK performance/fresnel
1741FAIL php-session-serializer: {'ref[23 chars]a': '1c0885c1bc3300b7013731cb1f75083df1270d41'[296 chars]153'} != {'ref[23 chars]a': '37d4ad05f228eb44ba8ca1ecfd2337b59efad73d'[296 chars]153'}
1742- {'refs/changes/02/544802/meta': '1c0885c1bc3300b7013731cb1f75083df1270d41',
1743- 'refs/changes/03/544803/meta': 'c7c0066b5b5bbbe93f5199b23e6599ef29a66711',
1744- 'refs/changes/39/545039/meta': 'ad0c41c9f9923a88242ce995883aa64ba29ad138',
1745+ {'refs/changes/02/544802/meta': '37d4ad05f228eb44ba8ca1ecfd2337b59efad73d',
1746+ 'refs/changes/03/544803/meta': 'a73bbfcc196ec0a5e2101eef6c799e59450e9b2e',
1747+ 'refs/changes/39/545039/meta': 'fa17d51fd09fda0588360eceaffa97611b1627b7',
1748 'refs/changes/72/544372/meta': '39bb41a759b1b7028db970f87805bfbd9408c611',
1749 'refs/changes/97/544797/meta': '6c4978783438958d871fb0ffdb64c83a810f2153'}
1750OK purtle
1751FAIL pywikibot/core: {'ref[80 chars]nges/33/544933/meta': '7aadc78b90bc16a110202e9[239 chars]1bb'} != {'ref[80 chars]nges/23/539923/meta': 'e256e169e0358dc0c90acb3[1439 chars]f7f'}
1752 {'refs/changes/07/543107/meta': '6fcb4d76e47934446ce40d68542047abdbe04254',
1753- 'refs/changes/33/544933/meta': '7aadc78b90bc16a110202e9e144d5ae64e8b08a2',
1754- 'refs/changes/37/544937/meta': 'b5f1e16e2aceb1c2595b320a9b1765c7ef3f43c6',
1755- 'refs/changes/42/544942/meta': '8a51b2b7ce28466952d33e195a2a41bfea002256',
1756+ 'refs/changes/23/539923/meta': 'e256e169e0358dc0c90acb3235bac255f465fa8e',
1757+ 'refs/changes/24/539924/meta': '2c5e8eb35142954fff0f126c37a4ee041e75e3c3',
1758+ 'refs/changes/33/544933/meta': 'ec2831ad4fdfd8be2572cf8a5ea01419043f1500',
1759+ 'refs/changes/37/544937/meta': '33c4d92b08f388ec8b68e42cb4dbc5d224c70319',
1760+ 'refs/changes/38/538838/meta': '13f337f1ede94e0c4524aee5389fdbcbfb45e529',
1761+ 'refs/changes/40/536640/meta': '4b8a40953b162c3287e86705c4e03be4923149e9',
1762+ 'refs/changes/42/544942/meta': '5672f91fdf2971bcc608a91adf6f14781a639444',
1763+ 'refs/changes/44/538644/meta': 'd2255633e0af1b1426d6c14718c860f335abd0d2',
1764+ 'refs/changes/61/539961/meta': '4e740f83699882fb094c00fc911aa90060d9ea24',
1765- 'refs/changes/64/544664/meta': 'b71017df4b06ec2e6b8421992e96a03f1872d1bb'}
1766? ^
1767
1768+ 'refs/changes/64/544664/meta': 'b71017df4b06ec2e6b8421992e96a03f1872d1bb',
1769? ^
1770
1771+ 'refs/changes/67/524667/meta': 'cdd35674a430e18eae6759b9310e2577ed7918c3',
1772+ 'refs/changes/68/539068/meta': 'a46086a5ad11f2f65486eeb5e96d2d9fd1c42239',
1773+ 'refs/changes/79/525179/meta': '1361828970cc669cdb9b05c55ec44e628031f54c',
1774+ 'refs/changes/84/538384/meta': '1f066126d1d9e2697483935fd5b9208b662c0609',
1775+ 'refs/changes/86/539686/meta': 'dc8608b2e0890772ba7da277cb5172a2b9b3c3c8',
1776+ 'refs/changes/87/539687/meta': 'f571e3c651d010c3b4b268f7339d9dbb0c2e97ee',
1777+ 'refs/changes/88/543388/meta': '23a215fbda655d82b7ebb08b7a9fabea667937e0',
1778+ 'refs/changes/94/516194/meta': '11a08592e5e8a5b5c16e6a95ba23ef3458fc44bb',
1779+ 'refs/changes/98/539698/meta': 'd03cb263ba634bbb75f23b410c840d386e82bd1f',
1780+ 'refs/changes/98/540198/meta': 'bbbc36e49087eeb9a4fada61e23236d6d08e0f7f'}
1781FAIL search/MjoLniR: {'refs/changes/77/542277/meta': '0d8d307598381980f05901f[14 chars]d23'} != {'refs/changes/32/535732/meta': '958ae291ea22d22dc21f890[164 chars]a86'}
1782- {'refs/changes/77/542277/meta': '0d8d307598381980f05901faf38bbc65739f9d23'}
1783+ {'refs/changes/32/535732/meta': '958ae291ea22d22dc21f890c9d1be75ec3dc5845',
1784+ 'refs/changes/77/542277/meta': '8da710426c33d4664f396d6f165ca5116c933822',
1785+ 'refs/changes/80/545080/meta': '5294937ab121c473b27822672fa03d5db9a14a86'}
1786FAIL testing-access-wrapper: {'ref[173 chars]a': '89401f0daadd73bc940dba8c20d008c16a699f1b'[71 chars]26b'} != {'ref[173 chars]a': 'b6dc430715cf6d6d44ab523dbf949828e72b759c'[71 chars]26b'}
1787 {'refs/changes/06/544806/meta': '305a1e54ac8a17f36f73283193a335a26d3b0aa4',
1788 'refs/changes/07/544807/meta': '31877f1dd08ec91e6c57476fb47f3bf735e901c9',
1789- 'refs/changes/74/544374/meta': '89401f0daadd73bc940dba8c20d008c16a699f1b',
1790+ 'refs/changes/74/544374/meta': 'b6dc430715cf6d6d44ab523dbf949828e72b759c',
1791 'refs/changes/94/544794/meta': '86d1d671ebb03497d72d10e33543c7b2ab1bc26b'}
1792FAIL translatewiki: {'refs/changes/67/544367/meta': '6c10300b7f102226e836e98[164 chars]a61'} != {'refs/changes/02/545202/meta': '75b382d02ed585efa399e6c[539 chars]a61'}
1793+ {'refs/changes/02/545202/meta': '75b382d02ed585efa399e6ce699b00784dcacf1f',
1794+ 'refs/changes/21/545221/meta': '1f92ce85d2d0e8f48254a44046d13771eae8ddc8',
1795+ 'refs/changes/50/545250/meta': 'f30280181fdd4b1dc016041b18b90efaf26a4a1b',
1796+ 'refs/changes/51/545251/meta': '14b956a097f7f51c5adfe86ea34b5b4c0a25d157',
1797+ 'refs/changes/62/539562/meta': '1d8c8bc05cf539ee426801ce5b904b1859bcaf67',
1798- {'refs/changes/67/544367/meta': '6c10300b7f102226e836e98d76b9c24ae0a8c6de',
1799? ^
1800
1801+ 'refs/changes/67/544367/meta': '6c10300b7f102226e836e98d76b9c24ae0a8c6de',
1802? ^
1803
1804 'refs/changes/70/544870/meta': '29c5d8a1e98231a4c7c22cacad8e26ece69f233a',
1805 'refs/changes/79/543679/meta': 'f1b96e12a708148ecf11029de0bdda873bc77a61'}
1806OK utfnormal
1807FAIL wikibase/termbox: {'refs/changes/25/539125/meta': 'a9d2e87de6fcb4d093f0b0fb[13 chars]994'} != {'refs/changes/20/540420/meta': '1222400f2e225e5f7f4d9c0a[163 chars]626'}
1808+ {'refs/changes/20/540420/meta': '1222400f2e225e5f7f4d9c0a4b7ba589cb25e0f8',
1809- {'refs/changes/25/539125/meta': 'a9d2e87de6fcb4d093f0b0fb6b231f6c47a90994'}
1810? ^ ^
1811
1812+ 'refs/changes/25/539125/meta': 'a9d2e87de6fcb4d093f0b0fb6b231f6c47a90994',
1813? ^ ^
1814
1815+ 'refs/changes/93/539493/meta': '845ab0e58670275ca08836009a2adb650e0b9626'}
1816OK wikidata/query/gui
1817OK wikidata/query/gui-deploy
1818FAIL wikidata/query/rdf: {} != {'refs/changes/04/543004/meta': 'df9c453b6[103 chars]e27'}
1819- {}
1820+ {'refs/changes/04/543004/meta': 'df9c453b6516efec7e0e4ba2fefbc1dd349853db',
1821+ 'refs/changes/57/545257/meta': '9ad0c03d6bc8554c8317a70a3115c5ec3f32ce27'}
1822FAIL wikimedia/discovery/analytics: {'refs/changes/44/544644/meta': '4a485bed7e9d69089551984d468935b60dbc62dc'} != {'refs/changes/44/544644/meta': 'c325a58c51f870a01649d18fccaf3bb2ea2d414a'}
1823- {'refs/changes/44/544644/meta': '4a485bed7e9d69089551984d468935b60dbc62dc'}
1824+ {'refs/changes/44/544644/meta': 'c325a58c51f870a01649d18fccaf3bb2ea2d414a'}
1825FAIL wikimedia/fundraising/crm: {'refs/changes/14/545014/meta': '0193dd62d208c26cb7f0ed34[13 chars]971'} != {'refs/changes/10/539210/meta': 'cda770d0c1c1ad497ed4f903[913 chars]70f'}
1826+ {'refs/changes/10/539210/meta': 'cda770d0c1c1ad497ed4f9037922e16b4e961599',
1827- {'refs/changes/14/545014/meta': '0193dd62d208c26cb7f0ed344a77f1791a8e7971'}
1828? ^ ^
1829
1830+ 'refs/changes/14/545014/meta': '0193dd62d208c26cb7f0ed344a77f1791a8e7971',
1831? ^ ^
1832
1833+ 'refs/changes/21/545121/meta': 'dea595993f2fb5be020e13d0d3931c0c5c34f353',
1834+ 'refs/changes/25/545125/meta': '5a177ad4eae6165184e49f3f7d2f4310f91dbcf4',
1835+ 'refs/changes/30/540430/meta': '51ef658a4f81b4935d482875d5bf669077520da8',
1836+ 'refs/changes/32/540432/meta': '6fb7239be002f696a6db3446a14e78425bea8166',
1837+ 'refs/changes/41/543741/meta': '1c8cd2fac9e6361e54558ec40416704c9951ea3a',
1838+ 'refs/changes/47/543747/meta': 'f4ed32b86028ed993e78450f71cc1ace212a4101',
1839+ 'refs/changes/68/540468/meta': 'a07b5792ed5854a44b2fdfd0075bd87121ca8338',
1840+ 'refs/changes/70/540170/meta': '5528be7ca47ee790988490f01497307554bc308e',
1841+ 'refs/changes/72/538372/meta': 'c6a4019519eccd76feb8dac0188c06178e3e4138',
1842+ 'refs/changes/73/538373/meta': '4551e5dec005c2fccac3454a77bd06f95a872b32',
1843+ 'refs/changes/88/537788/meta': '74a6eb11e27570021f432acb788533a06e7c070f'}
1844FAIL wikimedia/iegreview: {} != {'refs/changes/38/540138/meta': 'f644b4593d3f2cf1f02e7304da722f154c146309'}
1845- {}
1846+ {'refs/changes/38/540138/meta': 'f644b4593d3f2cf1f02e7304da722f154c146309'}
1847FAIL wikimedia/lucene-explain-parser: {'refs/changes/76/544376/meta': '8bc373dc1466ff0121d159a60f7fa4a8dc636f91'} != {}
1848- {'refs/changes/76/544376/meta': '8bc373dc1466ff0121d159a60f7fa4a8dc636f91'}
1849+ {}
1850FAIL wikimedia/portals: {} != {'refs/changes/39/540139/meta': '7817226a8[103 chars]d18'}
1851- {}
1852+ {'refs/changes/39/540139/meta': '7817226a808e381896b71a2aebfca7129378b0c4',
1853+ 'refs/changes/41/540241/meta': '24fff729e87b4ac348705fb445ddc7dc09aa9d18'}
1854OK wikimedia/portals/deploy
1855OK wikimedia/security/tooling
1856OK wikimedia/textcat
1857FAIL wikipedia/gadgets/ProveIt: {} != {'refs/changes/13/539713/meta': 'e77847038[103 chars]ce9'}
1858- {}
1859+ {'refs/changes/13/539713/meta': 'e778470385fb47b1b7e466c605166a1c22c454e0',
1860+ 'refs/changes/19/539719/meta': '42173d66c1a14831ded8e76f889e85004bbcdce9'}

Which is not that helpful to analysis :\

dbarratt updated the task description. (Show Details)Tue, Oct 22, 2:17 PM
thcipriani updated the task description. (Show Details)Tue, Oct 22, 5:11 PM

Should we be updating the description of this task with changes that need fixing, or will they all be fixed eventually regardless?

tl;dr: we ran a script, it should have fixed a lot. It may not have fixed everything. DO NOT fiddle with the broken patches; e.g., rebase or +2 or merge or whatever. Please add any problems that *still* exist as of now (post script run) to the task description.

No data is lost, but Gerrit may be looking in the wrong place for it.

Short explanation of Root Cause

we didn't use --delete for subsequent rsyncs from cobalt to gerrit1001

Longer explanation

All the metadata about changes (i.e., who reviewed, whether it merged, etc) for Gerrit is stored in Git. In a ref that looks like refs/changes/xx/yyyxx/meta.

When we rsync'd initially, there were physical files in a git repo; e.g., /srv/gerrit/git/mediawiki/core.git/refs/changes/12/1234/meta. When we run git gc (which we do every Friday) those refs are moved from /srv/gerrit/git/mediawiki/core.git/refs/changes/12/1234/meta to a big list in /srv/gerrit/git/mediawiki/core.git/packed-refs.

When you udpate the ref via the gerrit web interface, that then RECREATES /srv/gerrit/git/mediawiki/core.git/refs/changes/12/1234/meta. Which isn't a big deal: git knows to look there first; however, in this case, since we DIDN'T use --delete with rsync those files remained on disk on gerrit1001 pointing to the old SHA1s they had at either the first rsync or the first time git gc ran for that repo.

What we've done so far

After pairing with @hashar for a few hours we ran a script that we believe caught many of these problems. By comparing the merge-base of the SHA1 pointed to by the refs/changes/xx/yyxx/meta file on disk, to the SHA1 pointed to by the packed-refs file we were able to find cases where the file on disk was shadowing packed-refs and some instances where folks tried to manually fix stuff.

#!/usr/bin/env bash

while read repo; do
        if [ -d "$repo"/refs/changes ]; then
                for meta in $(find "$repo"/refs/changes -name meta); do
                        ref=$(realpath --relative-to "$repo" "$meta")
                        if grep -q "$ref" "$repo/packed-refs"; then
                                                        packed_sha1=$(grep " ${ref}" "$repo"/packed-refs | awk '{ print $1 }')
                                                        loose_ref_sha1=$(cat "$meta")
                                                        merge_base=$(git -C "$repo" merge-base "$packed_sha1" "$loose_ref_sha1")
                                                        if [[ "$merge_base" != "$loose_ref_sha1" ]] && [[ "$merge_base" != "$packed_sha1" ]]; then
                                                                printf 'ERROR> human intervention due to split brain: %s\n' "$meta"
                                                        fi
                                                        if [[ "$merge_base" == "$loose_ref_sha1" ]]; then
                                                                mv --verbose -n "$meta" "${meta}-bak"
                                                                printf 'PROBLEM> OUTDATED META FILE: rm "%s"\n' "$meta" 
                                                        fi
                        fi
                done
        fi
done < <(find /srv/gerrit/git -type d -name '*.git')

Should we be updating the description of this task with changes that need fixing, or will they all be fixed eventually regardless?

If the problem exists on a patchset right now, please add it to the description.

Mholloway updated the task description. (Show Details)Tue, Oct 22, 5:38 PM

Change 545351 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] Revert "gerrit: enable jgit gc"

https://gerrit.wikimedia.org/r/545351

Mholloway updated the task description. (Show Details)Tue, Oct 22, 5:44 PM

Change 545351 merged by Dzahn:
[operations/puppet@production] Revert "gerrit: enable jgit gc"

https://gerrit.wikimedia.org/r/545351

Mentioned in SAL (#wikimedia-operations) [2019-10-22T17:54:14Z] <mutante> restarting gerrit to disable jgit gc (T236114)

AnneT updated the task description. (Show Details)Tue, Oct 22, 5:57 PM
AnneT updated the task description. (Show Details)Tue, Oct 22, 6:00 PM
Marostegui updated the task description. (Show Details)Tue, Oct 22, 6:52 PM

We have caught any change for which we still had a meta file on gerrit1001. But for some repositories on gerrit1001, the meta files had already been packed in packed-refs and our script thus did not caught them.

We still have a copy on the old server though, so we should be able to recover most of those metadata.

thcipriani updated the task description. (Show Details)Tue, Oct 22, 6:59 PM
Jdlrobson updated the task description. (Show Details)Tue, Oct 22, 7:38 PM
Jdlrobson updated the task description. (Show Details)Tue, Oct 22, 7:41 PM

Mentioned in SAL (#wikimedia-operations) [2019-10-22T19:42:48Z] <hashar> gerrit1001: apt install colordiff # T236114

nray updated the task description. (Show Details)Tue, Oct 22, 7:44 PM
nray updated the task description. (Show Details)

Change 545384 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] gerrit: add colordiff package

https://gerrit.wikimedia.org/r/545384

hashar updated the task description. (Show Details)Tue, Oct 22, 7:46 PM

Change 545384 merged by Dzahn:
[operations/puppet@production] gerrit: add colordiff package

https://gerrit.wikimedia.org/r/545384

I looked at the MachineVision repo change 538339. I have made a copy of the repo from cobalt to gerrit1001 and then compared the references. And indeed we are missing some progress on gerrit1001:

$ git log --graph --oneline --decorate refs/changes/39/538339/meta refs/remotes/cobalt/changes/39/538339/meta
* 5406c09 (cobalt/changes/39/538339/meta) Update patch set 6
* 9468d5f Update patch set 6
* 0870e70 Update patch set 6
* 44f5c80 Update patch set 6
* 1781f37 Update patch set 6
* cdd9093 Create patch set 6
* 2e04e15 Update patch set 5
* 418362c Update patch set 5
* edef9f4 Update patch set 5
* b71ace6 Create patch set 5
* e109b6c Create patch set 4
* 0b41702 Update patch set 3
* c9be19c Create patch set 3
* c2ff555 Update patch set 2
* 363c4b0 (refs/changes/39/538339/meta) Update patch set 2
* e39813f Create patch set 2
* 4e5e174 Update patch set 1
* 54294fd Update patch set 1
* 549557f Update patch set 1
* 72dde38 Create change

So I guess we want a copy of cobalt files to be rsynced to gerrit1001 so we can do some kind of comparison and update the faulty references across all repositories.

hashar updated the task description. (Show Details)Tue, Oct 22, 8:05 PM

Mentioned in SAL (#wikimedia-operations) [2019-10-22T20:09:34Z] <mutante> gerrit1001 - mkdir /srv/gerrit/cobalt/git - rsyncing /srv/gerrit/git from cobalt to /srv/gerrit/cobalt/git/ on gerrit1001 (T236114)

Tchanders updated the task description. (Show Details)Tue, Oct 22, 8:53 PM
hashar assigned this task to thcipriani.Tue, Oct 22, 9:17 PM
hashar raised the priority of this task from High to Unbreak Now!.

@thcipriani and @hashar paired again on a script to catch the last affected repositories/changes. We managed to get a list of them. Update is on the way.

Mentioned in SAL (#wikimedia-operations) [2019-10-22T21:57:46Z] <thcipriani> stopping gerrit to run ref-update script T236114

thcipriani updated the task description. (Show Details)Tue, Oct 22, 10:35 PM
thcipriani closed this task as Resolved.Tue, Oct 22, 10:43 PM

@thcipriani and @hashar paired again on a script to catch the last affected repositories/changes. We managed to get a list of them. Update is on the way.

We compared the HEADs of meta branches between cobalt and gerrit1001 to generate a list. We used git ls-remote to do that, and then diffed the lists. This is the list of different meta refs, due to anything. This could just mean folks have updated the patchset on gerrit1001: doesn't mean much.

#!/usr/bin/env bash

BASE_GERRIT1001=/srv/gerrit/git
BASE_COBALT=/srv/gerrit/cobalt/git

while read -r repo; do
    cobalt_repo=$BASE_COBALT/$(realpath --relative-to "$BASE_GERRIT1001" "$repo")
    diffs=$(comm -23 <(git -C "$cobalt_repo" ls-remote . 'refs/changes/*/*/meta' | sort) <(git -C "$repo" ls-remote . 'refs/changes/*/*/meta' | sort))
    if [ -n "$diffs" ]; then
        while read diffline; do
            printf '%s\t%s\n' "$repo" "$diffline"
        done < <(echo "$diffs")
    fi
done < <(find /srv/gerrit/git -type d -name '*.git')

This was 300 changes after our initial work this morning.

We then looked at those 300 changes and determined the merge base of all of them. If the merge-base was cobalt: that's fine. That means the gerrit1001 change is simply newer. If the merge-base is on gerrit1001 that means cobalt has newer information: that's the info we want, do a git update-ref for that. If neither of them are the merge-base then we have a "split brain" situation. This means that folks are touching the patches because they're confused about what's happening; i.e., they rebased an already merged patchset, or re-merged a merged patchset (gerrit is smart enough that that didn't matter). There were 7 of those situations (in addition to the 11 this morning) that I handled by hand. The rest were handled by this script:

#!/usr/bin/env bash

BASE_GERRIT1001=/srv/gerrit/git
BASE_COBALT=/srv/gerrit/cobalt/git

while read -r meta; do
    repo=$(echo "$meta" | awk '{print $1}')
    ref=$(echo "$meta" | awk '{print $3}')
    cobalt_sha1=$(echo "$meta" | awk '{print $2}')

    cobalt_repo_path=$BASE_COBALT/$(realpath --relative-to "$BASE_GERRIT1001" "$repo")
    gerrit1001_sha1=$(git -C "$repo" rev-parse "$ref")

    if [[ "$gerrit1001_sha1" == "$cobalt_sha1" ]]; then
        continue
    fi

    merge_base=$(git -C "$repo" merge-base "$gerrit1001_sha1" "$cobalt_sha1")

    if [[ "$merge_base" != "$gerrit1001_sha1" ]] && [[ "$merge_base" != "$cobalt_sha1" ]]; then
        printf 'ERROR> human intervention due to split brain: %s: "%s"\n' "$repo" "$ref"
    fi

    if [[ "$merge_base" == "$gerrit1001_sha1" ]]; then
        git -C "$repo" update-ref "${ref}-bak" "$gerrit1001_sha1"
        git -C "$repo" update-ref "${ref}" "$cobalt_sha1"
        printf 'PROBLEM> COBALT newer than GERRIT1001: %s:"%s"\n' "$repo" "$ref"
    fi
done < differing-refs3.txt

I think this should cover all the cases. Calling this resolved.

For the affected MachineVision changes, it looks like the full histories are restored, but they are still somehow considered to have "merge conflict" rather than "merged" status, and accordingly they are still appearing in my "outgoing reviews" dashboard section.

@Mholloway should be resolved now, @thcipriani started the online reindexer.

greg awarded a token.Wed, Oct 23, 12:31 AM

Mentioned in SAL (#wikimedia-releng) [2019-10-23T08:33:30Z] <hashar> contint1001: backing up Zuul logs to /var/log/zuul/backup-T236114 so we get gerrit activities traces for T236114

Mentioned in SAL (#wikimedia-releng) [2019-10-23T08:33:30Z] <hashar> contint1001: backing up Zuul logs to /var/log/zuul/backup-T236114 so we get gerrit activities traces for T236114

That one is not affected as far as I know, it in the same state as it was on the previous server.

cobalt (old server)

$ git -C /srv/gerrit/cobalt/git/mediawiki/extensions/BlueSpiceConfigManager.git ls-remote . refs/changes/02/542402*
9ba4372631e8b8502b725afaef161e073eb99a1d	refs/changes/02/542402/1
f5c5b9468036bd93f629a67f2b0dbb59445a969e	refs/changes/02/542402/meta

$ git -C /srv/gerrit/cobalt/git/mediawiki/extensions/BlueSpiceConfigManager.git log --oneline refs/changes/02/542402/meta
f5c5b94 (refs/changes/02/542402/meta) Update patch set 1
ceb8399 Create change

gerrit1001 (new server, actual)

$ git -C /srv/gerrit/git/mediawiki/extensions/BlueSpiceConfigManager.git ls-remote . refs/changes/02/542402*
9ba4372631e8b8502b725afaef161e073eb99a1d	refs/changes/02/542402/1
f5c5b9468036bd93f629a67f2b0dbb59445a969e	refs/changes/02/542402/meta

$ git -C /srv/gerrit/git/mediawiki/extensions/BlueSpiceConfigManager.git log --oneline refs/changes/02/542402/meta
f5c5b94 (refs/changes/02/542402/meta) Update patch set 1
ceb8399 Create change

I have looked at the Zuul logs (CI) which has records of most events made in Gerrit. I could not find any trace of further activities for this change beside sending the first patchset.

Pwirth added a subscriber: Pwirth.Wed, Oct 23, 10:12 AM

sorry, my fault. I reported that commit as affected, but actually it wast not merged yet.

I also found four All-Users.git reference that got force updated :-\ T236344